* 20/12/2011 - David Monfort <david.monfort@edf.fr>
  Fix module command use in for cs_solver generation.
  modified file:
    bin/cs_exec_environment.py

* 14/12/2011 - David Monfort <david.monfort@edf.fr>
  Revert changes to the enthalpy calculation after a discussion with P. Plion.

* 13/12/2011 - David Monfort <david.monfort@edf.fr>
  Release of Code_Saturne 2.0.4.

* 13/12/2011 - Ralf Becker <ralf.becker@dlr.de>
  Fixe and improvements in the Libby-Williams models for the enthalpy
  calculation.
  modified files:
    src/cogz/lwcphy.f90
    src/cogz/pdflwc.f90
    src/cogz/pdfpp3.f90
    src/cogz/pdfpp4.f90

* 13/12/2011 - David Monfort <david.monfort@edf.fr>
  Improve the module environment detection.
  modified files:
    bin/cs_config.py.in
    bin/cs_exec_environment.py
    config/cs_modules.m4
    Makefile.am

* 29/11/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix crash when using inlet velocity formula using MEI.
  modified file:
    src/base/cs_gui_boundary_conditions.c

* 19/10/2011 - David Monfort <david.monfort@edf.fr>
  Release of Code_Saturne 2.0.3.

* 18/10/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Also remove threaded-version of BLAS library detection for ESSL, as recent
  tests on blue Gene/P show it is not required (though linking with thread-safe
  compiler options is required even for the non-threaded version due to
  ESSL dependencies).
  modified file:
    config/cs_blas.m4

* 06/10/2011 - David Monfort <david.monfort@edf.fr>
  Remove threaded-version of BLAS library detection for MKL and Atlas since
  MKL threaded version (with Intel 11.1 compilers) proved to be 150 times slower
  than without BLAS or with non-threaded BLAS. Also apply this change to Atlas
  library but keep threaded version for BlueGene systems as it seems to be required.
  modified file:
    config/cs_blas.m4

* 22/08/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Simplify reading of index blocks to improve robustness (based on trunk).
  modified files:
    src/base/cs_io.c

* 19/08/2011 - David Monfort <david.monfort@edf.fr>
  Update keywords documentation.
  modified file:
    doc/user/saturne2.tex

* 19/08/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Use specific intracommunicator instead of MPI_COMM_WORLD for coupling with
  SYRTHES 3, to avoid bug due to non-contiguous MPMD rank-numbering on
  BLue Gene/P or similar machines.
  modified files:
    src/base/cs_syr3_comm.c
    libsyrcs/syr_comm.c
    libsyrcs/syr_defs.c
    libsyrcs/syr_defs.h

* 02/08/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix typo leading to bug using MPICH2 with Python scripts.
  modified files:
    bin/cs_exec_environment.py

* 21/07/2011 - David Monfort <david.monfort@edf.fr>
  Update MEI dependency to 1.0.3 (correct version number) in the installer.
  modified file:
    extras/installer/install_saturne.py

* 19/07/2011 - David Monfort <david.monfort@edf.fr>
  Release of Code_Saturne 2.0.2.

* 19/07/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Add --with-modules configure option to allow override of automatic detection.
  modified files:
    config/cs_modules.m4
    doc/install/install.tex

* 19/07/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Make parsing of syrthes.env files more robust.
  modified files:
    bin/runcase_syrthes

* 18/07/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix bug when reading the variance of volumetric statistics from a restart file.
  Thanks to Ralf Becker for this patch.
  modified files:
    src/lagr/laglec.f90

* 15/07/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Add conditional compilation to work around gcc 4.1 bug with Fortran pointers.
  modified files:
    src/base/turrij.f90

* 15/07/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Add timing information for mesh input I/O.
  modified files:
    src/base/cs_preprocessor_data.c
    po/fr.po

* 15/07/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Update memory logging units and translations.
  modified files:
    src/base/cs_base.c
    po/fr.po

* 13/07/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Print additional MPI environment info for Blue Gene/P.
  modified files:
    config/cs_auto_flags.h
    src/base/cs_base.c

* 12/07/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Various fixes to coupling with SYRTHES 3 to enable coupling on Blue Gene/P.
  This includes adding an optional pset_size argument for the SYRTHES domain
  in the Python runcase to allow starting SYRTHES on a whole processor set,
  as required by mpiexec on this machine.
  modified files:
    bin/cs_case.py
    bin/cs_case_domain.py
    bin/runcase.py.in
    libsyrcs/syr_cs.c
    libsyrcs/syr_defs.c

* 12/07/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Ensure MPICH2 environment variables are tested before those of MPICH1.
  modified files:
    src/base/cs_opts.c
    libsyrcs/syr_defs.c

* 11/07/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Added several user-provided patches relative to the Lagrangian module.
  As 2 of those patches affect rarely-used options and have not been tested
  with multiple option combinations yet, they are currently provided in the
  patches directory, not as defaults.
  An incorrect injfac array size in uslain is fixed.
  Thanks to Ralf Becker for reporting these issues and providing patches.
  added files:
    patches/dvvpst.f90
    patches/lagent.f90
  modified files:
    patches/README
    users/lagr/uslain.f90

* 28/06/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Add an installation documentation.
  added file:
    doc/install/install.tex
  modified file:
    doc/Makefile.am

* 27/06/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Add extra libraries required by FVM (as determined by "fvm-config --libs").
  after HDF5, MED, or CGNS, as the latter may depend on the former.
  This fixes a compilation issue on Blue Gene/P using MED and its C++ dependencies.
  modified files:
    config/cs_fvm.m4

* 22/06/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Add a libtool rpath option to handle BLAS libraries.
  modified files:
    config/cs_blas.m4
    src/apps/Makefile.am

* 14/06/2011 - Karim Osman <karim.osman@postgrad.manchester.ac.uk>
  Implement the correct behaviour to handle thermal wall-function in
  the framework of the scalable wall-functions.
  modified routine:
    src/base/clptur.f90

* 14/06/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix double relaxation bug in multigrid for symmetric matrixes.
  modified routine:
    src/base/crstgr.f90

* 09/06/2011 - Frederic Dehoux <frederic.dehoux@edf.fr>
  Missing Cmu constant logging in the listing for k-omega SST model.
  modified routine:
    src/base/impini.f90

* 06/06/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Add a libtool rpath option to handle non-libtoolized libraries.
  modified files:
    config/cs_fvm.m4
    src/apps/Makefile.am

* 03/06/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix error when selecting an invalid preprocessor log file in the boundary
  conditions definition. Thanks to Bruce Duncan for reporting this issue
  and providing a patch.
  modified files:
    Pages/PreProcessingInformationsView.py

* 31/05/2010 - Bertrand Carissimo <bertrand.carissimo@edf.fr>
  Minor fixes for atmospheric modelling.
  modified routines:
    src/atmo/atlecm.f90
    src/base/clptrg.f90

* 31/05/2011 - David Monfort <david.monfort@edf.fr>
  Use proper association of Fortran pointers to account for source terms.
  modified routine:
    src/base/turrij.f90

* 30/05/2011 - David Monfort <david.monfort@edf.fr>
  Fix the gradient calculation (least-square method) when the mesh is
  moving (we know compute the geometric quantities at each pass).
  modifed routine:
    src/base/gradmc.f90

* 25/05/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Remove references to (non-operational) Homard support.
  modified files:
    bin/runcase.help
    bin/runcase.in
    bin/runcase.py.in
    bin/cs_case_domain

* 25/05/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Added detection and handling of environment modules. The configuration
  detected at configure/build time are saved and applied when compiling
  user subroutines or when running a calculation script.
  added files:
   config/cs_modules.m4
  modified files:
    Makefile.am
    configure.ac
    bin/cs_case.py
    bin/cs_compile.py
    bin/cs_config.py.in
    bin/cs_exec_environment.py
    bin/runcase.in
    bin/runcase.py.in

* 25/05/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Improve SLURM support.
  modified files:
    bin/cs_exec_environment.py

* 23/05/2011 - David Monfort <david.monfort@edf.fr>
  Fix memory allocation for the time-step calculation with the compressible
  algorithm. This memory bug had no impact on the calculations because the
  temporary arrays were defined at the end of the macro-array RA.
  modified routine:
    src/base/memdtv.f90

* 23/05/2011 - David Monfort <david.monfort@edf.fr>
  Improve MPI auto-detection in Debian-based environment.
  modified script:
    config/cs_mpi.m4

* 16/05/2011 - David Monfort <david.monfort@edf.fr>
  Fix the order of arguments in a call to grdcel in usvist.
  modified routine:
    users/base/usvist.f90

* 16/05/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Try to determine batch system used at configure time, so as to install
  runcase scripts with only the required batch template.
  added files:
    bin/batch.CCC
    bin/batch.LOADL
    bin/batch.LSF
    bin/batch.PBS
    bin/batch.SGE
    bin/batch.SLURM
    config/cs_batch.ac
  modified files:
    configure.ac
    Makefile.am
    bin/runcase.in
    bin/runcase.py.in

* 12/05/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Add SLURM support and improve batch system handling support.
  modified files:
    bin/cs_exec_environment.py
    bin/runcase_mpi_env

* 09/05/2011 - David Monfort <david.monfort@edf.fr>
  Correct access to two arrays depending on the scalar number and not
  the phase number.
  modified routines:
    src/base/iniva0.f90
    src/base/verini.f90

* 21/04/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Try to use the same shell as the user's current shell in generated
  scripts used by the Python runcase script.
  Also remove dead (never called) code from that script.
  modified files:
    bin/cs_case.py

* 21/04/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Remove (very) incomplete OpenMP support, which will be available in
  future versions, but is not usable yet in the 2.0 release series.
  modified files:
    configure.ac
    config/cs_blas.m4
    src/base/cs_matrix.c

* 21/04/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Use "-log" option of syrthes coupling wrapper rather than redirection
  from shell as a precaution against problems with I/O redirection in
  MPI environments.
  modified files:
    bin/cs_case.py
    bin/cs_case_domain.py
    bin/runcase.in

* 21/04/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Add "-log" option to syrthes coupling wrapper so as to redirect output.
  modified files:
    libsyrcs/syr_cs.c

* 20/04/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Workaround for apparent bug in some Python libraries leading to loss
  of standard and error output of "code_saturne compile" command
  (so far observed only with Python 2.4, at least on RHEL).
  modified files:
    bin/cs_exec_environment.py

* 20/04/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Update Copyright date in log header.
  modified files:
    src/base/cs_opts.c

* 19/04/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix possible error in MPI environment handling with Python script.
  modified files:
    bin/cs_exec_environment.py

* 13/04/2011 - David Monfort <david.monfort@edf.fr>
  Fix the profile page view in the interface when one modifies the data.
  modified routine:
    gui/Pages/ProfilesView.py

* 11/04/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Bump version number to 2.0.2
  modified files:
    configure.ac

* 11/04/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Ensure all ranks have the same remaining time info and code.
  modified files:
    src/base/tremai.c

* 11/04/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Finalize port to (IVANOE) IBM iDataPlex cluster.
  modified files:
    bin/cs_exec_environment.py
    bin/runcase.in
    bin/runcase.py.in
    bin/runcase_mpi_env

* 11/04/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix bounds checking issue with Intel Fortran compiler.
  modified files:
    include/base/cs_base.h
    src/base/cs_base.c
    src/base/inipst.f90

* 11/04/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Ensure all ranks have the same remaining time info.
  modified files:
    src/base/tremai.c

* 07/04/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  BLAS detection now handles Intel MKL 10.3 distributed with ICC 12.
  modified file:
    config/cs_blas.m4

* 21/07/2010 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Deactivate debugging code.
  modified routines:
    src/base/cs_join_update.c

* 21/07/2010 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Remove unused array in the joining algorithm.
  modified routines:
    src/base/cs_join_update.c

* 07/04/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix missing synchronization of periodic cell families in serial build.
  modified file:
    src/base/cs_mesh.c

* 04/04/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Further corrections to detection of number of processors with LSF.
  modified file:
    bin/runcase_mpi_env

* 04/04/2011 - Martin Ferrand <martin.ferrand@edf.fr>
  Minor corrections in the theory manual.
  modified files:
    doc/theory/bilsc2.tex
    doc/theory/clsyvt.tex
    doc/theory/codits.tex
    doc/theory/condli.tex
    doc/theory/covofi.tex
    doc/theory/gradrc.tex
    doc/theory/navsto.tex
    doc/theory/resolp.tex

* 01/04/2011 - David Monfort <david.monfort@edf.fr>
  Change some tests to avoid issues when checking for array boundaries.
  modified routine:
    src/lagr/enswaf.f90

* 22/03/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Correct typo leading to wrong detection of number of processors with LSF.
  modified file:
    bin/runcase_mpi_env

* 28/01/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Added file missing from previous checkin in GUI.
  added file:
    gui/Pages/icons/32x32/go-previous.png

* 22/02/2011 - David Monfort <david.monfort@edf.fr>
  Fix a bug in the XML creation when defining several classes of coal.
  modified routine:
    gui/Pages/CoalCombustionModel.py

* 21/02/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Correct array size bug in libsyrcs leading to crashes in parallel.
  modified files:
    libsyrcs/syr_coupling.c

* 18/02/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Update MPI environment for legacy runcase.
  modified file:
    bin/runcase_mpi_env

* 17/02/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Update format and library documentation links.
  modified file:
    doc/user/saturne1.tex

* 04/02/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Allow a higher number of processors in the GUI.
  modified file:
    gui/Pages/BatchRunningForm.ui

* 31/01/2011 - Cyril Baudry <cyril.baudry@edf.fr>
  Replace the drag'n drop feature in the graphical interface by a more
  intuitive add/remove mechanism for the profile and time average pages.
  added file:
    gui/Pages/icons/32x32/go-previous.png
  modified routines:
    gui/Pages/ProfilesForm.ui
    gui/Pages/ProfilesView.py
    gui/Pages/resources_pages.qrc
    gui/Pages/TimeAveragesForm.ui
    gui/Pages/TimeAveragesView.py

* 25/01/2011 - Mathieu Guingo <mathieu.guingo@edf.fr>
  Fix several issues in the modelling of the interaction between a particle
  and a wall (some related to the particles velocity and kinetic energy).
  modified routine:
    users/base/uslabo.f90

* 24/01/2011 - David Monfort <david.monfort@edf.fr>
  Do not define the total pressure pointer with the compressible module and
  add relevant test when missing. The XML reader is not protected yet, uiprop
  routine, however it shouldn't be an issue until the combustion module
  setup is available within the graphical interface.
  modified routine:
    src/base/typecl.f90
    src/base/varpos.f90

* 24/01/2010 - Mehdi Ouraou <mehdi.ouraou@edf.fr>
  Fix a missing pointer update for post-processing variables in the gas
  combustion module.
  modified routine:
    src/cogz/coprop.f90

* 18/01/2011 - Yvan Fournier <yvan.fournier@edf.fr>
  Correct possible memory leak in case of matrix deep copy.
  modified files:
    src/main/cs_matrix.c

* 17/01/2011 - David Monfort <david.monfort@edf.fr>
  Upgrade version number to 2.0.1
  modified script:
    configure.ac

* 17/12/2010 - David Monfort <david.monfort@edf.fr>
  Update the compilation flags detection according to Subversion trunk.
  modified script:
    config/cs_auto_flags.sh

* 14/12/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Remove memory usage field from PBS batch template and
  fix handling of PBS batch directives by GUI.
  modified routines:
    bin/runcase.in
    bin/runcase.py.in
    gui/Pages/BatchRunningPBSJobManagementDialogForm.ui
    gui/Pages/BatchRunningView.py
    gui/Pages/BatchRunningModel.py

* 13/12/2010 - David Monfort <david.monfort@edf.fr>
  Fix the XML definition for boundary conditions with exterior exchange
  coefficient.
  modified routines:
    gui/Pages/BoundaryConditionsScalarsView.py
    gui/Pages/Boundary.py

* 03/12/2010 - Mehdi Ouraou <mehdi.ouraou@edf.fr>
  Fix issues when removing the a particle which has exited the fluid domain.
  modified routine:
    src/lagr/lageli.f90

* 03/12/2010 - Mehdi Ouraou <mehdi.ouraou@edf.fr>
  Fix a wrong indirection (using Fortran numbering instead of C) when
  calculating the head loss coefficients from the graphical user interface.
  modified routine:
    src/base/cs_gui.c

* 03/12/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Correct mesh reading bug when FVM is compiled with --enable-long-gnum.
  modified files:
    src/base/cs_preprocessor_data.c

* 03/12/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Remove calls to deprecated bft_fp_trap_set() function.
  modified files:
    src/apps/cs_solver.c

* 29/11/2010 - Mickael Hassanaly <mickael.hassanaly@edf.fr>
  Fix a memory bug in the Code_Aster coupling.
  modified routine:
    src/base/strini.f90

* 10/11/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Correct bug in which runcase was not saved in results.
  modified scripts:
    bin/cs_case.py

* 02/11/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Correct array arguments to MPI_Reduce for memory summary.
  modified files:
    src/base/cs_base.c

* 27/10/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Add a developpers guide with coding standards.
  added file:
    doc/developper/coding_standards.tex
  modified files:
    doc/style/csdoc.sty
    doc/developper/developper.tex
  modified scripts:
    bin/cs_info.py
    doc/developper/Makefile.am
    doc/Makefile.am

* 26/10/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Handle processor list under LSF when LSB_MCPU_HOSTS is used instead
  of LSB_HOSTS
  modified scripts:
    bin/cs_exec_environment.py
    bin/runcase_mpi_env

* 26/10/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Do not buffer standard output and error when executing subprocess.
  modified scripts:
    bin/cs_exec_environment.py

* 14/09/2010 - David Monfort <david.monfort@edf.fr>
  Fix generation of PyQt resource files.
  modified routine:
    gui/Pages/Makefile.am

* 10/09/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix a crash when cutting warped faces with periodicity.
  modified file:
    src/base/cs_mesh_warping.c

* 31/08/2010 - David Monfort <david.monfort@edf.fr>
  Fix two small bugs in the Python automatic installer (MEI use and Fortran
  compiler).
  modified file:
    extras/installer/install_saturne.py

* 30/08/2010 - David Monfort <david.monfort@edf.fr>
  Fix EXTRA_DIST variables in the documentation.
  modified scripts:
    doc/tutorial/graphics/Makefile.am
    doc/tutorial/Makefile.am
    doc/user/Makefile.am

* 24/08/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix the info command of code_saturne.
  modified script:
    bin/cs_info.py

* 23/08/2010 - David Monfort <david.monfort@edf.fr>
  Fix the copying of the ALE and Lagrangian monitoring files.
  modified script:
    bin/runcase.in

* 19/08/2010 - David Monfort <david.monfort@edf.fr>
  Release of Code_Saturne 2.0.
  modified routines:
    configure.ac
    extras/installer/install_saturne.py
    QUALITY_ASSURANCE

* 19/08/2010 - Juan Uribe <juan.uribe@manchester.ac.uk>
  Correct value for the diffusion coefficient in k-omega SST.
  modified routine:
    src/base/iniini.f90

* 16/08/2010 - Bertrand Carissimo <bertrand.carissimo@edf.fr>
  Better correction for uninitialized variable.
  modified routine:
    users/base/usatcl.f90

* 30/07/2010 - Benoit de Laage de Meux <benoit.de-laage-de-meux@edf.fr>
  Add a missing multiplication by the density in a coupling source term.
  modified routine:
    src/base/csc2ts.f90

* 30/07/2010 - David Monfort <david.monfort@edf.fr>
  Move the mass-flux update in case of a rotating mesh, only relevant when
  disabling the pressure reconstruction (no impact on current simulations).
  modified routine:
    src/base/navsto.f90

* 29/07/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix a wrong definition of integers instead of reals.
  modified routine:
    src/atmo/atprke.f90

* 27/07/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix a minor bug when echoing I/O structures.
  modified routine:
    src/base/cs_io.c

* 27/07/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix a wrong "else if" clause on the size of cs_int_t.
  modified routine:
    src/base/cs_post.c

* 26/07/2010 - David Monfort <david.monfort@edf.fr>
  Update French dictionnary.
  modified file:
    po/fr.po

* 26/07/2010 - Maya Milliez <maya.milliez@edf.fr>
  English translation.
  modified routine:
    users/base/usatcl.f90

* 21/07/2010 - David Monfort <david.monfort@edf.fr>
  Fix issues when running simulations with periodicity (iperio not defined).
  modified routines:
    src/apps/cs_solver.c
    src/base/cs_join_perio.c
    src/base/cs_preprocessor_data.c

* 21/07/2010 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Fix the periodicities definition when using the graphical interface.
  modified routines:
    src/base/cs_join.c
    src/base/cs_join_perio.c

* 19/07/2010 - David Monfort <david.monfort@edf.fr>
  Correct free memory when using MEI for a variable specific heat.
  modified routine:
   src/base/cs_gui.c

* 13/07/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Translate variable and property names in the example Xml files.
  modified files:
    examples/1-simple_junction/case1/case1.xml
    examples/2-full_domain/case2/case2.xml
    examples/2-full_domain/case3/case3.xml
    examples/2-full_domain/case4/case4.xml
    examples/3-stratified_junction/case5/case5.xml

* 07/07/2010 - David Monfort <david.monfort@edf.fr>
  Fix LES WALE model handling when it is set up in the GUI.
  modified routine:
    src/base/cs_gui.c

* 30/06/2010 - Yvan Fournier <yvan.fournier@edf.fr>
               David Monfort <david.monfort@edf.fr>
  Fix an issue in MPICH2 detection with the Python runcase.
  modified script:
    bin/cs_exec_environment.py

* 29/06/2010 - David Monfort <david.monfort@edf.fr>
  Update the installer according to the packages URLs.
  modified script:
    extras/installer/install_saturne.py

* 28/06/2010 - David Monfort <david.monfort@edf.fr>
  Fix the version number output.
  modified script:
    bin/cs_info.py

* 25/06/2010 - David Monfort <david.monfort@edf.fr>
  Little fixes and improvement for code/code coupling.
  modified routines:
    src/base/cscpfb.f90
    src/base/cs_sat_coupling.c

* 25/06/2010 - Benoit de Laage de Meux <benoit.de-laage-de-meux@edf.fr>
  Add a missing local variable definition (epsilon for the RHS sweep).
  modified routine:
    src/base/resv2f.f90

* 23/06/2010 - David Monfort <david.monfort@edf.fr>
  Fix the working directory option for MPI MPMD parameters.
  modified script:
    bin/cs_case.py

* 22/06/2010 - David Monfort <david.monfort@edf.fr>
  Release of Code_Saturne 2.0-rc2.

* 21/06/2010 - Pascal Nicolas <pascal.nicolas@incka.fr>
               David Monfort <david.monfort@edf.fr>
  Code_Saturne examples update, according to 2.0-rc2 version.
  modified files:
    examples/1-simple_junction/case1/case1.xml
    examples/2-full_domain/case2/case2.xml
    examples/2-full_domain/case3/case3.xml
    examples/2-full_domain/case3/usclim.f90
    examples/2-full_domain/case4/case4.xml
    examples/2-full_domain/case4/usclim.f90
    examples/2-full_domain/case4/usproj.f90
    examples/3-stratified_junction/case5/case5.xml
    examples/3-stratified_junction/case5/usdpst.f90
    examples/3-stratified_junction/case5/usmpst.f90
    examples/3-stratified_junction/case5/usvpst.f90
  removed files:
    examples/1-simple_junction/case1/runcase
    examples/2-full_domain/case2/lance
    examples/2-full_domain/case2/runcase
    examples/2-full_domain/case3/runcase
    examples/2-full_domain/case3/usphyv.f90
    examples/2-full_domain/case4/runcase
    examples/2-full_domain/case4/uskpdc.f90
    examples/2-full_domain/case4/usphyv.f90
    examples/3-stratified_junction/case5/runcase
    examples/3-stratified_junction/case5/usphyv.f90

* 21/06/2010 - David Monfort <david.monfort@edf.fr>
  Minor correction for the tutorial documentation.
  modified file:
    doc/tutorial/tuto_case2.tex

* 21/06/2010 - David Monfort <david.monfort@edf.fr>
  Missing initialization in memory handling.
  modified routine:
    src/base/memdyp.f90

* 21/06/2010 - David Monfort <david.monfort@edf.fr>
  By-pass a possible bug with the flush Fortran 2003 statement on BG systems.
  modified script:
    config/cs_fortran.m4

* 21/06/2010 - David Monfort <david.monfort@edf.fr>
  On BlueGene systems, RUSAGE_CHILDREN is not available.
  modified routine:
    src/base/tremai.c

* 21/06/2010 - David Monfort <david.monfort@edf.fr>
  Make the particles output compliant with EnSight 6 format and improve the
  robustness of the output for visualizing with ParaView.
  Thanks to Stéphane Blanchet for reporting this issue.
  modified routine:
    src/lagr/enslag.f90
    src/lagr/enswaf.f90

* 15/06/2010 - David Monfort <david.monfort@edf.fr>
  Add a potential patch for pressure outlet rescaling.
  added routine:
    patches/typecl.f90
  modified file:
    patches/README

* 15/06/2010 - David Monfort <david.monfort@edf.fr>
  Fix a crash when asking for the check_mesh help.
  modified script:
    bin/cs_check_mesh.py

* 15/06/2010 - Mehdi Ouraou <mehdi.ouraou@edf.fr>
  Fix two issues in the coal combustion modelling.
  modified routines:
    src/cplv/cpphy1.f90
    src/cplv/cpphyv.f90

* 15/06/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  English translation.
  modified routine:
    users/base/usphyv.f90

* 15/06/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Set the reference pressure to the atmospheric pressure.
  modified routine:
    users/base/usini1.f90

* 15/06/2010 - David Monfort <david.monfort@edf.fr>
  Update version number to 2.0-rc2.
  modified script:
    configure.ac

* 15/06/2010 - David Monfort <david.monfort@edf.fr>
  Properly set the version number of the different pre-requisites,
  especially Python.
  modified script:
    configure.ac
  modified file:
    COMPATIBILITY

* 15/06/2010 - David Monfort <david.monfort@edf.fr>
  Correct comments in specific physics definition.
  modified routine:
    users/pprt/usppmo.f90

* 13/06/2010 - David Monfort <david.monfort@edf.fr>
  Update of the French dictionnary.
  modified files:
   po/POTFILES.in
   po/fr.po

* 10/06/2010 - David Monfort <david.monfort@edf.fr>
  Improve the robustness of the Python installer.
  modified files:
    extras/installer/README
    extras/installer/install_saturne.py
    extras/installer/setup

* 08/06/2010 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Miscellaneous fixes for the parallel joining algorithm.
  modified routines:
    include/base/cs_join_util.h
    src/base/cs_join_intersect.c
    src/base/cs_join_merge.c
    src/base/cs_join_mesh.c
    src/base/cs_join_perio.c
    src/base/cs_join_split.c
    src/base/cs_join_update.c
    src/base/cs_join_util.c

* 08/06/2010 - David Monfort <david.monfort@edf.fr>
  Miscellaneous fixes for code/code coupling.
  modified routines:
    include/base/cplsat.h
    src/base/csc2cl.f90
    src/base/cscini.f90
    src/base/cscpfb.f90
    src/base/cs_sat_coupling.c
    users/base/ussatc.f90

* 08/06/2010 - David Monfort <david.monfort@edf.fr>
  Missing initialization in memory handling.
  modified routine:
    src/base/memdis.f90

* 08/06/2010 - David Monfort <david.monfort@edf.fr>
  Missing header in previous commit.
  modified routine:
    src/base/clptrg.f90

* 28/05/2010 - David Monfort <david.monfort@edf.fr>
  Same fix as the one below on clptur, now concerns the rough walls.
  modified routine:
    src/base/clptrg.f90

* 28/05/2010 - David Monfort <david.monfort@edf.fr>
  Don't use the type bool, use cs_bool_t instead (thanks to Charles Moulinec).
  modified routine:
    src/base/cs_join_set.c

* 26/05/2010 - David Monfort <david.monfort@edf.fr>
  Fix the wall treatment management in case of mobile mesh for rotating
  machinery (or ALE formulation). The velocity was not correctly projected.
  modified routine:
    src/base/clptur.f90

* 25/05/2010 - David Monfort <david.monfort@edf.fr>
  Minor fixes to alleviate cross-compilation issues with mingw32 compilers.
  modified script:
    configure.ac
  modified routines:
    src/base/cs_base.c
    src/base/tremai.c

* 22/05/2010 - David Monfort <david.monfort@edf.fr>
  Fix a wrong initizaliation for the thermal roughness (when using the
  graphical interface). Thanks to Maxime Nibart for reporting this bug.
  modified routine:
    src/base/cs_gui_boundary_conditions.c

* 21/05/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Improve the cs_solver options management so that the error message is clearer
  in case the code is not compiled with X feature support.
  modified routine:
    src/base/cs_opts.c

* 21/05/2010 - Alexandre Douce <alexandre.douce@edf.fr>
  Fix small bugs in post-processing management of the Lagrangian module.
  modified routines:
    src/lagr/enswaf.f90
    src/lagr/lagopt.f90

* 21/05/2010 - Maya Milliez <maya.milliez@edf.fr>
               Bertrand Carissimo <bertrand.carissimo@edf.fr>
  Several little fixes and improvements for the atmospheric module.
  modified routine:
    src/atmo/atiniv.f90
    src/atmo/atmcls.f90
    src/atmo/atphyv.f90
    src/atmo/atprke.f90
    src/atmo/attycl.f90
    src/base/clptrg.f90
    src/base/turbke.f90
    users/atmo/usatcl.f90
    users/atmo/usati1.f90

* 21/05/2010 - Pascal Nicolas <pascal.nicolas@incka.fr>
  Update the tutorial description.
  modified files:
    doc/tutorial/case4.tex
    doc/tutorial/graphics/V-11.png
    doc/tutorial/graphics/V-12.png
    doc/tutorial/graphics/V-14.png
    doc/tutorial/graphics/V-15.png
    doc/tutorial/graphics/V-16.png
    doc/tutorial/graphics/V-17.png
    doc/tutorial/graphics/V-3.png
    doc/tutorial/graphics/V-5.png
    doc/tutorial/graphics/V-6.png
    doc/tutorial/graphics/V-7.png
    doc/tutorial/graphics/V-9.png
    doc/tutorial/tuto_case1.tex
    doc/tutorial/tuto_case3.tex
    doc/tutorial/tuto_case4.tex

* 21/05/2010 - David Monfort <david.monfort@edf.fr>
  Enable silent rules with recent automake (>= 1.11.1). The default mode is
  verbose, the silent mode can be activated with --enable-silent-rules at
  configure stage or make V=0 at compilation stage.
  modified script:
    configure.ac

* 19/05/2010 - David Monfort <david.monfort@edf.fr>
  Revert a changeset regarding the turbulence relaxation (k/epsilon/omega) to
  avoid stability issues in some calculations. This still needs to be
  investigated in order to have a correct unsteadyness when needed.
  modified routine:
    src/base/modini.f90

* 19/05/2010 - David Monfort <david.monfort@edf.fr>
  Fix a bug in the user files results copy in the Python runcase.
  modified script:
    bin/cs_case_domain.py

* 12/05/2010 - Alexandre Douce <alexandre.douce@edf.fr>
  Fix a useless test on the number of directions in the radiative transfer
  module when using the P1 model.
  modified routine:
    src/rayt/rayopt.f90

* 05/05/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Improve Code_Saturne manuals launch from the main script.
  modified script:
    bin/cs_info.py

* 05/05/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Improve MPICH2 detection and some MPI shell commands.
  modified scritps:
    bin/cs_case.py
    bin/cs_exec_environment.py

* 16/04/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix YACS command line handling.
  modified script:
    bin/cs_case.py

* 15/04/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Handle the difference between HP-UX hppa and Itanium systems.
  modified script:
    config/cs_auto_flags.sh

* 15/04/2010 - David Monfort <david.monfort@edf.fr>
  Fix an uninitialized variable in fioul combustion module.
  modified routine:
    src/fuel/fuiniv.f90

* 15/04/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix minor issue for SYRTHES coupling and JANAF file handling.
  modified script:
    bin/cs_case_domain.py

* 15/04/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Add YACS detection in the runcase script.
  modified script:
    bin/cs_case.py

* 09/04/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Minor update to the documentation (mostly English corrections).
  modified files:
    doc/theory/bilsc2.tex
    doc/theory/combbase.tex
    doc/theory/combfuel.tex
    doc/theory/combgaz.tex
    doc/theory/thermo.tex
    doc/user/a1_autovalid.tex
    doc/user/graphics/cs_components.fig
    doc/user/saturne1.tex
    doc/user/saturne2.tex

* 09/04/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix a valgrind warning for an uninitialized array in the quality tests.
  modified routine:
    src/base/testel.f90

* 09/04/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix some integer sizes in the reduced-neighborhood algorithm (only relevant
  for big meshes).
  modified routine:
    src/base/cs_ext_neighborhood.c

* 09/04/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Free temporary mesh structure in the Code_Aster coupling.
  modified routine:
    src/base/cs_ast_coupling.c

* 02/04/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Miscellaneous improvement for robustness.
  modified routines:
    src/base/cs_benchmark.c
    src/base/cs_gui_boundary_conditions.c
    src/base/cs_io.c
    src/base/cs_matrix.c
    src/base/cs_preprocessor_data.c
    src/base/testel.f90

* 02/04/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Cast all the printing in unsigned long long instead of unsigned long.
  modified routines:
    src/base/cs_base.c
    src/base/cs_boundary_conditions.c
    src/base/cs_ext_neighborhood.c
    src/base/cs_io.c
    src/base/cs_join_intersect.c
    src/base/cs_mesh.c
    src/base/cs_mesh_quantities.c
    src/base/cs_multigrid.c
    src/base/cs_preprocessor_data.c
    src/base/cs_restart.c
    src/base/cs_syr4_coupling.c

* 01/04/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Minor modifications to the joining alogrithm (mostly English translation
  and switch from unsigned long to unsigned long long for printing).
  modified routines:
    include/base/cs_prototypes.h
    src/apps/cs_solver.c
    src/base/cs_join_f2c.f90
    src/base/cs_join_intersect.c
    src/base/cs_join_merge.c
    src/base/cs_join_mesh.c
    src/base/cs_join_perio.c
    src/base/cs_join_perio_f2c.f90
    src/base/cs_join_set.c
    src/base/cs_join_split.c
    src/base/cs_join_util.c
    users/base/usjoin.f90
    users/base/usperi.f90

* 31/03/2010 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Add the periodicity "joining" handling in parallel by the solver.
  modified script:
    src/base/Makefile.am
  added routines:
    include/base/cs_join_perio.h
    src/base/cs_join_perio.c
    src/base/cs_join_perio_f2c.f90
    users/base/usperi.f90
  modified routines:
    include/base/cs_join.h
    include/base/cs_join_mesh.h
    include/base/cs_join_split.h
    include/base/cs_join_util.h
    include/base/cs_mesh.h
    src/apps/cs_solver.c
    src/base/cs_join.c
    src/base/cs_join_f2c.f90
    src/base/cs_join_intersect.c
    src/base/cs_join_merge.c
    src/base/cs_join_mesh.c
    src/base/cs_join_split.c
    src/base/cs_join_update.c
    src/base/cs_join_util.c
    src/base/cs_mesh.c

* 31/03/2010 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Miscellaneous improvements for the parallel joining algorithm and
  preparation for the periodicity handling.
  modified routines:
    include/base/cs_join.h
    include/base/cs_join_intersect.h
    include/base/cs_join_merge.h
    include/base/cs_join_mesh.h
    include/base/cs_join_post.h
    include/base/cs_join_set.h
    include/base/cs_join_update.h
    include/base/cs_join_util.h
    src/base/cs_join.c
    src/base/cs_join_intersect.c
    src/base/cs_join_merge.c
    src/base/cs_join_mesh.c
    src/base/cs_join_post.c
    src/base/cs_join_set.c
    src/base/cs_join_split.c
    src/base/cs_join_update.c
    src/base/cs_join_util.c
    users/base/usjoin.f90

* 31/03/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix a bug in the standard initaliziation of MPI class.
  modified script:
    bin/cs_exec_environment.py

* 31/03/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Add many comments to the Python runcase script.
  Expose the VALGRIND option.
  modified script:
    bin/runcase.py.in

* 22/03/2010 - David Monfort <david.monfort@edf.fr>
  Update the tutorial documentation and replace .jpg by .png files.

* 24/02/2010 - David Monfort <david.monfort@edf.fr>
  Fix a couple of remaining issues related to compilation on BlueGene systems.
  modified scripts:
    config/cs_auto_flags.sh
    config/cs_blas.m4
    config/cs_fortran.m4
    config/cs_mpi.m4
    configure.ac
  modified routine:
    src/base/cs_opts.c

* 23/02/2010 - David Monfort <david.monfort@edf.fr>
  Fix PyQt dev tools detection (pyuic4/pyrcc4) for kfreebsd-* systems.
  Thanks to Petr Salinger for providing the hack.
  modified script:
    configure.ac

* 19/02/2010 - David Monfort <david.monfort@edf.fr>
  Release of Code_Saturne 2.0-rc1.

* 19/02/2010 - David Monfort <david.monfort@edf.fr>
  Remove a line introduced twice in the arguments of usray4.
  modified routine:
    src/rayt/raycli.f90

* 19/02/2010 - David Monfort <david.monfort@edf.fr>
  Add Clamart 2 cluster "scratchdir" to the list of the temporary directories.
  modified scripts:
    bin/runcase.in
    bin/runcase.py.in

* 19/02/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix a bug in handling FVM long-gnum option in the restart files.
  modified routine:
    src/base/cs_io.c

* 19/02/2010 - David Monfort <david.monfort@edf.fr>
  Fix last-minute bug where the number of arguments of a subroutine did not
  match (with no impact on the calculation).
  modified routine:
    src/cfbl/cfvarp.f90

* 18/02/2010 - David Monfort <david.monfort@edf.fr>
  Pre-release of Code_Saturne 2.0-rc1.

* 18/02/2010 - Pierre Plion <pierre.plion@edf.fr>
  Improve combustion documentation in the theory manual.
  added files:
    doc/theory/combbase.tex
    doc/theory/combcharb.tex
    doc/theory/combfuel.tex
    doc/theory/combgaz.tex
    doc/theory/thermo.tex
  removed files:
    doc/theory/combustion.tex
  modified files:
    doc/theory/Makefile.am
    doc/theory/theory.tex

* 18/02/2010 - David Monfort <david.monfort@edf.fr>
  Third pass for English translation: translation of most of users
  subroutines.
  Thanks to many of Code_Saturne developpers for their input!

* 18/02/2010 - Marc Sakiz <marc.sakiz@edf.fr>
  Remove unused arguments in source term subroutines in Rij and v2-f models.
  modified routines:
    src/base/reseps.f90
    src/base/resrij.f90
    src/base/resssg.f90
    src/base/resv2f.f90
    users/base/ustsri.f90
    users/base/ustsv2.f90

* 18/02/2010 - David Monfort <david.monfort@edf.fr>
  Improve MEI detection (for mei_prefix variable) in case --with-mei is not
  provided.
  modified script:
    config/cs_mei.m4

* 17/02/2010 - David Monfort <david.monfort@edf.fr>
  Second pass for English translation of some Fortran subroutines headers.

* 15/02/2010 - David Monfort <david.monfort@edf.fr>
  First pass for English translation of some Fortran subroutines headers.

* 15/02/2010 - David Monfort <david.monfort@edf.fr>
  Remove some documentation directories for the release (work in progress).
  modified routine:
    doc/Mafile.am

* 15/02/2010 - David Monfort <david.monfort@edf.fr>
  Minor fixes for the treatment of periodicity with code/code coupling.
  modified routines:
    src/base/cscpce.f90
    src/base/cscpfb.f90

* 12/02/2010 - David Monfort <david.monfort@edf.fr>
  Fix issues in the filename handling for profiles generation with the GUI.
  modified routine:
    src/base/cs_gui.c

* 12/02/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Change the error file name according to the new behaviour of the listing.
  modified routine:
    src/base/cs_base.c

* 10/02/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Improve MPI launcher management in the Python runcase scripts.
  modified scripts:
    bin/cs_case.py
    bin/cs_exec_environment.py
    bin/runcase.py.in

* 09/02/2010 - David Monfort <david.monfort@edf.fr>
  Temporarily by-pass the official web-site for Code_Saturne packages
  download (waiting for being granted access to www.code-saturne.org).
  modified files:
    extras/installer/install_saturne.py

* 09/02/2010 - David Monfort <david.monfort@edf.fr>
  Update the Python installer for the 2.0-rc1 release.
  modified files:
    extras/installer/install_saturne.py
    extras/installer/README.txt
    extras/installer/setup

* 09/02/2010 - David Monfort <david.monfort@edf.fr>
  Rewrite the AUTHORS file with a firstname/lastname ordering.
  modified file:
    AUTHORS

* 09/02/2010 - David Monfort <david.monfort@edf.fr>
  Improve the preprocessor and SYRTHES detection (especially, exit with
  failure if the preprocessor is not found, and handle Debian packaging
  system).
  modified scripts:
    bin/cs_config.py.in
    bin/runcase.in
    config/cs_syrthes.m4
    configure.ac
    Makefile.am

* 08/02/2010 - David Monfort <david.monfort@edf.fr>
  Add a framework for an installation guide under the documentation directory.
  modified scripts:
    doc/Makefile.am
    configure.ac

* 05/02/2010 - David Monfort <david.monfort@edf.fr>
  Only emit a warning for missing partitioner when the number of processor is
  strictly greater than 1.
  modified scripts:
    bin/cs_case_domain.py
    bin/runcase.in

* 04/02/2010 - David Monfort <david.monfort@edf.fr>
  As suggested by Charles Moulinec from Daresbury laboratories, increase the
  listing name to 7 numbers instead of 4 when the number of processors is
  higher than 10000.
  modified routine:
    src/base/csinit.f90

* 03/02/2010 - David Monfort <david.monfort@edf.fr>
  Add specific post-processing variables for rotor/stator interaction.
  modified routines:
    src/base/dvvpst.f90
    users/base/usini1.f90

* 03/02/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Remove a spurious assert from the SYRTHES 4 coupling.
  modified routine:
    src/base/cs_syr4_coupling.c

* 03/02/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix a rare error that could arise with time-independant writers (in
  post-processing).
  modified routine:
    src/base/cs_post.c

* 03/02/2010 - David Monfort <david.monfort@edf.fr>
  Change the default label of boundary zones in the GUI from Wall to BC.
  modified routine:
    gui/Pages/LocalizationModel.py

* 02/02/2010 - David Monfort <david.monfort@edf.fr>
  Always request the MEI library to be available (but keep the availability of
  disabling it).
  modified script:
    config/cs_mei.m4

* 02/02/2010 - David Monfort <david.monfort@edf.fr>
  Correct the centrifugal potential definition in the rotor/stator coupling.
  modified routine:
    src/base/cscpfb.f90

* 01/02/2010 - Alexandre Douce <alexandre.douce@edf.fr>
  Add/improve the formula examples for fluid/structure interaction.
  modified routines:
    gui/Pages/FluidStructureInteractionView.py
    gui/Pages/MobileMeshModel.py
    gui/Pages/MobileMeshView.py

* 01/02/2010 - Alexandre Douce <alexandre.douce@edf.fr>
  Fix a missing header in the Xml file produced by the GUI and concerning the
  scalars initialization.
  modified routine:
    gui/Pages/DefineUserScalarsModel.py

* 01/02/2010 - Alexandre Douce <alexandre.douce@edf.fr>
  Move upwards the definition of additional scalars in the GUI because the
  physical properties can depend on them.
  modified routine:
    gui/Base/BrowserView.py

* 28/01/2010 - David Monfort <david.monfort@edf.fr>
  Fix unfortunate errors in code/code coupling in relative reference frame.
  modified routine:
    src/base/cscpfb.f90

* 28/01/2010 - David Monfort <david.monfort@edf.fr>
  Fix a spurious _CS_HAVE_MPI used instead of the standard HAVE_MPI.
  modified routine:
    src/base/cs_sat_coupling.c

* 28/01/2010 - Maya Milliez <maya.milliez@edf.fr>
  Fix a wrong index when adding a user scalar in addition to specific physics
  scalars with the GUI.
  modified routine:
    src/base/cs_gui.c

* 26/01/2010 - David Monfort <david.monfort@edf.fr>
  Add a test on the number of couplings to avoid a possible unnecessary loop.
  modified routine:
    src/base/resolp.f90

* 26/01/2010 - David Monfort <david.monfort@edf.fr>
  Fix two issues in the fluid interaction setup in the GUI (the mesh viscosity
  initialization and the definition of fluid forces for an internal coupling).
  modified routines:
    gui/Pages/Boundary.py
    gui/Pages/MobileMeshModel.py

* 26/01/2010 - David Monfort <david.monfort@edf.fr>
  Change the name of the mass/damping/stiffness matrix coefficients in case of
  fluid structure interaction with internal coupling (changed to resp. mij,
  cij and kij), for more consistency with the usual naming convention.
  modified routines:
    gui/Pages/Boundary.py
    gui/Pages/FluidStructureInteractionForm.ui
    gui/Pages/FluidStructureInteractionView.py
    src/base/cs_gui_mobile_mesh.c

* 26/01/2010 - Mehdi Ouraou <mehdi.ouraou@edf.fr>
  Fix a bug when printing Lagrangian statistics.
  modified routine:
    src/lagr/laglis.f90

* 26/01/2010 - David Monfort <david.monfort@edf.fr>
  Set the verbosity level to the global one for GUI debugging.
  modified routines:
    gui/Pages/AtmosphericFlowsView.py
    gui/Pages/LocalizationView.py
    gui/Pages/MatisseCustomView.py
    gui/Pages/QMeiEditorView.py
    gui/Pages/SalomeHandler.py
    gui/Pages/SolutionDomainView.py

* 26/01/2010 - David Monfort <david.monfort@edf.fr>
  Fix a potential incoherency between the definition of the mesh viscosity in
  the graphical interface compared to its definition with usvima.
  Consequently, from now we only define the mesh viscosity at the first
  timestep (as it is usually done on the initial geometry).
  modified routines:
    src/base/phyvar.f90
    users/base/usvima.f90

* 25/01/2010 - David Monfort <david.monfort@edf.fr>
  Increase the maximum number of structures to 200 for both internal and
  external coupling.
  modified routine:
    include/base/paramx.h

* 25/01/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix a minor bug in the printing of an error message.
  modified script:
    bin/cs_case_domain.py

* 25/01/2010 - Alexandre Douce <alexandre.douce@edf.fr>
  Fix a missing initialization for a pointer only defined in some ALE
  configurations.
  modified routine:
    src/base/tridim.f90

* 25/01/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix the test to exit a "do-while" loop in the aborting process where we wait
  a couple of seconds before aborting.
  modified routine:
    src/base/cs_base.c

* 22/01/2010 - David Monfort <david.monfort@edf.fr>
  Trigger an error instead of a warning when configure cannot find PyQt
  support.
  modified script:
    configure.ac

* 22/01/2010 - David Monfort <david.monfort@edf.fr>
  Replace the mkpyqt.py script by our own build process (through autotools)
  for building PyQt files (user interface and resource files).
  Add configury checks for PyQt support (and version checking) as well as PyQt
  developper tools (pyuic4 and pyrcc4).
  Remove unused setup.py script.
  removed scripts:
    gui/sbin/mkpyqt.py
  modified scripts:
    configure.ac
    gui/Base/Makefile.am
    gui/Pages/Makefile.am

* 19/01/2010 - Yvan Fournier <yvan.fournier@edf.fr>
  Use Fortran 90 pointers to avoid access to unallocated arrays.
  modified routine:
    src/base/turrij.f90

* 19/01/2010 - David Monfort <david.monfort@edf.fr>
  Update the french dictionnary file.
  modified file:
    po/fr.po

* 19/01/2010 - David Monfort <david.monfort@edf.fr>
  Increase the xml file version number because of non compatible xml headers.
  modified routines:
    gui/Base/Common.py
    gui/Base/XMLengine.py
    gui/Base/XMLvariables.py
    src/base/cs_gui_util.c

* 19/01/2010 - David Monfort <david.monfort@edf.fr>
  Change the behaviour of the xml file relatively to the time step min/max
  factor so that it corrresponds to what is given by the user in the gui.
  modified routines:
    gui/Pages/TimeStepForm.ui
    gui/Pages/TimeStepModel.py
    gui/Pages/TimeStepView.py
    src/base/cs_gui.c

* 19/01/2010 - David Monfort <david.monfort@edf.fr>
               Bruno Audebert <bruno.audebert@edf.fr>
  Add rotor/stator interaction (specific interpolation) for relative frame
  calculation.
  modified routine:
    src/base/cscpfb.f90

* 19/01/2010 - David Monfort <david.monfort@edf.fr>
  Fix a mispelling-word bug in mass-flux update stage (vitboy instead of
  vitboz).
  modified routines:
    src/base/condli.f90
    src/base/navsto.f90

* 18/01/2010 - David Monfort <david.monfort@edf.fr>
               Bruno Audebert <bruno.audebert@edf.fr>
  Add first implementation for rotating machinery modelling.
  This is basically rotating mesh handling.
  Rotor/stator interaction (specific interpolation) is still missing.
  added routine:
    src/base/mmtycl.f90
  modified script:
    src/base/Makefile.am
  modified routines:
    include/base/cplsat.h
    include/base/optcal.h
    src/base/clptur.f90
    src/base/condli.f90
    src/base/cscini.f90
    src/base/gradrc.f90
    src/base/iniva0.f90
    src/base/memtri.f90
    src/base/modini.f90
    src/base/navsto.f90
    src/base/resolp.f90
    src/base/tridim.f90

* 18/01/2010 - Mehdi Ouraou <mehdi.ouraou@edf.fr>
  Fix a wrong array (propce instead of rtpa) in the calculation
  of source term for radiative transfer i heavy fuel oil combustion.
  modified routine:
    src/base/covofi.f90
    src/fuel/furays.f90

* 13/01/2010 - David Monfort <david.monfort@edf.fr>
  Fix a bug in libxml2 detection (small annoying typo...).
  modified script:
    config/cs_libxml2.m4

* 12/01/2010 - David Monfort <david.monfort@edf.fr>
  Fix a bug in BLAS detection (warn instead of fail).
  modified script:
    config/cs_blas.m4

* 12/01/2010 - David Monfort <david.monfort@edf.fr>
  Upgrade version number to 2.0.0-rc1
  modified script:
    configure.ac

* 11/01/2010 - David Monfort <david.monfort@edf.fr>
  Add rotation matrices for pumps modelling.
  modified routines:
    include/base/cstphy.h
    include/base/optcal.h
    src/base/cscini.f90
    src/base/modini.f90

* 11/01/2010 - David Monfort <david.monfort@edf.fr>
  Update gettext file for French translation.
  modified file:
    po/fr.po

* 11/01/2010 - Bruno Audebert <bruno.audebert@edf.fr>
  Add new interpolation schemes to code/code coupling for
  rotor/stator interaction modelling.
  modified routines:
    include/base/cplsat.h
    src/base/bilsc2.f90
    src/base/csc2cl.f90
    src/base/cscpfb.f90
    src/base/iniini.f90
    src/base/resolp.f90

* 11/01/2010 - David Monfort <david.monfort@edf.fr>
  Minor fixes to account for the cs to code_saturne renaming.
  renamed file:
   doc/manpages/cs.1
  modified script:
   extras/installer/install_saturne.py
   Makefile.am

* 11/01/2010 - David Monfort <david.monfort@edf.fr>
  Update Code_Saturne prerequisites in the installer script.
  modified script:
   extras/installer/install_saturne.py

* 08/01/2010 - Maya Milliez <maya.milliez@edf.fr>
  Improve robustness for wall boundary conditions for atmospheric modelling.
  modified routine:
    src/atmo/atmcls.f90

* 06/01/2010 - David Monfort <david.monfort@edf.fr>
  Fix a an issue when returning the number of code/code couplings.
  Code cleaning to remove some compiler warnings.
  modified routine:
    src/base/cs_sat_coupling.c

* 21/12/2009 - David Monfort <david.monfort@edf.fr>
  Make code/code coupling compliant with the new discovering
  mechanism for coupling applications.
  modified script:
    src/base/Makefile.am
  added routine:
    src/base/cs_sat_f2c.f90
  modified routines:
    include/base/cs_sat_coupling.h
    src/apps/cs_solver.c
    src/base/cscloc.f90
    src/base/cs_sat_coupling.c
    src/base/initi1.f90
    src/base/tridim.f90
    users/base/ussatc.f90

* 21/12/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Add real-life examples for fluid properties variation laws.
  modidied routine:
    gui/Pages/FluidCharacteristicsView.py

* 21/12/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Add syntax highlighting for mathematical expression in the interface.
  modified routine:
    gui/Pages/QMeiEditorView.py

* 21/12/2009 - Maya Milliez <maya.milliez@edf.fr>
  Fix an issue in the inlet boundary conditions setup for
  the atmospheric modelling via the graphical interface.
  modified routine:
    src/base/cs_gui.c

* 17/12/2009 - Frank Hulsemann <frank.hulsemann@edf.fr>
  Fix a bug when copying the matrix coefficient in native format.
  No impact in current simulations as the code was never used.
  modified routine:
    src/base/cs_matrix.c

* 17/12/2009 - David Monfort <david.monfort@edf.fr>
  Update the "remove trailing blanks and tabs" script, so that it
  handles the Python interface files and the different runcase scripts.
  Run it once for every file.
  modified script:
    sbin/rmb

* 17/12/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Minor modifications for GUI integration in the SALOME platform.
  modified routines:
    gui/Pages/OutputControlModel.py
    gui/Pages/SolutionVerifView.py

* 16/12/2009 - David Monfort <david.monfort@edf.fr>
  Fix a bug in BLAS detection, introduced with latest improvement.
  modified script:
    config/cs_blas.m4

* 16/12/2009 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Add a counter for the numbering of the joinings.
  modified routines:
    include/base/cs_join.h
    include/base/cs_join_util.h
    src/base/cs_join.c
    src/base/cs_join_f2c.f90
    src/base/cs_join_util.c
    users/base/usjoin.f90

* 16/12/2009 - David Monfort <david.monfort@edf.fr>
  Change some regular expressions for syntax checking in the
  interface according to what is done in MEI.
  modified routines:
    gui/Pages/DefineUserScalarsView.py
    gui/Pages/FacesSelectionView.py
    gui/Pages/OutputVolumicVariablesView.py

* 15/12/2009 - David Monfort <david.monfort@edf.fr>
  Remove hyphens and dots from variable names.
  modified routines:
    gui/Base/Toolbox.py
    gui/Base/XMLinitialize.py
    gui/Pages/Boundary.py
    gui/Pages/DefineUserScalarsModel.py
    gui/Pages/FluidCharacteristicsModel.py
    gui/Pages/InitializationModel.py
    gui/Pages/NumericalParamEquationModel.py
    gui/Pages/OutputVolumicVariablesModel.py
    gui/Pages/ThermalScalarModel.py
    gui/Pages/TurbulenceModel.py

* 14/12/2009 - Yvan Fournier <yvan.fournier@edf.fr>
               David Monfort <david.monfort@edf.fr>
  Translation of most of the variables names.
  modified routines:
    src/cfbl/cfprop.f90
    src/cogz/coini1.f90
    users/base/usini1.f90
    users/cogz/uslwc1.f90

* 14/12/2009 - Benoit de Laage de Meux <benoit.de-laage-de-meux@edf.fr>
  Fix a wrong list of arguments for the cfiltr subroutine.
  modified routine:
    users/base/ussmag.f90

* 14/12/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Improve the Python runcase script for BG runs.
  modified scripts:
    bin/cs_case.py
    bin/runcase.py.in

* 14/12/2009 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Improve the parallel joining algorithm.
  modified routines:
    include/base/cs_join.h
    include/base/cs_join_intersect.h
    include/base/cs_join_mesh.h
    include/base/cs_join_util.h
    src/base/cs_join.c
    src/base/cs_join_f2c.f90
    src/base/cs_join_intersect.c
    src/base/cs_join_merge.c
    src/base/cs_join_mesh.c
    src/base/cs_join_post.c
    src/base/cs_join_set.c
    src/base/cs_join_split.c
    src/base/cs_join_update.c
    src/base/cs_join_util.c
    users/base/usjoin.f90

* 09/12/2009 - David Monfort <david.monfort@edf.fr>
  Rename the main script in code_saturne to avoid a conflict
  with the cs executable of csound package.
  modified files:
    doc/refcard/refcard.tex
  modified scripts:
    extras/bash_completion/code_saturne
    bin/code_saturne.in
    bin/runcase_syrthes
    bin/SaturneGUI.in
    bin/runcase.in
    bin/cs.in
    Makefile.am

* 08/12/2009 - David Monfort <david.monfort@edf.fr>
  Change the behaviour of the pre-requisites detection by adding
  a check option. When a package is requested, exit with an error
  if the package is not found.
  Thanks for Sylvestre Ledru for advice.
  modified scripts:
    config/cs_bft.m4
    config/cs_blas.m4
    config/cs_fvm.m4
    config/cs_libxml2.m4
    config/cs_mei.m4
    config/cs_mpi.m4

* 03/12/2009 - David Monfort <david.monfort@edf.fr>
  Add a meteo data file example.
  added file:
    data/thch/meteo
  modified scripts:
    bin/runcase.in
    Makefile.am

* 09/25/2009 - David Monfort <david.monfort@edf.fr>
  Update Code_Saturne installer according to the previous commit.
  modified scripts:
    extras/installer/install_saturne.py

* 09/25/2009 - David Monfort <david.monfort@edf.fr>
  Improve package detection handling during configure stage.
  modified scripts:
    config/cs_bft.m4
    config/cs_blas.m4
    config/cs_fvm.m4
    config/cs_libxml2.m4
    config/cs_mei.m4
    config/cs_mpi.m4

* 09/25/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix a wrong size allocation in SYRTHES 4 coupling.
  modified routine:
    src/base/cs_syr4_coupling.c

* 09/24/2009 - David Monfort <david.monfort@edf.fr>
  Fix a bug in BLAS detection when both C and Fortran symbols are present
  in the legacy BLAS library.
  modified script:
    config/cs_blas.m4

* 09/18/2009 - David Monfort <david.monfort@edf.fr>
  Fix several issues with the WALE model.
  modified routines:
    include/base/cstphy.h
    src/base/viswal.f90

* 09/18/2009 - David Monfort <david.monfort@edf.fr>
  Small correction when displaying I-deas file format.
  modified routine:
    gui/Pages/SolutionDomainModel.py

* 09/18/2009 - David Monfort <david.monfort@edf.fr>
  Fix issues in the check_mesh tool (GUI) with CGNS and MED format.
  modified routines:
    gui/Pages/SolutionVerifView.py
    users/base/usini1.f90

* 09/18/2009 - Clarisse Delalondre <clarisse.delalondre@edf.fr>
  Update the dp_ELE file (Argon properties) to account for radiative transfer.
  modified file:
    data/thch/dp_ELE

* 09/18/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Fix the statistical weight parameter issue in GUI for Lagrangian setup.
  modified routines:
    gui/Pages/LagrangianBoundariesModel.py
    gui/Pages/LagrangianBoundariesView.py

* 09/18/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Fix a bug when reading/writing dp_FCP thermochemistry file in GUI.
  modified routine:
   gui/Pages/CoalThermoChemistry.py

* 09/18/2009 - Mehdi Ouraou <mehdi.ouraou@edf.fr>
  Fix the velocity computation when setting up a mass flow rate.
  modified routine:
    src/base/cs_gui_boundary_conditions.c

* 09/17/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Minor modifications.
  modified routines:
    gui/Pages/FluidStructureInteractionModel.py
    gui/Pages/InitializationModel.py

* 09/17/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Don't automatically set the number of processors to 1 in runcase anymore.
  Enable again the post-processing of SYRTHES coupling faces.
  modified routines:
    gui/Pages/BatchRunningModel.py
    gui/Pages/ConjugateHeatTransferModel.py
    gui/Pages/OutputControlView.py

* 09/17/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Fix some potential issues in the check_mesh feature and SALOME porting.
  modified routines:
    gui/Base/BrowserView.py
    gui/Base/MainView.py
    gui/Pages/BatchRunningView.py
    gui/Pages/SalomeHandler.py
    gui/Pages/SolutionDomainView.py
    gui/Pages/SolutionVerifView.py

* 09/17/2009 - David Monfort <david.monfort@edf.fr>
  Add LTLIBINTL to cs_solver dependency for linking with libintl library
  needed for gettext support on systems with a libc different from the glibc.
  modified script:
    src/apps/Makefile.am

* 09/11/2009 - David Monfort <david.monfort@edf.fr>
  Change the order of some libraries to link with on BG/P systems.
  modified script:
    config/cs_auto_flags.sh

* 04/11/2009 - David Monfort <david.monfort@edf.fr>
  Merge the user scripts manpages into a single one for the cs script.
  added file:
    doc/manpages/cs.1
  removed files:
    doc/manpages/cs_check_consistency.1
    doc/manpages/cs_check_mesh.1
    doc/manpages/cs_compile.1
    doc/manpages/cs_create.1
    doc/manpages/cs_info.1
    doc/manpages/cs_plot_probes.1
  modified script:
    Makefile.am

* 04/11/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Small fixes related to user scripts (lib64 rpath detection and
  distutils module not present).
  modified scripts:
    bin/cs_compile.py
    bin/cs.in

* 04/11/2009 - David Monfort <david.monfort@edf.fr>
  Fix some issues in BLAS detection (Intel MKL especially).
  modified script:
    config/cs_blas.m4

* 04/11/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Different fixes for PGI compilers support.
  modified script:
    config/cs_auto_flags.sh

* 03/11/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Add head loss setup in the graphical user interface.
  modified routines:
    gui/Base/BrowserView.py
    gui/Base/Toolbox.py
    gui/Base/XMLinitialize.py
    gui/Pages/HeadLossesForm.ui
    gui/Pages/HeadLossesModel.py
    gui/Pages/HeadLossesView.py
    gui/Pages/LocalizationModel.py
    gui/Pages/LocalizationView.py
    include/base/cs_gui.h
    src/base/caltri.f90
    src/base/cs_gui.c
    src/base/tridim.f90

* 03/11/2009 - David Monfort <david.monfort@edf.fr>
  Force 'bash' shell as 'sh' can be more minimalist one (like on Ubuntu
  systems where it is 'dash') and we are using bashism.
  modified script:
    bin/runcase.in

* 03/11/2009 - David Monfort <david.monfort@edf.fr>
  Finalize the implementation of SYRTHES coupling setup via the GUI.
  modified script:
    bin/runcase.in
  modified routines:
    gui/Base/Toolbox.py
    gui/Pages/BatchRunningModel.py
    gui/Pages/FacesSelectionView.py
    gui/Pages/Makefile.am
    gui/Pages/OutputControlView.py
    gui/Pages/SolutionDomainModel.py
    src/base/cs_gui_conjugate_heat_transfer.c
  removed routines:
    gui/Pages/SyrthesForm.ui
    gui/Pages/SyrthesView.py

* 30/10/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  First implementation of the SYRTHES coupling with a GUI setup.
  This functionality is not complete yet, the script has to be adapted
  and the XML reader corrected.
  modified routines:
    gui/Base/BrowserView.py
    gui/Base/Toolbox.py
    gui/Pages/CoalCombustionModel.py
    gui/Pages/ConjugateHeatTransferForm.ui
    gui/Pages/ConjugateHeatTransferModel.py
    gui/Pages/ConjugateHeatTransferView.py
    gui/Pages/Makefile.am
    gui/Pages/ThermalScalarModel.py
    include/base/cs_gui_conjugate_heat_transfer.h
    src/base/cs_gui_conjugate_heat_transfer.c
    src/base/initi1.f90
    src/base/Makefile.am

* 30/10/2009 - David Monfort <david.monfort@edf.fr>
  Add return statement so that the user subroutine are not executed.
  modified routines:
    users/base/uskpdc.f90
    users/base/ustsma.f90
    users/base/usvort.f90

* 30/10/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Minor correction in the GUI launcher module.
  modified routine:
    gui/cs_gui.py

* 30/10/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Improve the support for atmospheric flow modelling in the GUI.
  modified routines:
    gui/Pages/AtmosphericFlowsModel.py
    gui/Pages/ReferenceValuesModel.py
    gui/Pages/ReferenceValuesView.py
    gui/Pages/SolutionDomainView.py

* 30/10/2009 - Maya Milliez <maya.milliez@edf.fr>
  Improvement in the atmospheric module initialization.
  modified routines:
    src/atmo/atini1.f90
    src/atmo/atiniv.f90

* 30/10/2009 - David Monfort <david.monfort@edf.fr>
  Fix a bug introduced in a previous commit.
  modified routine:
    src/base/cs_gui_boundary_conditions.c

* 30/10/2009 - David Monfort <david.monfort@edf.fr>
  Fix a wrong array indirection where ra was used instead of ia.
  modified routine:
    src/base/strdep.f90

* 26/10/2009 - Maya Milliez <maya.milliez@edf.fr>
               Bertrand Carissimo <bertrand.carissimo@edf.fr>
  Fix some bugs in the atmospheric flows module. Change the setup of the
  thermal roughness, now defined in rcodcl(ifac,iv(iphas,3).
  modified routines:
    src/atmo/atini1.f90
    src/atmo/atlecm.f90
    src/atmo/atmcls.f90
    src/atmo/atprke.f90
    src/base/clptrg.f90
    src/base/cs_gui_boundary_conditions.c
    src/base/vericl.f90
    users/atmo/usatcl.f90

* 26/10/2009 - David Monfort <david.monfort@edf.fr>
  Fix a minor issue in MED installation parameters.
  modified file:
    extras/installer/install_saturne.py

* 26/10/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Fix some issues as regards the Lagrangian setup in the GUI.
  modified routines:
    gui/Pages/LagrangianBoundariesModel.py
    gui/Pages/LagrangianBoundariesView.py

* 21/10/2009 - Namane Méchitoua <namane.mechitoua@edf.fr>
  Set the relaxation factor between P0/P1 interpolations to 0.95 in multigrid
  algorithm in order to stabilize the algorithm in some calculations.
  Remove a useless line in addition.
  modified routines:
    src/base/crstgr.f90
    src/base/iniini.f90

* 21/10/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Fix a bug introduce previously (time-step page no more available).
  modified routine:
    gui/Base/BrowserView.py

* 20/10/2009 - Mehdi Ouraou <mehdi.ouraou@edf.fr>
  Fix a missing sum over the processor for an error indicator.
  modified routine:
    src/pprt/ppcabs.f90

* 20/10/2009 - Mehdi Ouraou <mehdi.ouraou@edf.fr>
  Fix a shift in the definition of post-processing pointer for luminance
  resulting in having the time-step instead of the luminance.
  modified routine:
    src/base/varpos.f90

* 19/10/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Move explicit source correction in raysca for a correct post-processing.
  This is allowed since combustion modelling always uses enthalpy.
  Correction in the GUI part in addition.
  modified routines:
    gui/Pages/ThermalRadiationModel.py
    src/rayt/raydom.f90
    src/rayt/raysca.f90

* 19/10/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Minor modification on a test when not enough data are available.
  modified routine:
    src/base/cs_mesh_quantities.c

* 19/10/2009 - David Monfort <david.monfort@edf.fr>
               Yvan Fournier <yvan.fournier@edf.fr>
  Cosmetic modifications.
  modified routines:
    include/base/cs_preprocessor_data.h
    src/base/cs_post.c
    src/base/ecrhis.f90
    users/base/usclim.f90
    users/base/usjoin.f90
    users/base/usproj.f90

* 19/10/2009 - Namane Méchitoua <namane.mechitoua@edf.fr>
  Set the agglomeration limit to 3 instead of 8.
  modified routine:
    src/base/iniini.f90

* 19/10/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Disable FPE handling also on BlueGene systems.
  modified routine:
    src/apps/cs_solver.c

* 19/10/2009 - David Monfort <david.monfort@edf.fr>
  Add Code_Saturne installer in the extras directory.
  added files:
    extras/installer
    extras/installer/install_saturne.py
    extras/installer/README.txt
    extras/installer/setup

* 19/10/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Have a consistent behaviour of post-processing option depending on
  the time-step scheme.
  modified routines:
    gui/Base/BrowserView.py
    gui/Pages/OutputVolumicVariablesView.py
    gui/Pages/SteadyManagementModel.py
    gui/Pages/TimeStepModel.py
    include/base/cs_gui.h
    src/base/cs_gui.c
    src/base/iniusi.f90
    src/base/inivar.f90

* 19/10/2009 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Add a coherency check for interior faces -> cells connectivity.
  modified routine:
    src/base/cs_mesh_halo.c

* 19/10/2009 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Fix a freeze that could happen in the joining algorithm when
  no face is present after the slice redistribution.
  modified routines:
    src/base/cs_join_intersect.c
    src/base/cs_join_merge.c
    src/base/cs_join_mesh.c
    src/base/cs_join_split.c
    src/base/cs_join_update.c

* 19/10/2009 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Fix an issue with the joining algorithm where not all the single
  vertices are detected during the selection step.
  modified routines:
    include/base/cs_join_util.h
    src/base/cs_join_util.c

* 16/10/2009 - Jérôme Bonelle <jerome.bonelle@edf.fr>
               Yvan Fournier <yvan.fournier@edf.fr>
  Add a verification for negative volume.
  modified routines:
    include/base/cs_mesh_quantities.h
    src/apps/cs_solver.c
    src/base/cs_mesh_quantities.c

* 16/10/2009 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Fix a wrong initialization in mesh quality display when the array
  is empty.
  modified routine:
    src/base/cs_mesh_quality.c

* 16/10/2009 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Fix a bug in the joining algorithm when the number of faces is
  lower than the number of ranks.
  modified routine:
    src/base/cs_join_merge.c

* 16/10/2009 - David Monfort <david.monfort@edf.fr>
  Replace fake variable by a fake array for consistency.
  modified routine:
    src/atmo/mematm.f90

* 16/10/2009 - David Monfort <david.monfort@edf.fr>
  Disable multigrid algorithm for P1 model (radiative transfer).
  modified routine:
    src/rayt/raypun.f90

* 08/10/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Improve GUI behaviour for a RESTART directory is already present.
  modified routine:
    gui/Pages/StartRestartView.py

* 07/10/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Fix a bug in the scalar initialization if the user adds a new
  scalar during a restarting calculation.
  modified routines:
    gui/Pages/InitializationView.py
    gui/Pages/LocalizationView.py
    include/base/cs_gui.h
    src/base/cs_gui.c
    src/base/inivar.f90

* 07/10/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Improvement in the profiles management in GUI.
  modified routine:
    gui/Pages/ProfilesView.py

* 06/10/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Upgrade to FVM 0.15.0
  modified script:
    configure.ac
  modified routines:
    src/base/cs_io.c
    src/base/cs_preprocessor_data.c
    src/base/cs_restart.c

* 01/10/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Fix a numbering issue for time averages in GUI.
  Add the choice for a different average number in case of restart.
  modified routines:
    gui/Base/QtPage.py
    gui/Pages/OutputVolumicVariablesModel.py
    gui/Pages/ProfilesModel.py
    gui/Pages/StartRestartModel.py
    gui/Pages/TimeAveragesForm.ui
    gui/Pages/TimeAveragesModel.py
    gui/Pages/TimeAveragesView.py
    src/base/cs_gui.c

* 01/10/2009 - David Monfort <david.monfort@edf.fr>
  Update Copyrights, clean subroutine and function keywords.

* 01/10/2009 - David Monfort <david.monfort@edf.fr>
  Change remaining keywords in lowercase.
  modified files:
    doc/user/saturne1.tex

* 30/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Change all Code_Saturne keywords in lowercase.
  modified files:
    doc/style/csindex.sty
    doc/style/csmacros.sty
    doc/user/saturne1.tex
    doc/user/saturne2.tex

* 30/09/2009 - David Monfort <david.monfort@edf.fr>
  Split two tests that could end in a SIGSEGV when checking array bounds.
  modified routine:
    src/lagr/laghis.f90

* 30/09/2009 - Matthieu Guillaud <matthieu-externe.guillaud@edf.fr>
  Increase the size of work array to the maximum number of particles.
  modified routines:
    src/lagr/lagent.f90
    src/lagr/lagnew.f90
    src/lagr/lagnpr.f90
    src/lagr/lagnwc.f90
    users/lagr/uslain.f90

* 30/09/2009 - Matthieu Guillaud <matthieu-externe.guillaud@edf.fr>
  Add a missing memory-pointer initialization and a missing indirection.
  modified routines:
    src/lagr/lagout.f90
    src/lagr/memla2.f90

* 30/09/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Read the checkpoint frequency parameter in the XML file.
  modified routines:
    gui/Pages/StartRestartAdvancedDialogForm.ui
    include/base/cs_gui.h
    src/base/cs_gui.c
    src/base/iniusi.f90

* 30/09/2009 - Maya Milliez <maya.milliez@edf.fr>
  Disable humid atmosphere modelling and enable steady/unsteady choice for
  specific physics in GUI (coherent with input verification as well).
  modified routine:
    gui/Pages/AnalysisFeaturesView.py
    

* 30/09/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Correctly handle the blending factor with SOLU convective scheme in GUI.
  modified routine:
    gui/Pages/NumericalParamEquationModel.py

* 30/09/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Fix a crash when specifying an inlet with oxydant and coal through the GUI.
  modified routine:
    src/base/cs_gui_boundary_conditions.c

* 29/09/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Add a box for the automatic/prescribed choice of CS_TMP_PREFIX.
  modified routines:
    gui/Pages/BatchRunningAdvancedOptionsDialogForm.ui
    gui/Pages/BatchRunningView.py

* 29/09/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Fix a problem related to monitoring points numbering (when the number
  of probes is greater than 10).
  modified routines:
    gui/Pages/OutputControlModel.py
    gui/Pages/OutputControlView.py
    src/base/cs_gui.c

* 29/09/2009 - David Monfort <david.monfort@edf.fr>
  Fix a wrong indirection for temperature/enthalpy conversion
  in case of coupling with SYRTHES or the 1D-wall thermal module.
  modified routines:
    src/base/cou1di.f90
    src/base/coupbi.f90

* 29/09/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Fix an issue for scalar profiles (label not found in XML files).
  modified routine:
    src/base/cs_gui.c

* 29/09/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Improve the behaviour of the profiles management in GUI (add a title
  box and automatically set the extension to .dat).
  modified routines:
    gui/Pages/BatchRunningModel.py
    gui/Pages/ProfilesForm.ui
    gui/Pages/ProfilesModel.py
    gui/Pages/ProfilesView.py
    src/base/cs_gui.c

* 29/09/2009 - Mehdi Ouraou <mehdi.ouraou@edf.fr>
  Fix an issue with restart calculations in pulverized coal.
  Improve the initialization of boundary conditions for some variables.
  modified routines:
    src/base/ecrava.f90
    src/base/lecamo.f90
    src/cplv/cpptcl.f90

* 28/09/2009 - Marc Sakiz <marc.sakiz@edf.fr>
  Correctly handle non-uniform/variable time-step post-processing.
  modified routine:
    src/base/modini.f90
    src/base/memtri.f90
    src/base/varpos.f90

* 28/09/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Make the copy of JANAF depend on the presence of a thermochemistry file.
  modified scripts:
    bin/runcase.in
    bin/runcase.py.in

* 28/09/2009 - Marc Sakiz <marc.sakiz@edf.fr>
  Abort calculation if SST model is used in conjonction with Lagrangian
  two-way coupling modelling.
  modified routine:
    src/base/verini.f90

* 24/09/2009 - David Monfort <david.monfort@edf.fr>
  Fix an issue when averaging variables with the steady algorithm.
  modified routine:
    src/base/varpos.f90

* 24/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
               David Monfort <david.monfort@edf.fr>
  Update related to French translation.
  modified routines:
    src/ctwr/cs_ctwr.c
    src/base/cs_matrix.c
    src/base/cs_mesh.c
  modified file:
    po/fr.po

* 24/09/2009 - Marc Sakiz <marc.sakiz@edf.fr>
  Improve restart files writing information in the listing.
  modified routines:
    src/base/caltri.f90
    src/base/ecrava.f90

* 23/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
               David Monfort <david.monfort@edf.fr>
  Merge two tests for a more clearer code.
  modified routine:
    src/base/cs_restart.c

* 23/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Correct error message.
  modified routine:
    src/base/cs_restart.c

* 22/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Add more thorough information on load balancing (mesh-related information).
  modified routine:
    src/base/cs_mesh.c

* 22/09/2009 - David Monfort <david.monfort@edf.fr>
  Avoid a warning on a potential truncature of a header related to particles
  tracking restart file (no impact on current code as variable names are
  shorter than the new maximum length).
  modified routine:
    include/lagr/lagran.h

* 22/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Add warning and error messages when reading restart files.
  modified routine:
    src/base/cs_restart.c

* 22/09/2009 - David Monfort <david.monfort@edf.fr>
  Fix a (very) long-standing bug related to the extrapolation of some physical
  variables (specific heat and laminar viscosity of scalars). Fortunately,
  the defaut value for the theta-scheme has been first order since the
  the beginning (even with a second order scheme in time).
  modified routine:
    src/base/schtmp.f90

* 22/09/2009 - David Monfort <david.monfort@edf.fr>
  Add a residue calculation to avoid uninitialized value (Bi-CGStab).
  modified routine:
    src/base/cs_sles.c

* 22/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  English translation for variables and boundary conditions output.
  modified routines:
    src/base/inivar.f90
    src/base/typecl.f90

* 22/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Always use the IBM compiler optimized form for the dot product.
  modified routine:
    src/base/cs_sles.c

* 22/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Merge two MPI_Bcast into a single one for optimization.
  modified routine:
    src/base/cs_parall.c

* 22/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Force the preconditioner to be diagonal on coarse levels for the
  multigrid algorithm (otherwise the algorithm fails because the
  coarse matrices structure is not complete).
  modified routine:
    src/base/cs_mutigrid.c

* 22/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Add an optimized matrix.vector product in CSR format based on MKL.
  modified routine:
    src/base/cs_matrix.c

* 22/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
               David Monfort <david.monfort@edf.fr>
  Fix a wrong number of inflowing outlet in parallel runs.
  modified routine:
    src/base/condli.f90

* 22/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Add a flush statement test (Fortran 2003) in autoconf pass.
  modified scripts:
    config/cs_fortran.m4
    configure.ac
  modified routine:
    src/base/csflsh.f90

* 22/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Add an optional argument for the partitioner.
  modified script:
    bin/cs_case_domain.py

* 18/09/2009 - David Monfort <david.monfort@edf.fr>
  Add different options to the case creation commmand.
  modified scripts:
    bin/cs_create.py
    extras/bash_completion/code_saturne

* 16/09/2009 - David Monfort <david.monfort@edf.fr>
  Remove redundant information on boundary face conditions
  and elements selectionn based on a given criterion.
  modified routines:
    users/atmo/usatcl.f90
    users/atmo/usativ.f90
    users/base/usalcl.f90
    users/base/usclim.f90
    users/base/usiniv.f90
    users/base/uskpdc.f90
    users/base/usphyv.f90
    users/base/usproj.f90
    users/base/uspt1d.f90
    users/base/ussatc.f90
    users/base/usstru.f90
    users/base/ustske.f90
    users/base/ustskw.f90
    users/base/ustsma.f90
    users/base/ustsns.f90
    users/base/ustsri.f90
    users/base/ustssc.f90
    users/base/ustsv2.f90
    users/base/usvima.f90
    users/base/usvort.f90
    users/cfbl/uscfcl.f90
    users/cfbl/uscfpv.f90
    users/cfbl/uscfxi.f90
    users/cogz/usd3pc.f90
    users/cogz/usd3pi.f90
    users/cogz/usebuc.f90
    users/cogz/usebui.f90
    users/cogz/uslwcc.f90
    users/cogz/uslwci.f90
    users/cplv/uscpcl.f90
    users/cplv/uscpiv.f90
    users/cplv/uscplc.f90
    users/ctwr/usctcl.f90
    users/ctwr/usctiv.f90
    users/elec/uselcl.f90
    users/elec/useliv.f90
    users/elec/uselph.f90
    users/elec/usetcl.f90
    users/fuel/usfucl.f90
    users/fuel/usfuiv.f90
    users/lagr/uslag2.f90
    users/rayt/usray2.f90

* 16/09/2009 - David Monfort <david.monfort@edf.fr>
  Improve the bash completion script.
  modified script:
    extras/bash_completion/code_saturne

* 15/09/2009 - David Monfort <david.monfort@edf.fr>
  Make use of the cs_exec_environment module in cs_plot_probes.
  modified script:
    bin/cs_plot_probes.py

* 15/09/2009 - David Monfort <david.monfort@edf.fr>
  Remove unused MPE code (for MPI instrumentation).
  modified routines:
    include/base/cs_base.h
    src/base/cs_base.c

* 15/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix the precision of the bi-CgStab linear solver (revert to
  the old behaviour of version 1.2 as it improves the solver
  converges).
  modified routine:
    src/base/cs_sles.c

* 15/09/2009 - David Monfort <david.monfort@edf.fr>
  Update the COMPATIBILITY file
  modified file:
    COMPATIBILITY

* 15/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Minor modifications related to C89 compilation, code cleaning and
  compilation warnings.
  modified routines:
    include/base/cs_base.h
    include/base/cs_preprocessor_data.h
    include/base/cs_proxy_comm.h
    include/base/cs_sles.h
    libsyrcs/syr_comm.c
    libsyrcs/syr_cs.c
    src/apps/cs_solver.c
    src/base/cs_ast_coupling.c
    src/base/cs_base.c
    src/base/cs_benchmark.c
    src/base/cs_coupling.c
    src/base/cs_ext_neighborhood.c
    src/base/cs_gui_boundary_conditions.c
    src/base/cs_gui_mobile_mesh.c
    src/base/cs_gui_particles.c
    src/base/cs_gui_radiative_transfer.c
    src/base/cs_io.c
    src/base/cs_matrix.c
    src/base/cs_mesh.c
    src/base/cs_mesh_halo.c
    src/base/cs_post.c
    src/base/cs_preprocessor_data.c
    src/base/cs_restart.c
    src/base/cs_sles.c
    src/base/cs_tpar1d.c
    src/base/initi1.f90
    src/base/inivar.f90
    src/base/typecl.f90
    src/ctwr/cs_ctwr_air_props.c
    src/ctwr/cs_ctwr.c
    src/ctwr/cs_ctwr_mesh.c
    src/mati/mtimpi.f90
    users/base/usclim.f90
    users/base/usini1.f90

* 15/09/2009 - David Monfort <david.monfort@edf.fr>
  Improve the bash completion script so that it removes redundant
  or mutually exclusive options.
  modified script:
    extras/bash_completion/code_saturne

* 14/09/2009 - David Monfort <david.monfort@edf.fr>
  Move from getopt to optparse module for command line parsing.
  removed routine:
    gui/Base/CommandLine.py
  modified routines:
    gui/Base/Makefile.am
    gui/cs_gui.py

* 14/09/2009 - David Monfort <david.monfort@edf.fr>
  Add a template for the developper documentation.
  added files:
    doc/developper
    doc/developper/developper.tex
    doc/developper/graphics
    doc/developper/graphics/Makefile.am
    doc/developper/input
    doc/developper/Makefile.am
  modified scripts:
    configure.ac
    doc/Makefile.am

* 14/09/2009 - Marc Sakiz <marc.sakiz@edf.fr>
  Add an option to xmgrace for the window size.
  modified script:
    bin/cs_plot_probes.py

* 14/09/2009 - David Monfort <david.monfort@edf.fr>
  Make use of the cs_exec_environment instead of subprocess module.
  modified script:
    bin/cs_check_mesh.py

* 14/09/2009 - David Monfort <david.monfort@edf.fr>
  Remove "have" function as it may not be found.
  modified script:
    extras/bash_completion/code_saturne

* 14/09/2009 - David Monfort <david.monfort@edf.fr>
  Add a bash completion script for cs and cs_solver.
  added script:
    extras/bash_completion/code_saturne
  modified script:
    Makefile.am

* 13/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Adapt the code that waits for a MPI_Abort in case of errors. There
  should not be now any spurious error file.
  modified routine:
    src/base/cs_base.c

* 13/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Add a Fortran wrapper for MPI_Barrier (mainly for debugging purpose).
  modified routines:
    include/base/cs_parall.h
    src/base/cs_parall.h

* 13/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  The space-filling-curve algorithm for domain splitting is activated
  by default. A Fortran subroutine is available to change this choice.
  modified routines:
    include/base/cs_preprocessor_data.h
    src/base/cs_preprocessor_data.c

* 13/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Add a mpi_io option to the command line so that one can use FVM
  compiled with MPI/IO support and decide at runtime which type of I/O
  to use.
  modified routines:
    include/base/cs_io.h
    include/base/cs_opts.h
    src/apps/cs_solver.c
    src/base/cs_io.c
    src/base/cs_opts.c
    src/base/cs_preprocessor_data.c

* 11/09/2009 - David Monfort <david.monfort@edf.fr>
  Change FVM and BFT CPPFLAGS order so that one can find FVM headers,
  before BFT ones (and same trick for MEI).
  modified scripts:
    src/apps/Makefile.am
    src/base/Makefile.am
    src/ctwr/Makefile.am
    src/lagr/Makefile.am

* 11/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Add a Fortran m4 file for module detection and further tests (e.g.
  flush subroutine detection).
  added script:
    config/cs_fortran.m4
  modified script:
    Makefile.am

* 11/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Merge the preprocessor user guide into Code_Saturne user guide.
  added files:
    doc/user/graphics/join_tolerance.fig
    doc/user/graphics/join_periodic.fig
  modified files:
    doc/style/csmacros.sty
    doc/user/graphics/Makefile.am
    doc/user/saturne1.tex

* 11/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
               David Monfort <david.monfort@edf.fr>
  Add a new Python runcase script with more code coupling capabilities
  and more aware of MPI and batch environments.
  Add an option to the create command to use this script and relax the
  constraint on the upppercase name of the study.
  Some other modifications relative to scripts.
  added scripts:
    bin/cs_case_domain.py
    bin/cs_case.py
    bin/cs_exec_environment.py
    bin/runcase.py.in
  removed script:
    bin/runcase_coupling.in
  modified scripts:
    bin/cs_compile.py
    bin/cs_create.py
    configure.ac
    Makefile.am

* 11/09/2009 - David Monfort <david.monfort@edf.fr>
  Disable by default the multigrid algorithm for the potential vector
  in MHD as it does not seem to work correctly.
  modified routine:
    src/elec/elini1.f90

* 10/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
               David Monfort <david.monfort@edf.fr>
  Modifications to how the config info are handled to avoid potential
  issues (split configuration info into build/install info).
  added scripts:
    bin/cs_config_build.py.in
  modified scripts:
    bin/cs_compile.py
    bin/cs_config.py.in
    bin/cs.in
    configure.ac
    Makefile.am

* 10/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Updating Itanium compiler options for hot optimizations.
  modified scripts:
    config/cs_auto_flags.sh

* 10/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Minor adaptations in the joining algorithm code, relative to
  porting to MPI1 and code cleaning.
  modified routine:
    include/base/cs_join_util.h
    src/base/cs_join.c
    src/base/cs_join_intersect.c
    src/base/cs_join_merge.c
    src/base/cs_join_mesh.c
    src/base/cs_join_split.c
    src/base/cs_join_update.c
    src/base/cs_join_util.c

* 09/09/2009 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Fix an issue in the mesh cleaning stage of the joining algorithm.
  modified routine:
    src/base/cs_join_mesh.c

* 09/09/2009 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Fix a memory leak in case of conforming joining.
  modified routine:
    src/base/cs_join.c

* 09/09/2009 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Fix a bug in "single element" building.
  modified routine:
    src/base/cs_join_util.c

* 09/09/2009 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Fix a blocking problem when compiling without MPI support.
  modified routine:
    src/base/cs_join_util.c

* 03/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Build improvement in autotools (compiler flags, FVM detection).
  modified scripts:
    bin/cs_config.py.in
    bin/runcase_coupling.in
    bin/runcase.in
    config/cs_auto_flags.sh
    config/cs_fvm.m4
    config/cs_mpi.m4
    config/cs_syrthes.m4

* 03/09/2009 - David Monfort <david.monfort@edf.fr>
  Update the gui version number, accordingly with the cs_config
  information.
  modified scripts:
    bin/cs_config.py.in
    bin/cs_info.py
    gui/cs_gui.py
    gui/Makefile.am
    gui/setup.py
  modified routines:
    gui/Base/Common.py
    gui/Base/MainView.py
    gui/Pages/BatchRunningModel.py
  removed file:
    gui/VERSION

* 03/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Admin scripts improvement.
  modified scripts:
    sbin/backup
    sbin/rmb

* 03/09/2009 - Yvan Fournier <yvan.fournier@edf.fr>
               David Monfort <david.monfort@edf.fr>
  Fix a potential issue when replacing "@strings@" with autoconf,
  it is preferred to use Makefile for this purpose. Also, fix the
  installation path for MEI (mimicking automake process).
  modified scripts:
    bin/cs.in
    config/cs_mei.m4
    configure.ac
    Makefile.am

* 02/09/2009 - David Monfort <david.monfort@edf.fr>
  Fix a wrong indirection for variables name array (with multigrid
  algorithm for purely diffusive scalars).
  modified routine:
    include/base/codits.h

* 02/09/2009 - David Monfort <david.monfort@edf.fr>
  Fix two blocks of commons whose names were identical.
  modified routine:
    include/base/mltgrd.h

* 02/09/2009 - David Monfort <david.monfort@edf.fr>
  Fix a missing test on electric arc modelling that lead in the use
  of an undefined pointer (on imaginary potential).
  modified routines:
    src/elec/elflux.f90

* 02/09/2009 - Clarisse Delalondre <clarisse.delalondre@edf.fr>
  Add a new common so that "elcou" variable can be used ni several
  routines (see uselrc.f90 for the meaning). Change some incorrect
  comments.
  modified routines:
    include/elec/elincl.h
    users/elec/uselen.f90
    users/elec/uselrc.f90

* 31/08/2009 - Boris Arcen <boris-externe.arcen@edf.fr>
  Fix EnSight format output for Lagrangian post-processing.
  Wildcard "stars" symbols were changed in "=" signs by the scripts
  that convert subroutines from fixed to free Fortran form.
  modified routine:
    src/lagr/enswaf.f90

* 31/08/2009 - Mickael Hassanaly <mickael.hassanaly@edf.fr>
  Move the second call to varpos just after the first pass in usray1,
  so that the code is aware of the activation of the radiative transfer
  module while reading thermochemistry files.
  modified routine:
    src/base/iniusi.f90

* 28/08/2009 - David Monfort <david.monfort@edf.fr>
  Fix JANAF file location in user directory. It is now searched in
  installation directory. Do not install it anymore in user data dir.
  modified scripts:
    bin/cs_create.py
    bin/runcase.in

* 28/08/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix a bug when raising false floating-point exceptions on Itanium
  systems due to speculative tests in optimized builds.
  modified routine:
    src/apps/cs_solver.c

* 28/08/2009 - David Monfort <david.monfort@edf.fr>
  Fix a missing call of usray1 in initialization part.
  modified routine:
    src/base/iniusi.f90

* 27/08/2009 - Mickael Hassanaly <mickael.hassanaly@edf.fr>
  Fix a wrong indirection to access radiative fluxes in cell
  properties array.
  modified routine:
    src/base/condli.f90

* 29/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix BLAS ESSL link on BlueGene systems.
  modified scripts:
    config/cs_auto_flags.sh
    config/cs_blas.m4

* 29/07/2009 - David Monfort <david.monfort@edf.fr>
  Fix a spurious copy/paste un the runcase(s) scripts.
  modified scripts:
    bin/runcase.in
    bin/runcase_coupling.in

* 29/07/2009 - David Monfort <david.monfort@edf.fr>
  Tagging version 2.0-beta2

* 29/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Update tutorial examples to new Fortran format and Xml model.

* 29/07/2009 - David Monfort <david.monfort@edf.fr>
  Move loop on velocity/pressure system so that it includes
  the boundary conditions calculation.
  modified routines:
    src/base/memnav.f90
    src/base/tridim.f90
    src/base/verini.f90

* 28/07/2009 - Mickael Hassanaly <mickael.hassanaly@edf.fr>
  Use selection mechanism for exchange zone definition.
  added routine:
    src/ctwr/cs_ctwr_f2c.f90
  modified script:
    src/ctwr/Makefile.am
  modified routines:
    include/ctwr/cs_ctwr.h
    src/ctwr/cs_ctwr.c
    src/ctwr/cs_ctwr_mesh.c
    users/ctwr/usctdz.f90

* 28/07/2009 - Mickael Hassanaly <mickael.hassanaly@edf.fr>
  Make temperature difference setup available from uscti1.f90
  modified routines:
    include/ctwr/ctincl.h
    users/ctwr/uscti1.f90

* 28/07/2009 - Mickael Hassanaly <mickael.hassanaly@edf.fr>
               David Monfort <david.monfort@edf.fr>
  Add a global structure in cooling tower module to store common
  fluid properties and gravity vector.
  modified routines:
    include/ctwr/cs_ctwr_air_props.h
    include/ctwr/cs_ctwr.h
    include/ctwr/cs_ctwr_mesh.h
    src/base/cregeo.f90
    src/ctwr/cs_ctwr_air_props.c
    src/ctwr/cs_ctwr.c
    src/ctwr/cs_ctwr_mesh.c
    users/ctwr/usctdz.f90
    users/ctwr/uscti1.f90

* 28/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Replace a goto statement with a do while loop.
  Add an anisotropy criterion calculation for coarse matrices.
  modified routines:
    src/base/autmgr.f90
    src/base/crstgr.f90

* 28/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Comments translation and documentation update.
  modifed files:
    doc/user/saturne1.tex
    src/base/autmgr.f90
    src/base/crstgr.f90
    src/base/iniini.f90
    users/base/ustmgr.f90

* 28/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Minor comments improvement.
  modified files:
    gui/Pages/BatchRunningAdvancedOptionsDialogForm.ui
    gui/Pages/FacesSelectionView.py
    gui/Pages/SolutionVerifForm.ui
    gui/Pages/UserScalarPropertiesForm.ui

* 28/07/2009 - David Monfort <david.monfort@edf.fr>
  Modify libsyrcs code so that one can compile SYRTHES/Code_Saturne
  coupling library without SYRTHES. Information on SYRTHES installation
  and compilers could now be given after Code_Saturne installation.
  modified scripts:
    config/cs_syrthes.m4
    libsyrcs/Makefile.am
    Makefile.am
  modified routines:
    libsyrcs/syr_cs.c
    libsyrcs/syr_defs.h

* 28/07/2009 - David Monfort <david.monfort@edf.fr>
  Change CFLAGS to gnu99 standard for compilation on Cygwin.
  modified script:
    config/cs_auto_flags.sh

* 28/07/2009 - David Monfort <david.monfort@edf.fr>
  Adapt main script so that it handles non standard directory for
  MEI installation (precisely not the same as the kernel).
  modified scripts:
    bin/cs.in
    confi/cs_mei.m4

* 28/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Remove seemingly useless test for restart files writing. All files
  are now written at the same moment (even for the last time-step).
  modified routine:
    src/base/caltri.f90

* 27/07/2009 - David Monfort <david.monfort@edf.fr>
  Add a trick to find MEI Python module when not in standard path.
  modified script:
    bin/cs.in

* 27/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix a wrong assumed behaviour on x86_64 and IA64 computers
  in the particles tracking algorithm. One assumed that the internal
  FP precision was always 80 bits (true for FPU x87 coprocessor on
  x86 processors but wrong with SSE optimizations)...
  This is a short term fix (assembler + compiler-dependent option).
  modified scripts:
    config/cs_auto_flags.sh
    src/lagr/Makefile.am
    configure.ac
  modified routine:
    src/lagr/cs_lagr.c

* 27/07/2009 - Jérome Lucas <jerome.lucas@incka.fr>
               David Monfort <david.monfort@edf.fr>
  Add restarting capabilities for cooling-towers module.
  modified routine:
    bin/runcase_coupling.in
    bin/runcase.in
    include/base/entsor.h
    include/base/optcal.h
    include/ctwr/cs_ctwr.h
    src/base/caltri.f90
    src/base/cregeo.f90
    src/base/iniini.f90
    src/ctwr/cs_ctwr.c
    users/ctwr/uscti1.f90

* 23/07/2009 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Fix an issue in the parallel joining for specific cases.
  modified routines:
    src/base/cs_join_update.c

* 23/07/2009 - Jérome Lucas <jerome.lucas@incka.fr>
  Fix a bug in parallel simulations with cooling-tower module.
  modified routine:
    src/ctwr/cs_ctwr_halo.c

* 23/07/2009 - David Monfort <david.monfort@edf.fr>
  Fix a bug introduced a couple of rev. ago in listing output.
  modified routine:
    src/base/ecrlis.f90

* 23/07/2009 - David Monfort <david.monfort@edf.fr>
  Add Coriolis source terms in standard calculations.
  modified routines:
    include/base/cs_gui.h
    include/base/cstphy.h
    src/base/cs_gui.c
    src/base/impini.f90
    src/base/iniini.f90
    src/base/iniusi.f90
    src/base/preduv.f90
    users/base/usini1.f90

* 23/07/2009 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Fix an issue in the parallel joining for specific cases.
  modified routines:
    include/base/cs_join_util.h
    src/base/cs_join_update.c
    src/base/cs_join_util.c

* 23/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Translation of the two main user subroutines (initialization
  and boundary conditions).
  modified routines:
    users/base/usclim.f90
    users/base/usini1.f90

* 22/07/2009 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Fix a test on tolerance in the merge stage.
  modified routine:
    src/base/cs_join_merge.c

* 22/07/2009 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Fix a possible uninitialized variable in joining algorithm.
  modified routine:
    src/base/cs_join_intersect.c

* 22/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix a possible uninitialized variable in benchmark routines.
  modified routine:
    src/base/cs_benchmark.c

* 22/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix a possible compilation issue on BlueGene systems.
  modified script:
    config/cs_fvm.m4

* 22/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix a long-standing bug when reducing extended neighborhood.
  modified routines:
    include/base/cs_ext_neighborhood.h
    include/base/cs_mesh.h
    src/base/cs_ext_neighborhood.c
    src/base/cs_mesh.c

* 22/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Translation in English of magic strings in user files.
  modified scripts:
    bin/cs_create
    Makefile.am

* 22/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
               David Monfort <david.monfort@edf.fr>
  Update the translation files.
  modified files:
    po/POTFILES.in
    po/fr.po

* 22/07/2009 - Jérome Lucas <jerome.lucas@incka.fr>
               David Monfort <david.monfort@edf.fr>
  Fix several bugs in cooling-tower module and clean a few lines.
  modified routines:
    include/ctwr/cs_ctwr.h
    src/ctwr/cs_ctwr.c
    src/ctwr/cs_ctwr_halo.c
    src/ctwr/cs_ctwr_mesh.c

* 22/07/2009 - Jérome Lucas <jerome.lucas@incka.fr>
               David Monfort <david.monfort@edf.fr>
  Split main cooling-tower modelling routine in two for a better
  understanding (mainly to move aside the mesh generation).
  added routines:
    include/ctwr/cs_ctwr_mesh.h
    src/ctwr/cs_ctwr_mesh.c
  modified script:
    src/ctwr/Makefile.am
  modified routines:
    include/ctwr/cs_ctwr.h
    src/ctwr/cs_ctwr.c

* 22/07/2009 - David Monfort <david.monfort@edf.fr>
  Move tutorial examples into a dedicated examples directory.

* 22/07/2009 - David Monfort <david.monfort@edf.fr>
  Add missing changes in tridim.f90 for GUI improvement... sorry!
  modified routine:
    src/base/tridim.f90

* 22/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix a minor failure in I/O management.
  modified routine:
    src/base/cs_io.c
 
* 22/07/2009 - Sofiane Benhamadouche <sofiane.benhamadouche@edf.fr>
  Do not relax turbulent variables (k/epsilon/omega) in unsteady
  simulations.
  modified routine:
    src/base/modini.f90

* 22/07/2009 - David Monfort <david.monfort@edf.fr>
  Fix a bug in the P1 model for radiative transfer, where a local
  variable "iel" was not defined. 
  modified routine:
    src/rayt/raypun.f90
  
* 22/07/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Adapt 1d-profiles file to SALOME format for title and labels.
  modified routine:
    src/base/cs_gui.c

* 20/07/2009 - David Monfort <david.monfort@edf.fr>
  Add radiative transfert support for fuel combustion.
  added routine:
    src/fuel/furays.f90
  modified script:
    src/fuel/Makefile.am
  modified routines:
    src/base/covofi.f90

* 20/07/2009 - David Monfort <david.monfort@edf.fr>
  Fix a bug related to oxycombustion.
  modified routine:
    src/cplv/cptehm.f90

* 20/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Minor modifications regarding code and comments cleaning.
  modified routines:
    src/base/cs_join.c
    src/base/cs_join_intersect.c
    src/base/cs_join_merge.c
    src/base/cs_join_mesh.c

* 20/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Add a space-filling-curve algorithm for parallel partitioning.
  This algorithm is based on a Morton curve and can be used by
  setting the variable USE_SFC to 1 in the file.
  modified routine:
    src/base/cs_preprocessor_data.c

* 20/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Change the name of a FVM function accordingly.
  modified routine:
    src/base/cs_restart.c

* 20/07/2009 - David Monfort <david.monfort@edf.fr>
  Scripts fixes and SYRTHES-related improvements.
  modified scripts:
    bin/cs_config.py.in
    bin/cs_create.py
    bin/runcase_coupling.in
    config/cs_syrthes.m4

* 20/07/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Update particles tracking setup via the graphical interface.
  modified routines:
    gui/Pages/LagrangianBoundariesModel.py
    gui/Pages/LagrangianBoundariesView.py
    gui/Pages/LagrangianOutputForm.ui
    gui/Pages/LagrangianStatisticsForm.ui
    include/base/cs_gui_particles.h
    include/base/cs_gui_radiative_transfer.h
    src/base/cs_gui_boundary_conditions.c
    src/base/cs_gui.c
    src/base/cs_gui_mobile_mesh.c
    src/base/cs_gui_particles.c
    src/base/cs_gui_radiative_transfer.c
    src/base/cs_gui_specific_physics.c
    src/lagr/lagent.f90
    src/lagr/lagopt.f90
    src/rayt/raycli.f90
    users/lagr/uslag1.f90
    users/lagr/uslag2.f90

* 17/07/2009 - David Monfort <david.monfort@edf.fr>
  Merge code/code coupling feature from the development branch.
  This feature is not yet functional as it has not been updated
  to the new communications initialization for codes coupling.
  added routines:
    include/base/cplsat.h
    src/base/csc2cl.f90
    src/base/csc2ts.f90
    src/base/csccel.f90
    src/base/cscfbr.f90
    src/base/cscini.f90
    src/base/cscloc.f90
    src/base/cscpce.f90
    src/base/cscpfb.f90
    src/base/cs_sat_coupling.c
    src/base/memcs1.f90
    src/base/memcs2.f90
    users/base/ussatc.f90
  modified routines:
    include/base/cs_sat_coupling.h
    include/base/paramx.h
    src/base/caltri.f90
    src/base/iniini.f90
    src/base/navsto.f90
    src/base/preduv.f90
    src/base/tridim.f90
    src/base/typecl.f90
  modified script:
    src/base/Makefile.am

* 17/07/2009 - Jérôme Bonelle <jerome.bonelle@edf.fr>
               Yvan Fournier <yvan.fournier@edf.fr>
  Improvements and fixes in the parallel join algorithm.
  modified routines:
    include/base/cs_join_post.h
    include/base/cs_join_update.h
    include/base/cs_join_util.h
    include/base/cs_mesh.h
    include/base/cs_mesh_quantities.h
    include/base/cs_search.h
    src/apps/cs_solver.c
    src/base/cs_join.c
    src/base/cs_join_intersect.c
    src/base/cs_join_merge.c
    src/base/cs_join_mesh.c
    src/base/cs_join_post.c
    src/base/cs_join_set.c
    src/base/cs_join_split.c
    src/base/cs_join_update.c
    src/base/cs_join_util.c
    src/base/cs_mesh.c
    src/base/cs_mesh_quantities.c
    src/base/cs_search.c
    users/base/usjoin.f90

* 16/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix the behaviour of memory consumption output in case of error trapping.
  modified routine:
    src/base/cs_base.c

* 16/07/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Add particles tracking set-up within the graphical interface.
  Code and comments cleaning, plus some fixes related to Xml file
  management.
  added routines:
    gui/Pages/BoundaryConditionsParticlesModel.py
    gui/Pages/BoundaryConditionsParticlesView.py
    include/base/cs_gui_particles.h
    src/base/cs_gui_particles.c
  renamed routines:
    include/base/cs_gui_mobile_mesh.h
    src/base/cs_gui_mobile_mesh.c
  modified script:
    src/base/Makefile.am
  modified routines:
    gui/Base/BrowserView.py
    gui/Base/BrowserView.py
    gui/Base/QtPage.py
    gui/Pages/AnalysisFeaturesView.py
    gui/Pages/BatchRunningModel.py
    gui/Pages/BoundaryConditionsVelocityInletView.py
    gui/Pages/FluidCharacteristicsView.py
    gui/Pages/LagrangianBoundariesForm.ui
    gui/Pages/LagrangianBoundariesView.py
    gui/Pages/Makefile.am
    gui/Pages/MemoryAllocationForm.ui
    gui/Pages/MobileMeshView.py
    gui/Pages/NumericalParamGlobalForm.ui
    gui/Pages/OutputVolumicVariablesModel.py
    gui/Pages/ReferenceValuesModel.py
    gui/Pages/SolutionDomainForm.ui
    gui/Pages/SolutionVerifForm.ui
    gui/Pages/SolutionVerifView.py
    gui/Pages/ThermalRadiationView.py
    gui/Pages/UserArraysForm.ui
    gui/Pages/UserScalarPropertiesView.py
    include/base/cs_gui.h
    include/base/cs_gui_radiative_transfer.h
    src/base/cs_gui_boundary_conditions.c
    src/base/cs_gui.c
    src/base/cs_gui_radiative_transfer.c
    src/base/iniusi.f90
    src/base/Makefile.am
    src/base/strini.f90
    src/lagr/lagent.f90
    src/lagr/lagopt.f90
    src/rayt/raycli.f90
    src/rayt/rayopt.f90

* 16/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Autotools machinery improvement for SYRTHES coupling and BLAS libraries.
  modified scripts:
    config/cs_blas.m4
    config/cs_syrthes.m4
    configure.ac

* 10/07/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Graphical interface update for radiative transfer modelling.
  modified routines:
    gui/Base/BrowserView.py
    gui/Base/Toolbox.py
    gui/Base/XMLinitialize.py
    gui/Pages/BatchRunningModel.py
    gui/Pages/BoundaryConditionsWallRadiativeTransferView.py
    gui/Pages/Boundary.py
    gui/Pages/CoalCombustionView.py
    gui/Pages/CoalThermoChemistry.py
    gui/Pages/ThermalRadiationModel.py
    gui/Pages/ThermalRadiationView.py
    gui/Pages/TimeStepView.py
    gui/Pages/WelcomeView.py
    include/base/cs_gui_radiative_transfer.h
    include/base/cs_gui_variables.h
    src/base/cs_gui.c
    src/base/cs_gui_radiative_transfer.c
    src/base/iniusi.f90
    src/base/strini.f90
    src/pprt/ppcsca.f90
    src/rayt/raydom.f90
    src/rayt/rayopt.f90
    users/rayt/usray1.f90

* 10/07/2009 - François Jusserand <francois.jusserand@edf.fr>
  Fix a bug when accounting for orthotropic mesh viscosity.
  modified routine:
    src/base/condli.f90

* 10/07/2009 - David Monfort <david.monfort@edf.fr>
  Remove exthis modification in usipes.
  modified routine:
    users/base/usini1.f90

* 10/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix the calculation of the face-warping quality criterium.
  modified routine:
    src/base/cs_mesh_quality.c

* 10/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  On Linux systems, use fenv library to trap floating point exceptions.
  modified routine:
    src/apps/cs_solver.c

* 10/07/2009 - David Monfort <david.monfort@edf.fr>
  Blank removal.

* 10/07/2009 - Jérôme Bonelle <jerome.bonelle@edf.fr>
               Yvan Fournier <yvan.fournier@edf.fr>
  Add parall mesh joining feature.
  modified script:
    src/base/Makefile.am
  modified routines:
    include/base/cs_prototypes.h
    src/apps/cs_solver.c
  added routines:
    include/base/cs_join.h
    include/base/cs_join_intersect.h
    include/base/cs_join_merge.h
    include/base/cs_join_mesh.h
    include/base/cs_join_post.h
    include/base/cs_join_set.h
    include/base/cs_join_split.h
    include/base/cs_join_update.h
    include/base/cs_join_util.h
    include/base/cs_search.h
    include/base/cs_sort.h
    src/base/cs_join.c
    src/base/cs_join_f2c.f90
    src/base/cs_join_intersect.c
    src/base/cs_join_merge.c
    src/base/cs_join_mesh.c
    src/base/cs_join_post.c
    src/base/cs_join_set.c
    src/base/cs_join_split.c
    src/base/cs_join_update.c
    src/base/cs_join_util.c
    src/base/cs_search.c
    src/base/cs_sort.c
    users/base/usjoin.f90

* 10/07/2009 - David Monfort <david.monfort@edf.fr>
  Rename cs_xxxx_util.f90 in cs_xxxx_f2c.f90 to highlight Fortran API.
  added routines:
    src/base/cs_post_f2c.f90
    src/base/cs_selector_f2c.f90
    src/base/cs_syr_f2c.f90
  deleted routines:
    src/base/cs_interpr_util.f90
    src/base/cs_post_util.f90
    src/base/cs_syr_util.f90
  modified script:
    src/base/Makefile.am

* 08/07/2009 - David Monfort <david.monfort@edf.fr>
  Add missing tests on Xml file presence.
  modified routine:
    src/base/iniusi.f90

* 08/07/2009 - Alexandre Douce <alexandre.douce@edf.fr>
  Numerous modifications in the Graphical User Interface.
  - refactor of GUI reader.
  - update coal combustion management for oxycombustion modelling
  - update radiative transfer management (partly)
  - activate formula management for b.c., phys. prop., ...
  - activate atmospheric modelling
  - activate mobile mesh and fluid structure interaction management
  - several fixes
  added file:
    gui/Pages/icons/22x22/weather-few-clouds.png
  added routines:
    gui/Pages/BoundaryConditionsWallRadiativeTransferForm.ui
    gui/Pages/BoundaryConditionsWallRadiativeTransferView.py
    include/base/cs_gui_boundary_conditions.h
    include/base/cs_gui_mobil_mesh.h
    include/base/cs_gui_specific_physics.h
    include/base/cs_gui_variables.h
    src/base/cs_gui_boundary_conditions.c
    src/base/cs_gui_mobil_mesh.c
    src/base/cs_gui_specific_physics.c
  modified scripts:
    gui/Pages/Makefile.am
    src/base/Makefile.am
  modified routines:
    gui/Base/BrowserView.py
    gui/Base/MainView.py
    gui/Base/Toolbox.py
    gui/Base/XMLengine.py
    gui/Pages/AnalysisFeaturesView.py
    gui/Pages/AtmosphericFlowsForm.ui
    gui/Pages/AtmosphericFlowsModel.py
    gui/Pages/AtmosphericFlowsView.py
    gui/Pages/BatchRunningModel.py
    gui/Pages/BatchRunningView.py
    gui/Pages/BoundaryConditionsCoalInletForm.ui
    gui/Pages/BoundaryConditionsCoalInletView.py
    gui/Pages/BoundaryConditionsForm.ui
    gui/Pages/BoundaryConditionsMeteoForm.ui
    gui/Pages/BoundaryConditionsMeteoView.py
    gui/Pages/BoundaryConditionsMobileMeshView.py
    gui/Pages/BoundaryConditionsSlidingWallView.py
    gui/Pages/BoundaryConditionsTurbulenceInletView.py
    gui/Pages/BoundaryConditionsVelocityInletForm.ui
    gui/Pages/BoundaryConditionsVelocityInletView.py
    gui/Pages/BoundaryConditionsView.py
    gui/Pages/Boundary.py
    gui/Pages/CoalCombustionForm.ui
    gui/Pages/CoalCombustionModel.py
    gui/Pages/CoalCombustionView.py
    gui/Pages/CoalThermoChemistry.py
    gui/Pages/FluidCharacteristicsModel.py
    gui/Pages/FluidCharacteristicsView.py
    gui/Pages/FluidStructureInteractionView.py
    gui/Pages/LocalizationView.py
    gui/Pages/MobileMeshView.py
    gui/Pages/NumericalParamEquationModel.py
    gui/Pages/NumericalParamGlobalView.py
    gui/Pages/OutputVolumicVariablesModel.py
    gui/Pages/ProfilesModel.py
    gui/Pages/QMeiEditorView.py
    gui/Pages/resources_pages.qrc
    gui/Pages/SalomeHandler.py
    gui/Pages/SolutionDomainView.py
    gui/Pages/StartRestartForm.ui
    gui/Pages/ThermalRadiationForm.ui
    gui/Pages/ThermalRadiationView.py
    gui/Pages/TimeAveragesModel.py
    gui/Pages/TimeStepModel.py
    include/base/cs_gui.h
    include/base/cs_gui_matisse.h
    include/base/cs_gui_radiative_transfer.h
    include/base/cs_gui_util.h
    src/atmo/atini1.f90
    src/atmo/atprop.f90
    src/atmo/atvarp.f90
    src/base/cs_gui.c
    src/base/cs_gui_matisse.c
    src/base/cs_gui_radiative_transfer.c
    src/base/cs_gui_util.c
    src/base/iniusi.f90
    src/base/phyvar.f90
    src/base/strdep.f90
    src/base/tridim.f90
    src/base/varpos.f90
    src/cplv/cpprop.f90
    src/cplv/cpvarp.f90
    src/rayt/rayopt.f90
    users/base/usalcl.f90

* 08/07/2009 - Bertrand Carissimo <bertrand.carissimo@edf.fr>
               Maya Milliez <maya.milliez@edf.fr>
  Add non-neutral atmosphere modelling (both dry and humid, though
  humid atmosphere modelling is not yet fully functional).
  added routines:
    src/atmo/atmcls.f90
    src/atmo/atphyv.f90
    src/atmo/atprop.f90
    src/atmo/atprke.f90
    src/atmo/atvarp.f90
  modified routines:
    include/atmo/atincl.h
    src/atmo/atini1.f90
    src/atmo/atlecm.f90
    src/atmo/attycl.f90
    src/atmo/Makefile.am
    src/base/clptrg.f90
    src/base/turbke.f90
    src/pprt/ppcsca.f90
    src/pprt/ppphyv.f90
    src/pprt/ppprop.f90
    src/pprt/ppvarp.f90
    users/atmo/usatcl.f90
    users/atmo/usativ.f90
    users/pprt/usppmo.f90

* 08/07/2009 - David Monfort <david.monfort@edf.fr>
  Fix a check on the multigrid algorithm. Convert the abort on
  error from a test on the pressure to a test on the convection.
  modified routine:
    src/base/verini.f90

* 07/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
               David Monfort <david.monfort@edf.fr>
  Add tags in the time-monitoring files for SALOME.
  Change the files name in probes_XXXX.dat
  modified script:
    bin/runcase.in
  modified routines:
    include/base/entsor.h
    src/base/ecrhis.f90
    src/base/iniini.f90

* 07/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix a missing cs_config.h header and wrong MPI type.
  modified routine:
    src/base/cs_boundary_conditions.c

* 07/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Use a Fortran 95 feature - advance=no - in writing formats instead of
  the deprecating use of the dollar symbol.
  modified routine:
    src/base/csprnt.f90

* 07/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  When detecting a divergence in the linear system solver stage, abort
  and write graphical data of the given matrix (rhs, diagonal, ...).
  modified routines:
    include/base/cs_grid.h
    include/base/cs_sles.h
    src/base/cs_grid.c
    src/base/cs_multigrid.c
    src/base/cs_sles.c

* 07/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Add some management functions for post-processing writer definition
  in case of one encounters an error.
  modified routines:
    include/base/cs_post.h
    src/base/cs_post.c

* 07/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Make easier the launch of a SYRTHES 3 / Code_Saturne coupling.
  through sockets.
  modified script:
    bin/runcase.in
  modified routines:
    include/base/cs_opts.h
    include/base/cs_syr3_comm.h
    include/base/cs_syr_coupling.h
    src/apps/cs_solver.c
    src/base/cs_opts.c
    src/base/cs_syr3_comm.c
    src/base/cs_syr_coupling.c
  
* 07/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  OpenMP-related modifications.
  modified routines:
    include/base/cs_grid.h
    include/base/cs_prototypes.h
    include/base/parall.h
    include/base/paramx.h
    src/apps/cs_solver.c
    src/base/cs_grid.c
    src/base/cs_multigrid.c
    src/base/cs_renumber.c
    src/base/csinit.f90
    src/base/majgeo.f90

* 06/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix a wrong post-processing management for 2D SYRTHES-coupled meshes
  with SYRTHES 4.
  modified routines:
    include/base/cs_post.h
    src/base/cs_mesh_solcom.c
    src/base/cs_post.c
    src/base/cs_syr3_coupling.c
    src/base/cs_syr4_coupling.c
    src/ctwr/cs_ctwr.c

* 06/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Add a mesh category for an easier management of user-defined
  post-processing.
  modified routines:
    include/base/cs_post.h
    include/base/cs_prototypes.h
    src/base/cs_post.c
    src/base/dvvpst.f90

* 06/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Add a subroutine to control the behaviour of MPI I/O.
  modified routines:
    include/base/cs_io.h
    src/apps/cs_solver.c
    src/base/cs_io.c
    src/base/cs_preprocessor_data.c
    src/base/cs_restart.c

* 06/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Refactor compiler detection to alleviate some issues with IBM
  compilers (autodetection of xlc on non-BlueGene systems and
  for two different BlueGene systems on the same frontal).
  Add a MPI_TYPE autodetection for different MPI distribution.
  Code improvement/cleaning.
  modified scripts:
    bin/cs_check_consistency.py
    bin/cs_config.py.in
    bin/runcase.help
    bin/runcase.in
    config/cs_auto_flags.sh
    config/cs_mpi.m4

* 06/07/2009 - David Monfort <david.monfort@edf.fr>
  Remove call to the removed usruet subroutine.
  modified routine:
    src/base/clptrg.f90

* 06/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Code and comment cleaning.
  modified routines:
    include/base/cs_boundary_conditions.h
    include/base/cs_grid.h
    include/base/cs_mesh.h
    include/base/cs_mesh_quantities.h
    include/base/cs_multigrid.h
    include/base/cs_numbering.h
    include/base/cs_post.h
    include/base/cs_restart.h
    include/base/cs_sles.h
    src/base/cs_grid.c
    src/base/cs_halo.c
    src/base/cs_io.c
    src/base/cs_matrix.c
    src/base/cs_mesh.c
    src/base/cs_mesh_quality.c
    src/base/cs_mesh_quantities.c
    src/base/cs_multigrid.c
    src/base/cs_numbering.c
    src/base/cs_opts.c
    src/base/cs_post.c
    src/base/cs_sles.c
    src/base/ecrhis.f90
    src/base/ecrlis.f90
    src/base/typecl.f90
    src/base/viswal.f90
    users/base/usdpst.f90
    users/base/ussyrc.f90

* 06/07/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix a bug in the grid coarsening in case of parallelism.
  modified routine:
    src/base/cs_grid.c
 
* 06/07/2009 - David Monfort <david.monfort@edf.fr>
  Remove nearly never used user subroutine for u* calculation.
  removed routine:
    users/base/usruet.f90
  modified routine:
    src/base/clptur.f90
  modified documentation:
    doc/theory/clptrg.tex
    doc/theory/clptur.tex
    doc/user/saturne1.tex
  modified script:
    src/base/Makefile.am

* 03/07/2009 - Alexandre Douce <alexandre.douce@edf.fr>
               David Monfort <david.monfort@edf.fr>
  Several modifications of radiative transfer module.
  - Only one radiating phase is now possible
  - Use of propce and propfb arrays to store most of the variables
  - Use of standard routines for post-processing, leveraging the
  need of single-processor simulation for boundary variables output
  - Activation of the radiative transfer module from usray1, and no
  more from the different dp_XXX data files for specific physics
  modified thermochemistry data files:
    data/thch/dp_C3P
    data/thch/dp_C3PSJ
    data/thch/dp_C4P
    data/thch/dp_FCP
    data/thch/dp_FUE
  modified scripts:
    src/fuel/Makefile.am
    src/rayt/Makefile.am
  removed routines:
    src/rayt/raybrd.f90
    src/rayt/rayens.f90
  modified routines:
    include/base/cs_gui.h
    include/base/cs_gui_radiative_transfer.h
    include/lagr/lagran.h
    include/pprt/ppincl.h
    include/rayt/radiat.h
    src/base/caltri.f90
    src/base/clptrg.f90
    src/base/clptur.f90
    src/base/condli.f90
    src/base/covofi.f90
    src/base/cs_gui.c
    src/base/cs_gui_radiative_transfer.c
    src/base/dvvpst.f90
    src/base/impini.f90
    src/base/iniusi.f90
    src/base/memcli.f90
    src/base/tridim.f90
    src/base/varpos.f90
    src/base/verini.f90
    src/cogz/coini1.f90
    src/cogz/colecd.f90
    src/cogz/coprop.f90
    src/cogz/d3pint.f90
    src/cogz/d3pphy.f90
    src/cogz/ebuphy.f90
    src/cogz/pdflwc.f90
    src/cogz/pdfpp4.f90
    src/cplv/cpini1.f90
    src/cplv/cplecd.f90
    src/cplv/cplin1.f90
    src/cplv/cplpro.f90
    src/cplv/cpprop.f90
    src/cplv/cprays.f90
    src/elec/ellecd.f90
    src/elec/elphyv.f90
    src/elec/elveri.f90
    src/fuel/fuini1.f90
    src/fuel/fulecd.f90
    src/fuel/fuprop.f90
    src/lagr/lagcou.f90
    src/lagr/lagent.f90
    src/lagr/lagich.f90
    src/lagr/lagitp.f90
    src/lagr/laglec.f90
    src/lagr/lagopt.f90
    src/lagr/lagout.f90
    src/pprt/ppcabs.f90
    src/pprt/ppinii.f90
    src/pprt/ppray4.f90
    src/rayt/memra1.f90
    src/rayt/memra2.f90
    src/rayt/memra3.f90
    src/rayt/raycli.f90
    src/rayt/raydir.f90
    src/rayt/raydom.f90
    src/rayt/raylec.f90
    src/rayt/rayopt.f90
    src/rayt/rayout.f90
    src/rayt/raypar.f90
    src/rayt/raypun.f90
    src/rayt/raysca.f90
    src/rayt/raysol.f90
    users/cogz/usd3p1.f90
    users/cogz/usebu1.f90
    users/cogz/uslwc1.f90
    users/cplv/uscpl1.f90
    users/elec/uselph.f90
    users/lagr/uslaed.f90
    users/lagr/uslast.f90
    users/rayt/usray1.f90
    users/rayt/usray2.f90
    users/rayt/usray3.f90
    users/rayt/usray4.f90
    users/rayt/usray5.f90

* 03/07/2009 - David Monfort <david.monfort@edf.fr>
  Add a configure option to disable the graphical interface support.
  modified scripts:
    configure.ac
    Makefile.am

* 02/07/2009 - David Monfort <david.monfort@edf.fr>
  Merge syr_cs library into the kernel package for an easier
  maintenance and installation.
  Move preprocessor serach macro in configure.ac script.
  added script:
    config/cs_syrthes.m4
  removed script:
    config/cs_tools.m4
  modified scripts:
    bin/cs_compile.py
    bin/cs_config.py.in
    bin/runcase_coupling.in
    bin/runcase.in
    bin/runcase_syrthes
    configure.ac
    Makefile.am
  added routines:
    libsyrcs
    libsyrcs/Makefile.am
    libsyrcs/syr_comm.c
    libsyrcs/syr_comm.h
    libsyrcs/syr_coupling.c
    libsyrcs/syr_coupling.h
    libsyrcs/syr_cs.c
    libsyrcs/syr_defs.c
    libsyrcs/syr_defs.h

* 02/07/2009 - David Monfort <david.monfort@edf.fr>
  Pass Fortran specific libraries only to executable link stage.
  modified scripts:
    configure.ac
    bin/cs_config.py.in
    src/apps/Makefile.am

* 01/07/2009 - Richard Howard <richard.howard@edf.fr>
  Add a new turbulence model for LES: the WALE model.
  added routine:
    src/base/viswal.f90
  modified routines:
    gui/Pages/NumericalParamEquationModel.py
    gui/Pages/NumericalParamEquationView.py
    gui/Pages/TimeStepModel.py
    gui/Pages/TimeStepView.py
    gui/Pages/TurbulenceModel.py
    gui/Pages/TurbulenceView.py
    include/base/cstphy.h
    src/base/cs_gui.c
    src/base/impini.f90
    src/base/iniini.f90
    src/base/Makefile.am
    src/base/memphy.f90
    src/base/modini.f90
    src/base/phyvar.f90
    src/base/tridim.f90
    src/base/verini.f90
    users/base/usini1.f90

* 01/07/2009 - Mehdi Ouraou <mehdi.ouraou@edf.fr>
  Fix a wrong division by the density in the norm calculation for
  mass and lagrangian source terms.
  modified routine:
    src/base/resolp.f90

* 01/07/2009 - David Monfort <david.monfort@edf.fr>
  Fix a wrong test on radiative transfer modelling activated by
  specific physics.
  modified routine:
    src/rayt/rayopt.f90

* 01/07/2009 - David Monfort <david.monfort@edf.fr>
  Fix a missing "if" when testing for radiative transfer.
  modified routine:
    src/base/covofi.f90

* 01/07/2009 - David Monfort <david.monfort@edf.fr>
  Fix minor bugs introduced when committing user script modifications.
  modified scripts:
    bin/cs_check_consistency.py
    bin/runcase.in

* 26/06/2009 - David Monfort <david.monfort@edf.fr>
  Remove warning on padding.
  modified script:
    config/cs_auto_flags.sh

* 16/06/2009 - David Monfort <david.monfort@edf.fr>
  Remove executable bits for Python modules.
  modified scripts:
    bin/cs_check_consistency.py
    bin/cs_check_mesh.py
    bin/cs_compile.py
    bin/cs_config.py.in
    bin/cs_create.py
    bin/cs_info.py
    bin/cs_plot_probes.py
    gui/cs_gui.py

* 16/06/2009 - Mehdi Ouraou <mehdi.ouraou@edf.fr>
  Fix bugs in the scalar source terms for pulverized coal combustion
  with CO2 equation (wrong pointer, wrong use of unitialize arrays).
  modified routine:
    src/cplv/cptssc.f90

* 15/06/2009 - David Monfort <david.monfort@edf.fr>
  Enable the multigrid algorithm for the diffusion equation in
  the electric arcs, Lagrangian, radiative transfert (P1 model)
  and ALE modules.
  modified scripts:
    src/base/codits.f90
    src/base/varpos.f90
    src/elec/elini1.f90
    src/lagr/lageqp.f90
    src/rayt/raypun.f90

* 15/06/2009 - Jérôme Lucas <jerome.lucas@incka.fr>
  Fix a missing initialization in the halo structure.
  modified routine:
    src/base/cs_halo.c

* 15/06/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Code cleaning.
  modified routines:
    include/base/cs_boundary_conditions.h
    src/base/cs_boundary_conditions.c

* 15/06/2009 - Mehdi Ouraou <mehdi.ouraou@edf.fr>
  Fix a wrong array indirection in mass source term calculation.
  modified routines:
    src/base/mempdc.f90
    src/base/resolp.f90

* 15/06/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix a tricky bug in Bull optimization for matrix/vector product,
  often seen while using the multigrid algorithm (more occurences...)
  modified routine:
    src/base/cs_matrix.c

* 15/06/2009 - David Monfort <david.monfort@edf.fr>
  Fix mass flux calculation for fans modelling.
  modified routine:
    src/base/cs_ventil.c

* 15/06/2009 - François Jusserand <francois.jusserand@edf.fr>
  Fix a missing variable initialization for Code_Aster coupling.
  modified routine:
    src/base/cs_ast_coupling.c

* 15/06/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Update compiler flags for SX9 system and add -fbounds-check for gcc.
  modified script:
    config/cs_auto_flags.sh

* 15/06/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix to avoid error in bounds checking with gcc.
  modified routine:
    src/base/covofi.f90

* 15/06/2009 - David Monfort <david.monfort@edf.fr>
  Use the default reader for pdf.
  modified script:
    bin/cs_info.py

* 15/06/2009 - David Monfort <david.monfort@edf.fr>
               Yvan Fournier <yvan.fournier@edf.fr>
  Replace all the different user scripts by a single one.
  modified scripts:
    configure.ac
    Makefile.am
    doc/refcard/refcard.tex
    gui/Makefile.am
    gui/Base/MainView.py
  added scripts:
    bin/cs.in
    bin/cs_check_consistency.py
    bin/cs_check_mesh.py
    bin/cs_compile.py
    bin/cs_create.py
    bin/cs_info.py
    bin/cs_plot_probes.py
    gui/cs_gui.py
  removed scripts:
    bin/cs_check_consistency.in
    bin/cs_check_mesh.in
    bin/cs_compile.in
    bin/cs_config.py.in
    bin/cs_create.in
    bin/cs_info.in
    bin/cs_plot_probes.in
    bin/SaturneGUI.in
    gui/cs_gui.in

* 28/05/2009 - David Monfort <david.monfort@edf.fr>
  Add a trick to by-pass the PYTHONPATH environment variable.
  modified script:
    gui/cs_gui.in

* 28/05/2009 - David Monfort <david.monfort@edf.fr>
  Update user scripts with respect to the GUI integration,
  remove the ics_prefix references.
  modified scripts:
    bin/cs_info.in
    bin/runcase.in
    bin/runcase_coupling.in
    bin/cs_config.py.in

* 27/05/2009 - David Monfort <david.monfort@edf.fr>
  Update to new mkpyqt.py script.
  Remove two generated resources files.
  modified script:
    gui/sbin/mkpyqt.py
  removed files:
    gui/Base/resource_base_rc.py
    gui/Pages/resources_pages_rc.py

* 26/05/2009 - David Monfort <david.monfort@edf.fr>
  Merge the Graphical User Interface module within the Kernel
  module for a better consistency in development and maintenance.
  See the ICS Subversion repository for previous ChangeLog.
  added module:
    gui
  modified scripts:
    configure.ac
    config/cs_tools.m4
    bin/SaturneGUI.in
    Makefile.am

* 26/05/2009 - David Monfort <david.monfort@edf.fr>
  Tagging version 2.0 beta1

* 20/04/2009 - David Monfort <david.monfort@edf.fr>
  Mis-spelling of syr_cs_profile.
  modified script:
    bin/runcase_syrthes

* 15/04/2009 - David Monfort <david.monfort@edf.fr>
  Fix BG/L and /P ESSL BLAS detection.
  modified script:
    config/cs_auto_flags.sh
    config/cs_blas.m4

* 14/04/2009 - David Monfort <david.monfort@edf.fr>
  Change the order of header directory search when compiling.
  modified script:
    bin/cs_compile.in

* 14/04/2009 - David Monfort <david.monfort@edf.fr>
  Make all Python scripts depend on the right Python interpreter.
  Revert to 2.0.0-beta version number.
  modified scripts:
    bin/cs_check_consistency.in
    bin/cs_check_mesh.in
    bin/cs_compile.in
    bin/cs_config.py.in
    bin/cs_create.in
    bin/cs_info.in
    bin/cs_plot_probes.in
    configure.ac

* 14/04/2009 - David Monfort <david.monfort@edf.fr>
  Add a quick reference card documentation.
  Remove the reference to the VERS keyword in user subroutines.
  Change the version number to 2.0-beta1.
  modified files:
    doc/refcard/refcard.tex
    configure.ac
    Makefile.am

* 10/04/2009 - David Monfort <david.monfort@edf.fr>
  Fix the opt-libs option parsing in the compilation script.
  modified script:
    bin/cs_compile

* 08/04/2009 - David Monfort <david.monfort@edf.fr>
  Fix data/results for SYRTHES coupling.
  modified scritps:
    bin/runcase.in
    bin/runcase_syrthes

* 08/04/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Merge debug and optimized LDFLAGS.
  modified scripts:
    configure.ac
    src/*/Makefile.am

* 08/04/2009 - David Monfort <david.monfort@edf.fr>
               Yvan Fournier <yvan.fournier@edf.fr>
  Add support for a future use of MEI library for function
  interpretrer.
  Corrections in compile and autoflags scripts.
  added script:
    config/cs_mei.m4
  modified scripts:
    configure.ac
    bin/cs_config.py.in
    config/cs_auto_flags.sh
    src/apps/Makefile.am
    src/base/Makefile.am

* 08/04/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Missing common for OpenMP support and simplification
  in boundary conditions output.
  modified routines:
    include/base/parall.h
    src/base/typecl.f90

* 30/03/2009 - David Monfort <david.monfort@edf.fr>
  Update cs_auto_flags.sh (missing optimized flags)
  modified script:
    config/cs_auto_flags.sh

* 27/03/2009 - David Monfort <david.monfort@edf.fr>
  Correct way of handling a local Python installation.
  Update to the new name of the GUI script: cs_gui.
    bin/SaturneGUI.in
    configure.ac
    config/cs_tools.m4

* 27/03/2009 - David Monfort <david.monfort@edf.fr>
  Translation dictionary update.
  modified files:
    po/fr.po
    po/POTFILES.in

* 27/03/2009 - David Monfort <david.monfort@edf.fr>
  Documentation update.
  modified files:
    doc/manpages/cs_check_consistency.1
    doc/manpages/cs_create.1
    doc/manpages/cs_info.1
    doc/user/saturne1.tex
    doc/user/saturne2.tex

* 27/03/2009 - David Monfort <david.monfort@edf.fr>
  Move from getopt to optparse module in Python scripts to handle
  the command line.
  Add a --force option to the compilation script (in case no source
  files are present).
  Change some missing classical short/long options in some scripts.
  modified scripts:
    bin/cs_check_consistency
    bin/cs_check_mesh.in
    bin/cs_compile.in
    bin/cs_create.in
    bin/cs_info.in
    bin/cs_plot_probes
    bin/runcase.in

* 27/03/2009 - David Monfort <david.monfort@edf.fr>
  Use the new cs_preprocess name for autoconf detection.
  Add a PYTHONPATH variable export in order to be able to launch
  the GUI correctly.
  modified scripts:
    bin/SaturneGUI
    config/cs_tools.m4

* 27/03/2009 - David Monfort <david.monfort@edf.fr>
  Add a runcase_coupling script to launch code/code coupling
  simulations (experimental, only the script works).
  added scripts:
    bin/runcase_coupling.in
  modified scripts:
    configure.ac
    Makefile.am

* 27/03/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Disable OpenMP by default.
  Add a missing -DHAVE_CONFIG_H in the cs_compile script.
  modified scripts:
    bin/cs_compile
    configure.ac

* 27/03/2009 - David Monfort <david.monfort@edf.fr>
  Add an "apps" directory in which the compilation of Code_Saturne
  main library and applications is done.
  Rename cs_main.c in cs_solver.c
  Add the pre-requisite version of Python (2.3).
  added files:
    src/apps
    src/apps/cs_solver.c
    src/apps/Makefile.am
    src/Makefile.am
  removed routine:
    src/base/cs_main.c
  modified files:
    src/base/Makefile.am
    configure.ac
    Makefile.am

* 25/03/2009 - David Monfort <david.monfort@edf.fr>
  Temporarily set the architecture name (for EDF purposes), this
  part will be rewritten later on.
  modified script:
    bin/runcase_mpi_env

* 25/03/2009 - David Monfort <david.monfort@edf.fr>
               Yvan Fournier <yvan.fournier@edf.fr>
  Add a trick in some Python user scripts so that one does not
  have to set the PYTHONPATH variable in case the install path
  is not standard.
  modified scipts:
    bin/cs_check_mesh
    bin/cs_compile
    bin/cs_create
    bin/cs_info
    configure.ac

* 25/03/2009 - David Monfort <david.monfort@edf.fr>
               Yvan Fournier <yvan.fournier@edf.fr>
  Change the way one detects OpenMPI (version 1.3).
  Two minor corrections in the runcase_syrthes scripts (some
  results were not copied back).
  Make the long options of the code use the double-hyphen style.
  modified files:
    bin/cs_check_mesh
    bin/cs_compile
    bin/runcase.help
    bin/runcase.in
    bin/runcase_mpi_rank
    bin/runcase_syrthes
    doc/manpages/cs_check_mesh.1
    doc/manpages/cs_info.1
    doc/manpages/cs_solver.1
    doc/user/saturne1.tex
    po/fr.po
    src/base/cs_opts.c

* 23/03/2009 - David Monfort <david.monfort@edf.fr>
               Yvan Fournier <yvan.fournier@edf.fr>
  Add a trick to fool the Makefile.in.in from gettext support
  so that it handles the install-pdf target.
  Update the autoflags and cs_lagr.c accordingly.
  Small modification in the documentation macros.
  modified files:
    config/cs_auto_flags.sh
    doc/style/csmacros.sty
    po/fr.po
    po/Rules-install
    src/lagr/cs_lagr.c

* 23/03/2009 - David Monfort <david.monfort@edf.fr>
  Update French dictionnary.
  Remove ale.tex, integrated in the user guide.

* 23/03/2009 - David Monfort <david.monfort@edf.fr>
  Update Subversion ignore property.
  modified directories:
    config
    doc/refcard
    doc/refcard/graphics

* 23/03/2009 - David Monfort <david.monfort@edf.fr>
  Several modifications and corrections related to missing
  information (mostly).
  Updated GUI-related scripts in order to use an installed
  version of the GUI.
  modified scripts:
    bin/cs_config.py.in
    bin/SaturneGUI.in
    config/cs_auto_flags.sh
    config/cs_tools.m4
    configure.ac

* 23/03/2009 - David Monfort <david.monfort@edf.fr>
  Remove standard user shell script by Python ones.
  modified scripts:
    bin/cs_check_consistency
    bin/cs_check_mesh
    bin/cs_create
    bin/cs_info
    bin/cs_plot_probes
    bin/runcase.in

* 23/03/2009 - David Monfort <david.monfort@edf.fr>
  Reorganize the test cases database in a simpler way.
  Remove obsolete tex files.
  removed files:
    doc/theory/introd_fonc.save
    doc/theory/introd_fonc.tex.last

* 23/03/2009 - David Monfort <david.monfort@edf.fr>
  Lot of Makefile changes related to package distribution.
  Add a refcard documentation and some missing manpages.
  Add a csmacro and a csvers file containing all the macros
  and version for Code_Saturne documentation.
  Install cs_config.py in a Python site-package.
  Rename TEST_CASES in test_cases.
  modified files:
    configure.ac
    doc/howto/graphics/Makefile.am
    doc/howto/howto.tex
    doc/howto/Makefile.am
    doc/Makefile.am
    doc/manpages/cs_compile.1
    doc/manpages/cs_config.1
    doc/manpages/cs_create.1
    doc/manpages/cs_info.1
    doc/manpages/cs_plot_probes.1
    doc/manpages/cs_solver.1
    doc/refcard
    doc/refcard/graphics
    doc/refcard/graphics/Makefile.am
    doc/refcard/Makefile.am
    doc/refcard/refcard.tex
    doc/style/csdoc.sty
    doc/style/csindex.sty
    doc/style/csmacros.sty
    doc/style/csvers.tex.in
    doc/theory/graphics/Makefile.am
    doc/theory/Makefile.am
    doc/theory/theory.tex
    doc/tutorial/graphics/Makefile.am
    doc/tutorial/Makefile.am
    doc/tutorial/test_cases
    doc/tutorial/tutorial.tex
    doc/user/graphics/Makefile.am
    doc/user/Makefile.am
    doc/user/saturne1.tex
    doc/user/saturne2.tex
    doc/user/user.tex
    Makefile.am

* 23/03/2009 - David Monfort <david.monfort@edf.fr>
  Bug correction in SYRTHES coupling script.
  modified script:
    bin/runcase_syrthes

* 23/03/2009 - David Monfort <david.monfort@edf.fr>
  Remove the test on iasize in memory management routines where
  one does not need anymore new integer arrays. Fix a potential
  bug (introduced with the new multigrid algorithm) when
  checking a non-initialized variable.
  modified routines:
    src/base/memale.f90
    src/base/memdis.f90
    src/base/memdyp.f90
    src/base/memkep.f90
    src/base/memkom.f90
    src/base/memnav.f90
    src/base/memrij.f90
    src/base/memsca.f90
    src/base/memv2f.f90
    src/cfbl/memcfm.f90
    src/rayt/memra2.f90

* 20/03/2009 - David Monfort <david.monfort@edf.fr>
  Minor corrections and improvements based on feedback from
  Debian packager S. Ledru.
  added scripts:
    bin/runcase_mpi_env
    bin/runcase_mpi_rank
    bin/runcase_syrthes
  deleted scripts:
    bin/cs_runcase_mpi_env
    bin/cs_runcase_mpi_rank
    bin/cs_runcase_syrthes.in
    sbin/compil
    sbin/gettextize
    sbin/install
  modified scripts:
    bin/cs_config.py.in
    bin/runcase.in
    config/cs_auto_flags.sh
    configure.ac
    Makefile.am
    src/atmo/Makefile.am
    src/base/Makefile.am
    src/cfbl/Makefile.am
    src/cogz/Makefile.am
    src/cplv/Makefile.am
    src/ctwr/Makefile.am
    src/elec/Makefile.am
    src/fuel/Makefile.am
    src/lagr/Makefile.am
    src/pprt/Makefile.am
    src/rayt/Makefile.am

* 20/03/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Port autotools build system to BlueGene and Itanium systems.
  Add full BLAS and OpenMP support.
  modified scripts:
    config/cs_auto_flags.sh
    config/cs_blas.m4
    config/cs_fvm.m4
    config/cs_libxml2.m4
    config/cs_mpi.m4
    config/cs_tools.m4
    configure.ac

* 20/03/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Upgrade to BFT 1.1.
  Corrections and modifications for OpenMP support.
  Other small fixes regarding autotools support.
  modified script:
    src/base/Makefile.am
  modified routines:
    include/base/cs_base.h
    include/base/cs_blas.h
    include/base/cs_opts.h
    include/base/parall.h
    src/base/cs_ast_coupling.c
    src/base/cs_base.c
    src/base/cs_blas.c
    src/base/cs_main.c
    src/base/cs_matrix.c
    src/base/cs_opts.c
    src/base/cs_syr3_coupling.c
    src/base/majgeo.f90
    src/ctwr/cs_ctwr.c
    users/base/usdpst.f90

* 17/03/2009 - David Monfort <david.monfort@edf.fr>
  Add man pages for the main scripts to the documentation.
  added files:
    doc/manpages
    doc/manpages/cs_info.1
    doc/manpages/cs_check_consistency.1
    doc/manpages/cs_create.1
    doc/manpages/cs_config.1
    doc/manpages/cs_plot_probes.1
    doc/manpages/cs_check_mesh.1
  modified script:
    Makefile.am

* 17/03/2009 - David Monfort <david.monfort@edf.fr>
  Take into account the correct installation path for pdf documentation.
  modified scripts:
    bin/cs_create.in
    bin/cs_info.in

* 17/03/2009 - David Monfort <david.monfort@edf.fr>
  Bug correction in the copy of SYRTHES results.
  modified script:
    bin/cs_runcase_syrthes.in

* 17/03/2009 - David Monfort <david.monfort@edf.fr>
  Rename all scripts to remain coherent throughout Code_Saturne
  distribution.
  modified scripts:
    configure.ac
    Makefile.am

* 16/03/2009 - David Monfort <david.monfort@edf.fr>
  Major overhauling of the documentation building to keep
  automake rules.

* 16/03/2009 - David Monfort <david.monfort@edf.fr>
  Make lowercase documentation directories.

* 11/03/2009 - David Monfort <david.monfort@edf.fr>
  Remove (at last!) the cs_profile, Makefile and macros files.
  removed scripts:
    bin/cs_profile
    bin/macros_Blue_Gene_L.mk
    bin/macros_Blue_Gene_P.mk
    bin/macros_Darwin.mk
    bin/macros_Linux.mk
    bin/macros_Linux_IA64.mk
    bin/macros_Linux_x86_64.mk
    bin/macros_SX9.mk
    bin/Makefile
    extras/macros_old/macros_IRIX64.mk
    extras/macros_old/macros_SunOS.mk
    extras/macros_old/macros_OSF1.mk
    extras/macros_old/macros_Linux_CCRT.mk
    extras/macros_old/macros_HP-UX.mk
    extras/macros_old/README
    extras/macros_old

* 11/03/2009 - David Monfort <david.monfort@edf.fr>
  Add a --with-python option so that the Python executable used
  by the SaturneGUI script can be set up at installation stage.
  Minor modifications in the runcase script.
  modified scripts:
    bin/runcase.in
    bin/SaturneGUI.in
    config/cs_tools.m4
    configure.ac

* 11/03/2009 - David Monfort <david.monfort@edf.fr>
               Yvan Fournier <yvan.fournier@edf.fr>
  Add a cs_compile Python script to enable user compilation,
  based on information provided by cs_config.py, and add rpath
  handling in this latter script to be able to link even if the
  library path is not standard.
  Add a call to the new syr_cs_profile in SYRTHES coupling
  handling.
  Modify the behaviour of cs_create so that the comment removal
  and version tag is done at the installation stage, and no more
  at the study structure creation.
  Minor correction and modification in the runcase script.
  added scripts:
    bin/cs_compile
    bin/runcase_syrthes.in
  removed scripts:
    bin/runcase_syrthes
  modified scripts:
    bin/cs_config.py.in
    bin/cs_create.in
    bin/runcase.in
    config/cs_auto_flags.sh
    config/cs_tools.m4
    configure.ac
    Makefile.am

* 10/03/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Add a Python config files to enable the user scripts to
  be aware of the build and install options.
  added scripts:
    bin/cs_config.py.in
    configure.ac
  modified scripts:
    config/cs_auto_flags.sh
    config/cs_config_info.m4

* 09/03/2009 - David Monfort <david.monfort@edf.fr>
  Do not compile the code if there is no user file.
  modified script:
    bin/runcase.in

* 09/03/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Refactoring of the mesh renumbering feature in order
  to account for OpenMP support. Still missing is the
  correct numbering of interior and boundary faces.
  Based on initial work of Pascal Vezolles from IBM.
  added routines:
    include/base/cs_numbering.h
    src/base/cs_numbering.c
  modified routines:
    include/base/cs_base.h
    include/base/cs_matrix.h
    include/base/cs_mesh.h
    include/base/cs_prototypes.h
    include/base/cs_renumber.h
    include/base/parall.h
    include/base/paramx.h
    include/base/vector.h
    src/base/cs_base.c
    src/base/cs_benchmark.c
    src/base/cs_grid.c
    src/base/csinit.f90
    src/base/cs_main.c
    src/base/cs_matrix.c
    src/base/cs_mesh.c
    src/base/cs_renumber.c
    src/base/cs_sles.c
    src/base/gradmc.f90
    src/base/iniini.f90
    src/base/majgeo.f90
    src/base/numvec.f90
    src/base/prods2.f90
    src/base/prods3.f90
    src/base/prodsc.f90
  modified scripts:
    po/POTFILES.in
    src/base/Makefile.am

* 09/03/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Create a graphical post-processing view of the boundary
  conditions definition in case of error.
  added routines:
    include/base/cs_boundary_conditions.h
    src/base/cs_boundary_conditions.c
  modified scripts:
    po/POTFILES.in
    src/base/Makefile.am
  modified routines:
    include/base/cs_post.h
    src/base/cs_post.c
    src/base/typecl.f90

* 09/03/2009 - David Monfort <david.monfort@edf.fr>
  Replace CS_HOME fixed behaviour with autoconf handling
  in check_mesh, cs_create, cs_info, runcase and SaturneGUI.
  Remove unused scripts.
  modified scripts:
    bin/check_mesh
    bin/cs_create
    bin/cs_info
    bin/mpi_rank.sh
    bin/runcase
    bin/runcase.help
    bin/SaturneGUI
    configure.ac
  removed scripts:
    bin/compiler_version
    bin/cs.exe
    bin/ecs

* 09/03/2009 - David Monfort <david.monfort@edf.fr>
               Yvan Fournier <yvan.fournier@edf.fr>
  Change BFT and FVM behaviour wrt the _FLAGS handling.
  modified scripts:
    config/cs_bft.m4
    config/cs_fvm.m4
    configure.ac
    src/base/Makefile.am
    src/ctwr/Makefile.am
    src/lagr/Makefile.am

* 09/03/2009 - David Monfort <david.monfort@edf.fr>
               Yvan Fournier <yvan.fournier@edf.fr>
  Automatic detection of fvm_coupl library, along with
  sockets and dlopen support, and some system calls.
  Installation of user scripts in the proper directories.
  Copyright correction and dictionnary update.
  modified scripts:
    config/cs_auto_flags.sh
    config/cs_bft.m4
    config/cs_blas.m4
    config/cs_fvm.m4
    config/cs_libxml2.m4
    config/cs_mpi.m4
    config/cs_tools.m4
    configure.ac
    Makefile.am
    sbin/backup
  modified routine:
    include/base/cs_base.h
    src/base/cs_base.c
  updated dictionnary:
    po/fr.po
    po/remove-potcdate.sed

* 06/03/2009 - David Monfort <david.monfort@edf.fr>
  Rename cs_lagrang in cs_lagr.
  modified files:
    po/POTFILES.in
    src/lagr/Makefile.am
  removed routines:
    include/lagr/cs_lagrang.h
    src/lagr/cs_lagrang.c
  added routines:
    include/lagr/cs_lagr.h
    src/lagr/cs_lagr.c

* 06/03/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix a bug when running in benchmark mode.
  modified routine:
    src/base/cs_main.c

* 06/03/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Move from a global location to a local some specific
  MPI types.
  modified routines:
    include/base/cs_base.h
    src/base/cs_base.c
    src/base/cs_parall.c

* 06/03/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Rename cs_ecs_messages in cs_preprocessor_data.
  modified files:
    po/POTFILES.in
    src/base/cs_main.c
    src/base/Makefile.am
  removed routines:
    include/base/cs_ecs_messages.h
    src/base/cs_ecs_messages.c
  added routines:
    include/base/cs_preprocessor_data.h
    src/base/cs_preprocessor_data.c

* 06/03/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Remove unnecessary specific exit handling.
  modified routines:
    include/base/cs_base.h
    src/base/cs_base.c
    src/base/cs_calcium.c

* 05/03/2009 - David Monfort <david.monfort@edf.fr>
  First integration of the autoconfiscation of the build
  system.
  Add a bootstrap script, config files, Makefile.am
  files and configure.ac script.
  Add a Makefile.am file in every src sub-directory and
  modify C sources to account for the cs_config.h header.
  Add also some mandatory files in the root directory.
  added scripts:
    config
    config/cs_auto_flags.sh
    config/cs_bft.m4
    config/cs_blas.m4
    config/cs_fvm.m4
    config/cs_libxml2.m4
    config/cs_mpi.m4
    config/cs_tools.m4
    configure.ac
    INSTALL
    Makefile.am
    NEWS
    README
    sbin/bootstrap
    src/atmo/Makefile.am
    src/base/Makefile.am
    src/cfbl/Makefile.am
    src/cogz/Makefile.am
    src/cplv/Makefile.am
    src/ctwr/Makefile.am
    src/elec/Makefile.am
    src/fuel/Makefile.am
    src/lagr/Makefile.am
    src/mati/Makefile.am
    src/pprt/Makefile.am
    src/rayt/Makefile.am
  modified routines:
    src/base/cs_ale.c
    src/base/cs_ast_coupling.c
    src/base/cs_base.c
    src/base/cs_benchmark.c
    src/base/cs_blas.c
    src/base/cs_calcium.c
    src/base/cs_coupling.c
    src/base/cs_ecs_messages.c
    src/base/cs_ext_neighborhood.c
    src/base/cs_gradient.c
    src/base/cs_grid.c
    src/base/cs_gui.c
    src/base/cs_gui_matisse.c
    src/base/cs_gui_radiative_transfer.c
    src/base/cs_gui_util.c
    src/base/cs_halo.c
    src/base/cs_io.c
    src/base/cs_main.c
    src/base/cs_matrix.c
    src/base/cs_mesh.c
    src/base/cs_mesh_coherency.c
    src/base/cs_mesh_connect.c
    src/base/cs_mesh_halo.c
    src/base/cs_mesh_quality.c
    src/base/cs_mesh_quantities.c
    src/base/cs_mesh_solcom.c
    src/base/cs_mesh_warping.c
    src/base/cs_multigrid.c
    src/base/cs_opts.c
    src/base/cs_parall.c
    src/base/cs_perio.c
    src/base/cs_post.c
    src/base/cs_proxy_comm.c
    src/base/cs_renumber.c
    src/base/cs_restart.c
    src/base/cs_sat_coupling.c
    src/base/cs_selector.c
    src/base/cs_sles.c
    src/base/cs_syr3_comm.c
    src/base/cs_syr3_coupling.c
    src/base/cs_syr3_messages.c
    src/base/cs_syr4_coupling.c
    src/base/cs_syr_coupling.c
    src/base/cs_tpar1d.c
    src/base/cs_ventil.c
    src/base/tcpumx.c
    src/base/tremai.c
    src/ctwr/cs_ctwr_air_props.c
    src/ctwr/cs_ctwr.c
    src/ctwr/cs_ctwr_halo.c
    src/lagr/cs_lagrang.c
    src/lagr/cs_lagr_perio.c

* 05/03/2009 - David Monfort <david.monfort@edf.fr>
  Rename HAVE_XML macros to HAVE_LIBXML2 to give a better
  view of what is needed in the code.
  modified routines:
    src/base/cs_gui.c
    src/base/cs_gui_util.c
    src/base/cs_opts.c

* 04/03/2009 - Yvan Fournier <yvan.fournier@edf.fr>
               David Monfort <david.monfort@edf.fr>
  Cosmethic changes (committed in two revisions).
  modified routines:
    include/base/cs_base.h
    include/base/cs_parall.h
    include/base/cs_matrix.h
    include/base/cs_halo.h
    include/base/cs_mesh.h
    src/base/caltri.f90
    src/base/cs_benchmark.c
    src/base/cs_base.c
    src/base/cs_halo.c
    src/base/cs_matrix.c
    src/base/cs_mesh_quantities.c
    src/base/cs_mesh_warping.c
    src/base/cs_parall.c
    src/base/cs_syr_coupling.c
    users/base/usray3.F
    users/base/usray4.F
    users/base/usray5.F
  modified script:
    bin/runcase

* 04/03/2009 - Yvan Fournier <yvan.fournier@edf.fr>
               David Monfort <david.monfort@edf.fr>
  Add a sleep function in error handling to avoid multiple output
  in case of parallelism. Protect the cs_calcium.c sleep call with
  a test on _POSIX_SOURCE.
  modified routine:
    src/base/cs_base.c
    src/base/cs_calcium.c

* 04/03/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix a bug in cs_benchmark.c (n_faces instead of n_cells).
  modified routine:
    src/base/cs_benchmark.c

* 04/03/2009 - David Monfort <david.monfort@edf.fr>
  Rename every _CS_HAVE_xxx macro in the more standard HAVE_xxx

* 04/03/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Refactoring the code in a stand-alone plug-in for YACS, thus
  the complex part of the shared library build is removed.
  modified routines:
    include/base/cs_base.h
    include/base/cs_calcium.h
    include/base/cs_opts.h
    src/base/cs_base.c
    src/base/cs_calcium.c
    src/base/cs_main.c
    src/base/cs_opts.c
  modified scripts:
    bin/macros_Blue_Gene_L.mk
    bin/macros_Blue_Gene_P.mk
    bin/macros_Darwin.mk
    bin/macros_Linux_Ch.mk
    bin/macros_Linux_IA64.mk
    bin/macros_Linux.mk
    bin/macros_Linux_x86_64.mk
    bin/macros_SX9.mk
    bin/Makefile
    sbin/install
  added file:
    extras/cs_component.py

* 04/03/2009 - Bertrand Sapa <bertrand-externe.sapa@edf.fr>
  Correction on some missing "ipproc" indirections for several
  arguments in the call to the "rmodak" subroutine.
  modified routine:
    src/pprt/ppcabs.f90

* 04/03/2009 - David Monfort <david.monfort@edf.fr>
  Fix wrong test when tagging user files with version number.
  modified script:
    bin/Makefile

* 25/02/2009 - David Monfort <david.monfort@edf.fr>
  Fix wrong commit of the cs_profile script.
  modified script:
    bin/cs_profile

* 25/02/2009 - David Monfort <david.monfort@edf.fr>
               Yvan Fournier <yvan.fournier@edf.fr>
  Conversion of all the Fortran files (headers included)
  form fixed F77 format to free f90 format. A small-case
  extension is used so that one can, in the future, skip the
  preprocessing stage.
  Moreover the herebelow scripts have been updated to take
  into account the changes, especially the Makefile and macros
  files (to enforce the preprocessing stage by a correct compiler
  option).
  modified scripts:
    sbin/rmb
    bin/compiler_version
    bin/macros_Linux_Ch.mk
    bin/cs_profile
    bin/macros_Linux_x86_64.mk
    bin/cs_create
    bin/macros_Linux_IA64.mk
    bin/macros_SX9.mk
    bin/check_consistency
    bin/macros_Darwin.mk
    bin/runcase
    bin/macros_Linux.mk
    bin/macros_Blue_Gene_L.mk
    bin/Makefile
    bin/macros_Blue_Gene_P.mk

* 23/02/2009 - David Monfort <david.monfort@edf.fr>
  Minor corrections in file list optimization.
  modified scripts:
    bin/macros_Blue_Gene_L.mk
    bin/macros_Blue_Gene_P.mk
    bin/macros_Darwin.mk

* 23/02/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Correction in the mesh structure update when renumbering cells.
  modified routines:
    src/base/cs_renumber.c

* 23/02/2009 - David Monfort <david.monfort@edf.fr>
  Minor modifications on halos routines (no impact).
  modified routines:
    src/base/cs_mesh_halo.c
    src/ctwr/cs_ctwr_halo.c

* 23/02/2009 - David Monfort <david.monfort@edf.fr>
  Correction for tests based on IVERIF variable in usini1.F, bug
  introduced when merging the different verification tests.
  modified routine:
    users/base/usini1.F

* 23/02/2009 - David Monfort <david.monfort@edf.fr>
  Remove unused cs_mesh_select feature (replaced by fvm_selector
  for SYRTHES coupling).
  modified routines:
    src/base/cs_sat_coupling.c
    src/base/cs_syr_coupling.c
  deleted routines:
    include/base/cs_mesh_select.h
    src/base/cs_mesh_select.c

* 23/02/2009 - David Monfort <david.monfort@edf.fr>
  Porting to NEC SX9: replace VPP 5000 vectorization directives
  by NEC ones (!OCL... => !CDIR...) and add a specific macros file.
  Also add new AR and ARFLAGS variables in the Makefile so that one
  can specify the archiver.
  Thanks to HLRS for the modifications.
  added script:
    bin/macros_SX9.mk
  modified scripts:
    bin/macros_Blue_Gene_L.mk
    bin/macros_Blue_Gene_P.mk
    bin/macros_Darwin.mk
    bin/macros_Linux_Ch.mk
    bin/macros_Linux_IA64.mk
    bin/macros_Linux.mk
    bin/macros_Linux_x86_64.mk
    bin/Makefile
  modified routines:
    src/base/bilsc2.F
    src/base/cs_sles.c
    src/base/divmas.F
    src/base/gradmc.F
    src/base/gradrc.F
    src/base/matrdt.F
    src/base/matrix.F
    src/base/promav.F
    src/base/proxav.F
    src/base/recvmc.F
    src/base/tstvec.F
    src/base/vissec.F
    src/cfbl/cfbsc2.F
    src/cfbl/cfbsc3.F
    src/cfbl/cfdivs.F
    src/cplv/cplym1.F

* 23/02/2009 - David Monfort <david.monfort@edf.fr>
  Add a --version option to get Code_Saturne version number.
  modified routine:
    src/base/cs_opts.c
  updated dictionary:
    po/fr.po

* 23/02/2009 - David Monfort <david.monfort@edf.fr>
  Install the user subroutines and the documentation within
  a standard "arch/$NOM_ARCH/share" directory.
  Minor corrections in these scripts as well.
  modified scripts:
    bin/cs_create
    bin/cs_info
    bin/Makefile
    sbin/install

* 23/02/2009 - David Monfort <david.monfort@edf.fr>
  Typo in macro use (CS_ARCH_Linux instead of _CS_ARCH_Linux).
  modified routine:
    src/base/cs_proxy_comm.c

* 18/02/2009 - David Monfort <david.monfort@edf.fr>
  Minor modifications to make Fortran files to be compiled as
  Fortran 95 source files after conversion (in three commits).
  modified routines:
    src/base/causta.F
    src/base/crstgr.F
    src/base/divrij.F
    src/base/inimas.F
    src/base/projts.F
    src/cogz/pdfpp4.F
    src/cplv/cpphy2.F
    src/elec/elphyv.F
    src/elec/eltssc.F
    src/pprt/memppt.F

* 16/02/2009 - David Monfort <david.monfort@edf.fr>
  Change the mesh quality verification behaviour. The different
  gradient calculation modes are now done in one pass. Thus, only
  one option remains for the command line (-q, with no sub-option).
  modified routines:
    include/base/cs_opts.h
    src/base/caltri.F
    src/base/cs_main.c
    src/base/cs_opts.c
    src/base/initi1.F
    src/base/memtri.F
    src/base/modini.F
    src/base/testel.F
  modified documentation:
    bin/runcase.help
    doc/USER/latex/saturne1.tex
    po/fr.po

* 16/02/2009 - David Monfort <david.monfort@edf.fr>
  Change cs_glob_base_nbr, cs_glob_base_rang and cs_glob_base_mpi_comm
  in cs_glob_n_ranks, cs_glob_rank_id and cs_glob_mpi_comm (resp.).
  modified routines:
    include/base/cs_base.h
    include/base/cs_sat_coupling.h
    src/base/cs_ast_coupling.c
    src/base/cs_base.c
    src/base/cs_benchmark.c
    src/base/cs_coupling.c
    src/base/cs_ecs_messages.c
    src/base/cs_ext_neighborhood.c
    src/base/cs_gradient.c
    src/base/cs_grid.c
    src/base/cs_gui.c
    src/base/cs_halo.c
    src/base/cs_io.c
    src/base/cs_main.c
    src/base/cs_mesh.c
    src/base/cs_mesh_halo.c
    src/base/cs_mesh_quality.c
    src/base/cs_mesh_warping.c
    src/base/cs_multigrid.c
    src/base/cs_opts.c
    src/base/cs_parall.c
    src/base/cs_perio.c
    src/base/cs_post.c
    src/base/cs_proxy_comm.c
    src/base/cs_renumber.c
    src/base/cs_restart.c
    src/base/cs_sat_coupling.c
    src/base/cs_sles.c
    src/base/cs_syr3_comm.c
    src/base/cs_syr3_coupling.c
    src/base/cs_syr3_messages.c
    src/base/cs_syr4_coupling.c
    src/base/cs_tpar1d.c
    src/base/cs_ventil.c
    src/ctwr/cs_ctwr.c
    src/ctwr/cs_ctwr_halo.c
    src/lagr/cs_lagr_perio.c

* 16/02/2009 - François Jusserand <francois.jusserand@edf.fr>
  Fix Code_Aster coupling for sequential calculations.
  modified routines:
    include/base/cs_ast_coupling.h
    src/base/cs_ast_coupling.c
    src/base/cs_main.c
    src/base/strdep.F
    src/base/strini.F
    src/base/strpre.F

* 16/02/2009 - David Monfort <david.monfort@edf.fr>
  Update of french dictionnary and list of gettextized files.
  modified files:
    po/fr.po
    po/POTFILES.in

* 16/02/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Bug correction in the MPI environment guess script.
  modified script:
    bin/runcase_mpi_env

* 16/02/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Bug correction when closing files with MPI I/O enabled.
  modified routine:
    src/base/cs_io.c

* 16/02/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  The kernel is now able to post-process edges for a given
  mesh via the PSTEDG subroutine. This functionnality is
  thus removed from the preprocessor.
  modified routines:
    include/base/cs_post.h
    src/base/cs_post.c

* 16/02/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  English translation of the post-processing management.
  modified routines:
    include/base/cs_post.h
    include/base/cs_prototypes.h
    src/base/cs_main.c
    src/base/cs_mesh_quality.c
    src/base/cs_mesh_solcom.c
    src/base/cs_mesh_warping.c
    src/base/cs_multigrid.c
    src/base/cs_post.c
    src/base/cs_syr3_coupling.c
    src/base/cs_syr4_coupling.c
    src/ctwr/cs_ctwr.c

* 16/02/2009 - David Monfort <david.monfort@edf.fr>
  Rename cs_suite.[hc] files in cs_restart.[hc]

* 16/02/2009 - David Monfort <david.monfort@edf.fr>
  Wrong commit for cs_suite.c
  modified routine:
    src/base/cs_suite.c

* 16/02/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  English translation of the restart files management.
  Also add a basic timer for the restart files process.
  modified routines:
    include/base/cs_tpar1d.c
    src/base/cs_main.c
    src/base/cs_suite.c
    src/base/cs_tpar1d.c

* 16/02/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  English translation of the SolCom format reader.
  modified routines:
    include/base/cs_mesh_solcom.h
    src/base/cs_main.c
    src/base/cs_mesh_solcom.c

* 16/02/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Add cell renumbering capability and re-organize face
  renumbering process.
  added routine:
    src/base/tstvec.F
  modified routines:
    include/base/cs_halo.h
    include/base/cs_mesh.h
    include/base/cs_post.h
    include/base/cs_prototypes.h
    src/base/cs_ext_neighborhood.c
    src/base/cs_halo.c
    src/base/cs_mesh.c
    src/base/cs_post.c
    src/base/cs_renumber.c
    src/base/numvec.F

* 13/02/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Better english and french!
  modified routines:
    src/base/cs_multigrid.c
    src/base/ecrava.F
    src/base/ecrlis.F
    users/base/usvpst.F

* 13/02/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  SYRTHES coupling change set. Correction for SYRTHES 4 coupling
  and corresponding modifications for SYRTHES 3 coupling).
  Upgrade to syr_cs 2.3.0
  modified script:
    bin/cs_profile
  modified routines
    include/base/cs_syr3_comm.h
    include/base/cs_syr3_coupling.h
    include/base/cs_syr3_messages.h
    include/base/cs_syr4_coupling.h
    include/base/cs_syr_coupling.h
    src/base/caltri.F
    src/base/cs_coupling.c
    src/base/cs_syr3_comm.c
    src/base/cs_syr3_coupling.c
    src/base/cs_syr3_messages.c
    src/base/cs_syr4_coupling.c
    src/base/cs_syr_coupling.c

* 13/02/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Documentation update (mainly the mesh formats documentation
  that have been removed from the preprocessor manual).
  modified files:
    doc/style/csdoc.sty
    doc/USER/saturne1.tex
    doc/USER/user.tex

* 13/02/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  From now on, use fvm_part_to_block/fvm_block_to_part
  for restart files writing/reading.
  Upgrade to FVM version 0.13.0
  modified macros:
    bin/macros_Blue_Gene_L.mk
    bin/macros_Blue_Gene_P.mk
    bin/macros_Darwin.mk
    bin/macros_Linux_Ch.mk
    bin/macros_Linux_IA64.mk
    bin/macros_Linux.mk
    bin/macros_Linux_x86_64.mk
  modified file:
    COMPATIBILITY
  modified routine:
    src/base/cs_suite.c

* 13/02/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Free more memory (less valgrind errors...).
  modified routine:
    src/base/cs_gui.c

* 13/02/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Minor correction and new matrix.vector product tests.
  modified routine:
    src/base/cs_benchmark.c

* 13/02/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Correction in the MPI initialization in case of coupling.
  modified routine:
    src/base/cs_base.c

* 13/02/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  CS_MIN/MAX macros are now consistant with Bull's ones.
  modified routines:
    include/base/cs_base.h
    src/base/cs_matrix.c

* 13/02/2009 - Yvan Fournier <yvan.fournier@edf.fr>
  Code_Aster coupling update (YACS side).
  modified routines:
    include/base/cs_calcium.h
    src/base/cs_ast_coupling.c
    src/base/cs_calcium.c
    src/base/cs_main.c

* 13/02/2009 - Marc Sakiz <marc.sakiz@edf.fr>
  Minor corrections and updates in the documentation.
  modified files:
    doc/style/csdoc.sty
    doc/TUTORIAL/latex/case5.tex

* 13/02/2009 - Marc Sakiz <marc.sakiz@edf.fr>
  Minor changes in the 1D-profile generation iva the GUI.
  modified routine:
    src/base/cs_gui.c

* 13/02/2009 - David Monfort <david.monfort@edf.fr>
  Upgrade to new compilers, drivers and librairies on BG/L
  and BG/P architecture.
  modified scripts:
    bin/macros_Blue_Gene_L.mk
    bin/macros_Blue_Gene_P.mk

* 13/02/2009 - David Monfort <david.monfort@edf.fr>
  Add consistency checks for the atmospheric and cooling
  towers modules.
  modified script:
    bin/check_consistency

* 13/02/2009 - David Monfort <david.monfort@edf.fr>
  Add the executable bit for runcase_syrthes.
  modified script:
    bin/runcase_syrthes

* 02/02/2009 - David Monfort <david.monfort@edf.fr>
  Minor correction in help output.
  modified script:
    bin/cs_create

* 02/02/2009 - Marc Sakiz <marc.sakiz@edf.fr>
  Fix a bug when no wall is present on a domain for the 1D
  wall thermal module.
  modified routine:
    src/base/cs_tpar1d.c

* 28/11/2008 - David Monfort <david.monfort@edf.fr>
  Release of Code_Saturne version 1.4.0

* 28/11/2008 - François Jusserand <francois.jusserand@edf.fr>
               Marc Sakiz <marc.sakiz@edf.fr>
               David Monfort <david.monfort@edf.fr>
  First integration of the Code_Aster coupling capability.
  Not yet tested! Not ye compatible with parallelism.
  added routines:
    include/base/alaste.h
    include/base/cs_ast_coupling.h
    src/base/cs_ast_coupling.c
    users/base/usaste.F
  modified routines:
    include/base/paramx.h
    src/base/lecamx.F
    src/base/ecrava.F
    src/base/strdep.F
    src/base/strini.F
    src/base/iniini.F
    src/base/strpre.F
    src/base/tridim.F

* 28/11/2008 - David Monfort <david.monfort@edf.fr>
  Update french dictionnary.

* 28/11/2008 - David Monfort <david.monfort@edf.fr>
  Correction on a wrong test for boundary conditions settings
  with specific physics.
  modified routine:
    src/base/tridim.F

* 28/11/2008 - David Monfort <david.monfort@edf.fr>
               Jérôme Lucas <jerome.lucas@incka.fr>
  Complete the cooling towers feature.
  Still not complet and no restarting or parallelism.
  added routines:
    include/ctwr/cs_ctwr_air_props.h
    include/ctwr/cs_ctwr.h
    include/ctwr/cs_ctwr_halo.h
    src/ctwr/cs_ctwr_air_props.c
    src/ctwr/cs_ctwr.c
    src/ctwr/cs_ctwr_halo.c
    users/ctwr/usctdz.F
  modified routines:
    src/base/cregeo.F
    src/base/cs_main.c
    src/ctwr/ctphyv.F
    users/pprt/usppmo.F

* 28/11/2008 - David Monfort <david.monfort@edf.fr>
  Add a second routine for a second pass of initialization when
  modelling gas combustion in order to avoid mis-understanding
  of "variable initialization"...
  added routine:
    src/pprt/ppinv2.F
  modified routine:
    scr/base/scalai.F

* 28/11/2008 - David Monfort <david.monfort@edf.fr>
  Add the cstphy.h header in cregeo.F in order to ease
  the cooling towers integration.
  modified routines:
    src/base/caltri.F
    src/base/cregeo.F

* 27/11/2008 - David Monfort <david.monfort@edf.fr>
  Increase Code_Saturne version number to 1.4.0

* 27/11/2008 - David Monfort <david.monfort@edf.fr>
  Remove the splash screen at the GUI launch.
  modified script:
    bin/SaturneGUI

* 27/11/2008 - David Monfort <david.monfort@edf.fr>
  Add a QUALITY_ASSURANCE file which precises if the current
  version of Code_Saturne is validated under EDF quality
  assurance.
  added file:
    QUALITY_ASSURANCE

* 26/11/2008 - David Monfort <david.monfort@edf.fr>
  Add stubs for cooling towers subroutines and preparation
  of the cooling towers modelling integration.
  added routines:
    include/ctwr/ctincl.h
    src/ctwr/ctini1.F
    src/ctwr/ctiniv.F
    src/ctwr/ctphyv.F
    src/ctwr/cttssc.F
    src/ctwr/ctvarp.F
    users/ctwr/usctcl.F
    users/ctwr/uscti1.F
    users/ctwr/usctiv.F
  modified scripts:
    bin/Makefile
    sbin/install
  updated dictionnary:
    po/fr.po
  modified routines:
    include/base/cs_gui.h
    include/base/entsor.h
    include/pprt/ppincl.h
    src/base/cs_gui.c
    src/base/cs_post.c
    src/base/haltyp.F
    src/base/iniini.F
    src/base/inipst.F
    src/base/iniusi.F
    src/base/varpos.F
    src/pprt/ppclim.F
    src/pprt/ppcsca.F
    src/pprt/ppini1.F
    src/pprt/ppiniv.F
    src/pprt/ppphyv.F
    src/pprt/ppprcl.F
    src/pprt/pptssc.F
    src/pprt/ppvarp.F
    users/pprt/usppmo.F

* 26/11/2008 - David Monfort <david.monfort@edf.fr>
  Replace a test by an equivalent but simpler one.
  modified routine:
    src/rayt/rayopt.F

* 26/11/2008 - Marc Sakiz <marc.sakiz@edf.fr>
  Change the behaviour of the boundary conditions handling
  for the atmospheric module (let the user change the type
  of boundary condition even when a meteo profile file is
  read).
  modified routines:
    src/atmo/attycl.F
    users/atmo/usatcl.F

* 26/11/2008 - David Monfort <david.monfort@edf.fr>
  Add missing modifications for the atmospheric modelling.
  Without this patch, the code does not compile.
  modified routines:
    include/pprt/ppincl.h
    src/base/caltri.F
    src/base/varpos.F
    src/rayt/rayopt.F

* 25/11/2008 - Maya Milliez <maya.milliez@edf.fr>
               Bertrand Carissimo <bertrand.carissimo@edf.fr>
               Marc Sakiz <marc.sakiz@edf.fr>
  Integration of the atmospheric flow modelling for neutral
  atmosphere flows.
  modified scripts:
    bin/Makefile
    bin/runcase
    bin/runcase.help
    sbin/install
  modified routines:
    include/base/entsor.h
    include/base/cs_gui.h
    src/base/cs_gui.c
    src/base/iniini.F
    src/base/iniusi.F
    src/pprt/memppt.F
    src/pprt/ppclim.F
    src/pprt/ppcsca.F
    src/pprt/ppini1.F
    src/pprt/ppinii.F
    src/pprt/ppiniv.F
    src/pprt/ppprcl.F
    src/pprt/pptycl.F
    users/pprt/usppmo.F
  added routines:
    include/atmo
    include/atmo/atincl.h
    src/atmo
    src/atmo/atini1.F
    src/atmo/atiniv.F
    src/atmo/atlecm.F
    src/atmo/attycl.F
    src/atmo/intprf.F
    src/atmo/mematm.F
    users/atmo
    users/atmo/usatcl.F
    users/atmo/usati1.F
    users/atmo/usativ.F

* 25/11/2008 - Marc Sakiz <marc.sakiz@edf.fr>
  Add a common whose value depends whether the simulation
  uses a specific physics and if the radiative transfer
  modelling is enabled with a parametric file or not,
  preparing for the integration of the atmospheric modelling.
  modified routines:
    include/base/cs_gui.h
    include/pprt/ppincl.h
    src/base/caltri.F
    src/base/condli.F
    src/base/covofi.F
    src/base/cs_gui.c
    src/base/impini.F
    src/base/inivar.F
    src/base/memtri.F
    src/base/phyvar.F
    src/base/precli.F
    src/base/scalai.F
    src/base/tridim.F
    src/base/varpos.F
    src/base/verini.F
    src/rayt/raycli.F
    src/rayt/raydom.F
    src/rayt/rayopt.F
    users/rayt/usray1.F
    users/rayt/usray3.F

* 25/11/2008 - David Monfort <david.monfort@edf.fr>
  Update AUTHORS file.

* 25/11/2008 - David Monfort <david.monfort@edf.fr>
  Activate the multigrid algorithm for pressure by default.
  modified routine:
    users/base/usini1.F

* 24/11/2008 - David Monfort <david.monfort@edf.fr>
  Upgrade to GUI 1.4.d

* 24/11/2008 - Alexandre Douce <alexandre.douce@edf.fr>
  Add an option for the multigrid algorithm in the GUI.
  modified routines:
    include/base/cs_gui.h
    src/base/cs_gui.c
    src/base/iniusi.F

* 20/11/2008 - David Monfort <david.monfort@edf.fr>
  Remove the -fbounds-check option (gfortran compiler)
  as it seems to corrupt the stack.
  modified scripts:
    bin/macros_Linux.mk
    bin/macros_Linux_x86_64.mk

* 20/11/2008 - David Monfort <david.monfort@edf.fr>
  English translation of most of the missing C sources.
  modified routines:
    include/base/cs_gui.h
    include/base/cs_post.h
    include/base/cs_sat_coupling.h
    include/base/cs_tpar1d.h
    include/base/cs_ventil.h
    include/base/entsor.h
    include/fuel/fuincl.h
    include/mati/matiss.h
    src/base/cs_gui.c
    src/base/cs_gui_matisse.c
    src/base/cs_gui_radiative_transfer.c
    src/base/cs_gui_util.c
    src/base/cs_main.c
    src/base/cs_sat_coupling.c
    src/base/cs_tpar1d.c
    src/base/cs_ventil.c
  updated french dictionnary:
    po/fr.po
    po/POTFILES.in

* 19/11/2008 - David Monfort <david.monfort@edf.fr>
  Rename cs_couplage* sources to cs_sat_coupling*
  deleted routines:
    cs_couplage.h
    cs_couplage.c
  added routines:
    cs_sat_coupling.h
    cs_sat_coupling.c
  modified routines:
    cs_main.c
    cs_opts.c

* 17/11/2008 - David Monfort <david.monfort@edf.fr>
  Small correction on some output in cs_gui.c
  modified files:
    po/fr.po
    src/base/cs_gui.c

* 14/11/2008 - David Monfort <david.monfort@edf.fr>
  Set the precision on coarsest mesh equal to the one
  on finest mesh in the multigrid algorithm for better
  efficiency (and scalability).
  modified routine:
    src/base/cs_multigrid.c

* 14/11/2008 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Minor corrections and improvements.
  modified routines:
    src/base/cs_ext_neighborhood.c
    src/base/cs_ecs_messages.c
    src/base/cs_mesh.c

* 14/11/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Reformating comments and english translation.
  modified routines:
    include/base/cs_mesh_connect.h
    include/base/cs_mesh_solcom.h
    include/base/cs_prototypes.h
    include/base/tcpumx.h
    include/base/tremai.h
    src/base/cs_mesh_solcom.c
    src/base/tcpumx.c
    src/base/tremai.c
  modified dictionnary:
    po/fr.po

* 14/11/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Add a backup script for developpers.
  added script:
    sbin/backup

* 14/11/2008 - David Monfort <david.monfort@edf.fr>
  Merge documentation changes form the 1.3 branch (-r 777:778).
  modified documentation:
    THEORY/latex/Base/bilsc2.tex
    THEORY/latex/Base/clptrg.tex
    THEORY/latex/Base/clptur.tex
    THEORY/latex/Base/clsyvt.tex
    THEORY/latex/Base/condli.tex
    THEORY/latex/summary.tex
    THEORY/latex/theory.tex
    USER/latex/a1_autovalid.tex
    USER/latex/saturne1.tex
    USER/latex/saturne2.tex
  added documentation:
    THEORY/latex/Base/clptrg.tex

* 13/11/2008 - David Monfort <david.monfort@edf.fr>
  Updating Code_Saturne version number to 1.4.c and prerequisites.
  modified files:
    doc/style/csdoc.sty
    doc/THEORY/latex/theory.tex
    bin/cs_profile
    bin/Makefile
    bin/macros_Blue_Gene_P.mk
    COMPATIBILITY

* 13/11/2008 - Yvan Fournier <yvan.fournier@edf.fr>
               David Monfort <david.monfort@edf.fr>
  Minor modifications in scripts, macros and docs.
  modified docs:
    doc/USER/latex/saturne1.tex
  modified scripts:
    bin/macros_Linux.mk
    bin/macros_Linux_x86_64.mk
    bin/runcase_syrthes

* 13/11/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Correction of the outputs english translation.
  modified routine:
    src/base/lecamx.F

* 13/11/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Bug correction and english translation in the restart file code.
  modified file:
    po/fr.po
  modified routines:
    include/base/cs_suite.h
    src/base/cs_suite.c

* 07/11/2008 - David Monfort <david.monfort@edf.fr>
  Updating the french dictionnary.
  modified file:
    po/fr.po

* 07/11/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Bug correction in the restart file reading.
  modified routine:
    src/base/cs_suite.c

* 07/11/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Bug correction in the SYRTHES coupling initialization.
  modified routine:
    src/base/cs_syr_coupling.c

* 07/11/2008 - David Monfort <david.monfort@edf.fr>
  Remove the dependency to BLAS in the Fortran dot products
  because one always provides Fortran wrappers in the C code.
  modified script:
    bin/Makefile
  modified routines:
    src/base/prodsc.F
    src/base/prods2.F
    src/base/prods3.F

* 07/11/2008 - David Monfort <david.monfort@edf.fr>
  Replace depecrated references to Tcl/Tk/Tix by PyQt ones.
  Update the wrapper around the Graphical User Interface.
  modified files:
    COMPATIBILITY
    bin/SaturneGUI

* 05/11/2008 - David Monfort <david.monfort@edf.fr>
  Always set the head loss tensor to be a full symmetric tensor
  in order to ease the setup within the Graphical User Interface
  (NCKPDC has been removed and replaced by the constant 6).
  modified documentation:
    doc/TUTORIAL/latex/case4.tex
    doc/USER/latex/saturne1.tex
  modified routines:
    include/base/pointe.h
    src/base/caltri.F
    src/base/covofi.F
    src/base/dttvar.F
    src/base/iniini.F
    src/base/mempdc.F
    src/base/navsto.F
    src/base/phyvar.F
    src/base/preduv.F
    src/base/reseps.F
    src/base/resolp.F
    src/base/resrij.F
    src/base/resssg.F
    src/base/resv2f.F
    src/base/scalai.F
    src/base/tridim.F
    src/base/tsepdc.F
    src/base/turbke.F
    src/base/turbkw.F
    src/base/turrij.F
    src/base/visdyn.F
    src/base/vislmg.F
    src/base/vissec.F
    src/base/vissma.F
    src/base/vissst.F
    src/cfbl/cfdivs.F
    src/cfbl/cfdttv.F
    src/cfbl/cfener.F
    src/cfbl/cfmsfl.F
    src/cfbl/cfmsgs.F
    src/cfbl/cfmsvl.F
    src/cfbl/cfqdmv.F
    src/cogz/ebutss.F
    src/cogz/lwctss.F
    src/cplv/cpltss.F
    src/cplv/cpltsv.F
    src/cplv/cptssc.F
    src/cplv/cptsvc.F
    src/elec/eltssc.F
    src/fuel/futssc.F
    src/fuel/futsvc.F
    src/mati/mtkpdc.F
    src/mati/mttsns.F
    src/mati/mttssc.F
    src/pprt/pptssc.F
    users/base/uskpdc.F
    users/base/ussmag.F
    users/base/ustske.F
    users/base/ustskw.F
    users/base/ustsma.F
    users/base/ustsns.F
    users/base/ustsri.F
    users/base/ustssc.F
    users/base/ustsv2.F
    users/base/usvist.F

* 05/11/2008 - Alexandre Douce <alexandre.douce@edf.fr>
               Nicole Picard <nicole-n.picard@edf.fr>
  Modifications in the XML reader related to the upgrade of the
  Graphical User Interface in version 1.4.c (now written in PyQt).
  Improvements in some areas but the Interface is not complete yet.
  modified script:
    bin/cs_profile
  modified routines:
    include/base/cs_gui.h
    include/base/cs_gui_util.h
    include/base/cs_prototypes.h
    src/base/caltri.F
    src/base/cs_gui.c
    src/base/cs_gui_radiative_transfer.c
    src/base/cs_gui_util.c
    src/base/iniusi.F
    src/base/stdtcl.F
    src/base/tridim.F
    src/cplv/cpltcl.F
    src/pprt/ppclim.F

* 05/11/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix a bug arising when the ratio between the number of
  processors and the number of cells is two high.
  modified routine:
    src/base/cs_ecs_messages.c

* 05/11/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Makefile simplifications.
  modified script:
    bin/Makefile

* 05/11/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Major overhauling of the SYRTHES coupling: upgrade to
  FVM 0.12.0 and its coupling library, coupling with SYRTHES 3
  and in the future SYRTHES 4 available, definition of coupling
  via a user subroutine instead of a script command, simpler
  MPI initialization.
  modified scripts:
    bin/cs_profile
    bin/Makefile
    bin/runcase
    bin/runcase.help
    bin/runcase_syrthes
  modified routines:
    include/base/cs_base.h
    include/base/cs_opts.h
    include/base/cs_syr3_comm.h
    include/base/cs_syr3_coupling.h
    include/base/cs_syr3_messages.h
    src/base/coupbi.F
    src/base/coupbo.F
    src/base/cregeo.F
    src/base/cs_base.c
    src/base/cs_couplage.c
    src/base/cs_main.c
    src/base/cs_opts.c
    src/base/cs_syr3_comm.c
    src/base/cs_syr3_coupling.c
    src/base/cs_syr3_messages.c
    src/base/initi1.F
  added routines:
    include/base/cs_coupling.h
    include/base/cs_syr4_coupling.h
    include/base/cs_syr_coupling.h
    src/base/cs_coupling.c
    src/base/cs_syr4_coupling.c
    src/base/cs_syr_coupling.c
    src/base/cs_syr_util.F
    users/base/ussyrc.F

* 05/11/2008 - David Monfort <david.monfort@edf.fr>
  Upgrading to FVM 0.12.0 (fix a bug with MPI/IO) and BFT 1.0.8.
  modified routine:
    src/base/cs_base.c
  modified scripts:
    bin/macros_Blue_Gene_L.mk
    bin/macros_Blue_Gene_P.mk
    bin/macros_Linux.mk
    bin/macros_Linux_Ch.mk
    bin/macros_Linux_IA64.mk
    bin/macros_Linux_x86_64.mk

* 04/11/2008 - David Monfort <david.monfort@edf.fr>
  Ditto for vector synchronization.
  modified routine:
    src/base/cs_perio.c

* 04/11/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix a bug if the simulation has a periodicity of a translation
  (missing test on the presence of rotation).
  modified routine:
    src/base/cs_perio.c

* 31/10/2008 - Richard Howard <richard.howard@edf.fr>
               David Monfort <david.monfort@edf.fr>
  Make the test on the convergence of the gradient reconstruction
  method dimensionless if the maximum control volume is greater
  than 1 (useful for some atmospheric simulations).
  modified routines:
    include/base/cstphy.h
    src/base/alemaj.F
    src/base/calgeo.F
    src/base/caltri.F
    src/base/clvolc.F
    src/base/cregeo.F
    src/base/gradrc.F

* 31/10/2008 - David Monfort <david.monfort@edf.fr>
  Fix a MPI blocking bug on the BlueGene/P system (from IBM).
  modified file:
    bin/macros_Blue_Gene_P.mk

* 30/10/2008 - David Monfort <david.monfort@edf.fr>
  Merging from the 1.3 branch (-r 736:741, updating macros, runcase
  adaptation for Salome, examples in uskpdc and usproj).

* 29/10/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  English translation of code and comments in several files, along
  with some minor improvements.
  modified routines:
    bin/runcase
    include/base/cs_base.h
    include/base/cs_ecs_messages.h
    include/base/cs_grid.h
    include/base/cs_mesh_connect.h
    include/base/cs_mesh.h
    include/base/cs_opts.h
    include/base/cs_parall.h
    include/base/cs_post.h
    include/base/cs_prototypes.h
    src/base/coupbi.F
    src/base/coupbo.F
    src/base/cs_base.c
    src/base/cs_couplage.c
    src/base/cs_main.c
    src/base/cs_mesh.c
    src/base/cs_mesh_connect.c
    src/base/cs_mesh_quantities.c
    src/base/cs_mesh_warping.c
    src/base/cs_multigrid.c
    src/base/cs_opts.c
    src/base/cs_parall.c
    src/base/cs_post.c
    src/base/cs_sles.c
    src/base/cs_suite.c
    src/base/cs_syr3_coupling.c
    src/base/cs_tpar1d.c

* 29/10/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix a bug when extracting part of the mesh if there is no
  boundary face.
  modified routine:
    src/base/cs_ecs_messages.c

* 29/10/2008 - David Monfort <david.monfort@edf.fr>
  Merging from the 1.3 branch (-r 731:732, minor lagopt bug fix)

* 29/10/2008 - David Monfort <david.monfort@edf.fr>
  Add a COMMAND_REORIENT variable in the runcase in order
  to simplify the runcase setup by the GUI.
  modified scritps:
    bin/runcase
    bin/runcase.help
  
* 28/10/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Minor corrections and improvement in scripts.
  modified scripts:
    bin/cs_info
    bin/mpi_rank.sh

* 27/10/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Correction on the use of shared arrays.
  modified routine:
    src/base/crstgr.F
    src/base/cs_grid.c

* 27/10/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Add C functions to deal with face/cell selection.
  modified routines:
    include/base/cs_selector.h
    src/base/cs_selector.c

* 27/10/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Adding some Fortran prototypes for C callers.
  modified routine:
    include/base/cs_prototypes.h

* 27/10/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Several Makefile corrections and improvements.
  modified script:
    bin/Makefile

* 27/10/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix a bug in the mesh coherency check in case of translation.
  modified routine:
    src/base/cs_mesh_coherency.c

* 27/10/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Remove inconsistent comments.
  modified routine:
    src/base/initi1.F

* 27/10/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Change size_t variables to fvm_file_offt in order
  to bypass some possible limitations on BlueGene systems.
  modified routines:
    include/base/cs_io.h
    src/base/cs_io.c

* 27/10/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Fixing a bug when re-opening a file.
  modified routine:
    src/base/cs_io.c

* 27/10/2008 - David Monfort <david.monfort@edf.fr>
  Remove the forcing to ASCII mode for post-processing when
  the calculation is in verification mode.
  modified routine:
    src/base/initi1.F

* 27/10/2008 - David Monfort <david.monfort@edf.fr>
  Correction on a warning output (IPERIO instead of IRANGP).
  modified file:
    src/base/verini.F

* 27/10/2008 - David Monfort <david.monfort@edf.fr>
  Updating the dp_FUE file for fuel combustion to account 
  for the number of fuel classes.
  modified file:
    data/thch/dp_FUE

* 27/10/2008 - Mehdi Ouraou <mehdi.ouraou@edf.fr>
  Updating the dp_FCP file for coal combustion according
  to the new oxycombustion model.
  modified file:
    data/thch/dp_FCP

* 27/10/2008 - David Monfort <david.monfort@edf.fr>
  Move the autovalidation scripts to the extra directory.
  moved scripts:
    bin/Autovalidation
    bin/autovalid
    bin/autovalid.xml

* 27/10/2008 - David Monfort <david.monfort@edf.fr>
  Remove a redundant verification on the ICHRVR, ... variables.
  modified routine:
    src/cplv/cplver.F

* 27/10/2008 - David Monfort <david.monfort@edf.fr>
  Minor corrections in scripts.
  modified scripts:
    bin/check_consistency
    bin/check_mesh

* 27/10/2008 - David Monfort <david.monfort@edf.fr>
  English translation of part of the autovalidation scripts.
  modified scripts:
    bin/Autovalidation/Case.py
    bin/Autovalidation/Study.py

* 27/10/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Fixing a bug in cs_ecs_messages.c where all periodicities
  were added as a rotation.
  modified routine:
    src/base/cs_ecs_messages.c

* 27/10/2008 - David Monfort <david.monfort@edf.fr>
  Fixing a bug in cs_io.c where a file is closed twice.
  modified routine:
    src/base/cs_io.c

* 27/10/2008 - David Monfort <david.monfort@edf.fr>
  Remove the test on the number of cells in the restart files
  in varpos.F, as it is unknown at this moment.
  modified routine:
    src/base/varpos.F

* 10/10/2008 - David Monfort <david.monfort@edf.fr>
  Merging from the 1.3 branch (-r 705:706, minor lagopt bug fix)

* 01/10/2008 - David Monfort <david.monfort@edf.fr>
  Merging from the 1.3 branch (-r 701:704, missing argument
  and C89 syntax)

* 12/09/2008 - David Monfort <david.monfort@edf.fr>
  Remove all occurences of the CCRT machines "Tantale".
  modified files:
    TODO
    bin/cs_profile
    doc/USER/latex/saturne1.tex
    extras/macros_old/README
  removed file:
    bin/macros_Linux_CCRT.mk
  added file:
    extras/macros_old/macros_Linux_CCRT.mk

* 12/09/2008 - David Monfort <david.monfort@edf.fr>
  Temporary fix to avoid building a void CTWR library.
  modified scripts:
    bin/Makefile
    sbin/install

* 12/09/2008 - David Monfort <david.monfort@edf.fr>
  Updating french dictionnary.
  modified file:
    po/fr.po

* 12/09/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Minor correction on strings translation.
  modified routine:
    src/base/cs_multigrid.c

* 12/09/2008 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Correction on periodicity transfer from the preprocessor.
  modified routine:
    src/base/cs_ecs_messages.c
  
* 12/09/2008 - David Monfort <david.monfort@edf.fr>
  Replace all occurences of #if defined(__cplusplus) ...
  with a macro defined in cs_base.h for all C headers.
  The aim is to be able to compile the code with a C++
  compiler (for testing only).
  modified routines:
    src/base/cs_ale.c
    src/base/cs_base.c
    src/base/cs_benchmark.c
    src/base/cs_blas.c
    src/base/cs_calcium.c
    src/base/cs_couplage.c
    src/base/cs_ecs_messages.c
    src/base/cs_ext_neighborhood.c
    src/base/cs_gradient.c
    src/base/cs_grid.c
    src/base/cs_gui.c
    src/base/cs_gui_matisse.c
    src/base/cs_gui_radiative_transfer.c
    src/base/cs_gui_util.c
    src/base/cs_halo.c
    src/base/cs_io.c
    src/base/cs_main.c
    src/base/cs_matrix.c
    src/base/cs_mesh.c
    src/base/cs_mesh_coherency.c
    src/base/cs_mesh_connect.c
    src/base/cs_mesh_halo.c
    src/base/cs_mesh_quality.c
    src/base/cs_mesh_quantities.c
    src/base/cs_mesh_select.c
    src/base/cs_mesh_solcom.c
    src/base/cs_mesh_warping.c
    src/base/cs_multigrid.c
    src/base/cs_opts.c
    src/base/cs_parall.c
    src/base/cs_perio.c
    src/base/cs_post.c
    src/base/cs_proxy_comm.c
    src/base/cs_renumber.c
    src/base/cs_selector.c
    src/base/cs_sles.c
    src/base/cs_suite.c
    src/base/cs_syr3_comm.c
    src/base/cs_syr3_coupling.c
    src/base/cs_syr3_messages.c
    src/base/cs_tpar1d.c
    src/base/cs_ventil.c
    src/base/tcpumx.c
    src/base/tremai.c
    src/lagr/cs_lagrang.c
    src/lagr/cs_lagr_perio.c

* 12/09/2008 - David Monfort <david.monfort@edf.fr>
  Minor correction on the gettextize script (for old gettext tools).
  modified script:
    sbin/gettextize

* 12/09/2008 - Yvan Fournier <yvan.fournier@edf.fr>
               Marc Sakiz <marc.sakiz@edf.fr>
  Documentation improvement and corrections.
  modified files:
    doc/THEORY/latex/Base/introd.tex
    doc/THEORY/latex/Base/turbke.tex
    doc/USER/latex/saturne1.tex
    doc/USER/latex/user.tex
  removed file:
    doc/USER/graphics/halo.eps
  added files:
    doc/USER/graphics/cs_components.fig
    doc/USER/graphics/halo.pdf
    doc/USER/graphics/rota_perio_parall.jpg

* 12/09/2008 - David Monfort <david.monfort@edf.fr>
  Change char array initialization to comply with C++ error.
  modified routine:
    src/base/cs_proxy_commm.c

* 12/09/2008 - David Monfort <david.monfort@edf.fr>
  Revert to malloc call in cs_base.c because memory
  management has not been initialized before this call.
  modified routines:
    src/base/cs_base.c

* 12/09/2008 - David Monfort <david.monfort@edf.fr>
  Preparation for the cooling tower specific physics.
  modified script:
    bin/Makefile
    sbin/install
  added directories:
    include/ctwr
    src/ctwr
    users/ctwr

* 12/09/2008 - David Monfort <david.monfort@edf.fr>
  Revert to old behaviour when multigrid options were separated
  in two headers in order to use multigrid algorithm in codits
  subroutine.
  modified files:
    include/base/optcal.h
    src/base/calhyd.F
    src/base/codits.F
    src/base/distpr.F
    src/base/impini.F
    src/base/iniini.F
    src/base/resolp.F
    src/base/verini.F
  added header:
    include/base/mltgrd.h

* 12/09/2008 - David Monfort <david.monfort@edf.fr>
  Several corrections found with a C++ compiler (replace malloc
  function with BFT_MALLOC macro, exchange arguments in function
  call, replace false by NULL in a comparison). These issues had
  no impact on the code.
  modified routines:
    src/base/cs_base.c
    src/base/cs_matrix.c
    src/base/cs_mesh_warping.c

* 11/09/2008 - David Monfort <david.monfort@edf.fr>
  Makefile modification so that one does not need anymore to
  symlink all the headers in a user directory.
  modified script:
    bin/Makefile

* 11/09/2008 - David Monfort <david.monfort@edf.fr>
  Add a potential option for the Fortran preprocessor for CS_LANG.
  modified script:
    bin/Makefile

* 10/09/2008 - David Monfort <david.monfort@edf.fr>
  Remove unused variable (comm_buffer_size).
  modified file:
    src/base/cs_mesh_halo.c

* 10/09/2008 - David Monfort <david.monfort@edf.fr>
  Remove a comma at the end of an enum.
  modified file:
    include/base/cs_halo.h

* 10/09/2008 - David Monfort <david.monfort@edf.fr>
  Replace all occurences of #if defined(__cplusplus) ...
  with a macro defined in cs_base.h for all C headers.
  modified routines:
    include/base/cs_ale.h
    include/base/cs_base.h
    include/base/cs_benchmark.h
    include/base/cs_blas.h
    include/base/cs_calcium.h
    include/base/cs_couplage.h
    include/base/cs_ecs_messages.h
    include/base/cs_ext_neighborhood.h
    include/base/cs_gradient.h
    include/base/cs_grid.h
    include/base/cs_gui.h
    include/base/cs_gui_matisse.h
    include/base/cs_gui_radiative_transfer.h
    include/base/cs_gui_util.h
    include/base/cs_halo.h
    include/base/cs_io.h
    include/base/cs_matrix.h
    include/base/cs_mesh_coherency.h
    include/base/cs_mesh_connect.h
    include/base/cs_mesh.h
    include/base/cs_mesh_halo.h
    include/base/cs_mesh_quality.h
    include/base/cs_mesh_quantities.h
    include/base/cs_mesh_select.h
    include/base/cs_mesh_solcom.h
    include/base/cs_mesh_warping.h
    include/base/cs_multigrid.h
    include/base/cs_opts.h
    include/base/cs_parall.h
    include/base/cs_perio.h
    include/base/cs_post.h
    include/base/cs_prototypes.h
    include/base/cs_proxy_comm.h
    include/base/cs_renumber.h
    include/base/cs_selector.h
    include/base/cs_sles.h
    include/base/cs_suite.h
    include/base/cs_syr3_comm.h
    include/base/cs_syr3_coupling.h
    include/base/cs_syr3_messages.h
    include/base/cs_tpar1d.h
    include/base/cs_ventil.h
    include/base/tcpumx.h
    include/base/tremai.h
    include/lagr/cs_lagrang.h
    include/lagr/cs_lagr_perio.h

* 09/09/2008 - David Monfort <david.monfort@edf.fr>
  Remove unused headers in Fortran sources.
  modified routines:
    src/base/dvvpst.F
    src/base/iniini.F
    src/cogz/colecd.F
    src/cogz/lwcurl.F
    src/cplv/cplecd.F
    src/cplv/cprays.F
    src/cplv/cpthp2.F
    src/elec/ellecd.F
    src/fuel/fulecd.F
    src/fuel/futhp2.F
    src/lagr/lagaff.F
    src/lagr/lagcar.F
    src/lagr/lagcou.F
    src/lagr/lageqp.F
    src/lagr/lages1.F
    src/lagr/lages2.F
    src/lagr/lagesp.F
    src/lagr/lagfch.F
    src/lagr/lagich.F
    src/lagr/lagitf.F
    src/lagr/lagpoi.F
    src/lagr/lagsta.F
    src/lagr/lagune.F
    src/mati/mtproj.F
    src/mati/mttycl.F
    src/pprt/pplecd.F

* 09/09/2008 - David Monfort <david.monfort@edf.fr>
  Replace deprecated socket structure with standard one.
  modified routines:
    src/base/cs_proxy_comm.c
    src/base/cs_syr3_comm.c

* 09/09/2008 - David Monfort <david.monfort@edf.fr>
  Remove _CS_HAVE_XML dependency in Fortran files.
  modified files:
    bin/Makefile
    ChangeLog
    po/fr.po
    src/base/caltri.F
    src/base/cs_gui.c
    src/base/cs_gui_matisse.c
    src/base/cs_gui_radiative_transfer.c
    src/base/cs_gui_util.c
    src/base/cs_main.c
    src/base/cs_opts.c
    src/base/iniusi.F
    src/base/inivar.F
    src/base/memini.F
    src/base/tridim.F
    src/cplv/cpini1.F
    src/cplv/cpprop.F
    src/cplv/cpvarp.F
    src/mati/mtimpi.F
    src/mati/mtini1.F
    src/pprt/ppclim.F
    src/rayt/raycli.F
    src/rayt/raydom.F
    src/rayt/rayopt.F

* 09/09/2008 - Marc Sakiz <marc.sakiz@edf.fr>
  Minor modifications in runcase output.
  modified script:
    bin/runcase

* 09/09/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Fix a bug in the new restart files handling.
  modified routine:
    src/base/cs_suite.c

* 09/09/2008 - Marc Sakiz <marc.sakiz@edf.fr>
  Correct wrong test and output string.
  modified routine:
    src/base/cs_tpar1d.c
  modified file:
    po/fr.po

* 22/08/2008 - David Monfort <david.monfort@edf.fr>
  Tagging of version 1.4.b

* 22/08/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Correction on buffer definition and prototypes if the code
  is compiled without MPI or sockets support. 
  modified routines:
    src/base/cs_halo.c
    src/base/cs_io.c
    src/base/cs_syr3_comm.c

* 22/08/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Correction on __STDC_VERSION__ detection for stdint include.
  modified routines:
    include/base/cs_base.h
    src/base/cs_proxy_comm.c

* 21/08/2008 - David Monfort <david.monfort@edf.fr>
  Merging from the 1.3 branch (-r 614:622, C output translation)

* 21/08/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Remove the pipe communication mode for SYRTHES coupling.
  modified routines:
   include/base/cs_syr3_comm.h
   src/base/cs_syr3_comm.c
   src/base/cs_opts.c

* 21/08/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Change the restart file format to comply with the new common
  format file (with the Preprocessor output).
  modified routines:
    include/base/cs_io.h
    include/base/cs_suite.h
    src/base/cs_ecs_messages.c
    src/base/cs_io.c
    src/base/cs_main.c
    src/base/cs_suite.c
	
* 21/08/2008 - David Monfort <david.monfort@edf.fr>
  Merging from the 1.3 branch (-r 611:614, Fortran output translation)

* 14/08/2008 - David Monfort <david.monfort@edf.fr>
  Merging from the 1.3 branch (-r 604:605, Lagrangian with rotation)

* 13/08/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Force restart files in binary format, and remove
  unused commons.
  modified documentation:
    doc/USER/latex/saturne1.tex
    doc/USER/latex/saturne2.tex
  modified routines:
    include/base/cs_gui.h
    include/base/cs_suite.h
    include/base/cs_tpar1d.h
    include/base/entsor.h
    src/base/caltri.F
    src/base/cs_gui.c
    src/base/cs_suite.c
    src/base/cs_tpar1d.c
    src/base/ecrava.F
    src/base/impini.F
    src/base/iniini.F
    src/base/iniusi.F
    src/base/lecamp.F
    src/base/lecamx.F
    src/base/modini.F
    src/base/varpos.F
    src/base/verini.F
    src/lagr/laglec.F
    src/lagr/lagout.F
    src/rayt/raybrd.F
    src/rayt/raylec.F
    src/rayt/rayout.F
    users/base/usini1.F

* 13/08/2008 - David Monfort <david.monfort@edf.fr>
  Update the documentation according to the scripts translation.
  modified files:
    doc/USER/latex/saturne1.tex
    doc/USER/latex/a1_autovalid.tex

* 12/08/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Add a hint in cs_io_initialize for the file API,
  and correct a type error.
  modified routines:
    include/base/cs_io.c
    src/base/cs_ecs_messages.c
    src/base/cs_io.c
    src/base/cs_main.c

* 12/08/2008 - David Monfort <david.monfort@edf.fr>
  Replace all occurences of CS_FALSE and CS_TRUE
  by the standard false and true.

* 12/08/2008 - David Monfort <david.monfort@edf.fr>
  Handle the interior face families when renumbering
  or cutting warped faces.
  modified routines:
    include/base/cs_prototypes.h
    src/base/cs_mesh_warping.c
    src/base/cs_renumber.c
    src/base/numvec.F

* 11/08/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Temporary fix for rotation periodicity (especially
  with extended neighborhood).
  modified routines:
    include/base/cs_halo.h
    include/base/cs_perio.h
    src/base/cs_gradient.c
    src/base/cs_halo.c
    src/base/cs_mesh.c
    src/base/cs_parall.c
    src/base/cs_perio.c
    src/base/grdcel.F
    src/base/promav.F

* 11/08/2008 - Jerome Bonelle <jerome.bonelle@edf.fr>
  Replace the algorithm used to defined periodic couples
  in order to avoid a possible issue.
  modfied routine:
    src/base/cs_perio.c

* 11/08/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Modifications related to the Code_Saturne I/O  unification
  between the preprocessor output and the solver restart files.
  Only preprocessor output has been modified at the moment.
  modified routines:
    include/base/cs_io.h
    src/base/cs_ecs_messages.c
    src/base/cs_io.c
    src/base/cs_main.c

* 11/08/2008 - David Monfort <david.monfort@edf.fr>
  Merging from the 1.3 branch (-r 584:585, adding patches directory)

* 11/08/2008 - David Monfort <david.monfort@edf.fr>
  Merging from the 1.3 branch (-r 580:583, several minor corrections)

* 08/08/2008 - David Monfort <david.monfort@edf.fr>
  Merging from the 1.3 branch (-r 577:579, cutting warped faces corrections)

* 08/08/2008 - David Monfort <david.monfort@edf.fr>
  Merging from the 1.3 branch (-r 573:574, updating on extended halos)

* 07/08/2008 - Mehdi Ouraou <mehdi.ouraou@edf.fr>
  Add oxycombustion and fuel classes management.
  added routines:
    include/pprt/ppcpfu.h
    src/fuel/fucyno.F
  deleted routines:
    src/cplv/cpcym1.F
    src/cplv/cppdf5.F
  modified routines:
    include/cplv/cpincl.h
    include/fuel/fuincl.h
    include/pprt/ppincl.h
    src/base/covofi.F
    src/base/iniusi.F
    src/cplv/cpcym2.F
    src/cplv/cpflux.F
    src/cplv/cpini1.F
    src/cplv/cpiniv.F
    src/cplv/cplecd.F
    src/cplv/cplin1.F
    src/cplv/cplini.F
    src/cplv/cplphy.F
    src/cplv/cpltcl.F
    src/cplv/cplym1.F
    src/cplv/cppdf4.F
    src/cplv/cpphy1.F
    src/cplv/cpphyv.F
    src/cplv/cpprop.F
    src/cplv/cpptcl.F
    src/cplv/cpteh1.F
    src/cplv/cptehm.F
    src/cplv/cptssc.F
    src/cplv/cpvarp.F
    src/fuel/fucym1.F
    src/fuel/fuflux.F
    src/fuel/fuini1.F
    src/fuel/fuiniv.F
    src/fuel/fulecd.F
    src/fuel/fuphy1.F
    src/fuel/fuphy2.F
    src/fuel/fuphyv.F
    src/fuel/fuprop.F
    src/fuel/fuptcl.F
    src/fuel/futeh2.F
    src/fuel/futssc.F
    src/fuel/futsvc.F
    src/fuel/futsvi.F
    src/fuel/fuvarp.F
    src/pprt/ppcabs.F
    src/pprt/ppcsca.F
    src/pprt/ppinii.F
    src/pprt/pppdfr.F
    src/pprt/ppphyv.F
    src/pprt/ppray4.F
    src/rayt/raydom.F
    src/rayt/rayopt.F
    users/cplv/uscpcl.F
    users/cplv/uscpi1.F
    users/cplv/uscpiv.F
    users/fuel/usfucl.F
    users/fuel/usfui1.F
    users/fuel/usfuiv.F
    users/pprt/usppmo.F

* 07/08/2008 - David Monfort <david.monfort@edf.fr>
  Removing the compilation logs from versioning.
  removed files:
    aux/comparlist
    aux/listing_*

* 06/08/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Upgrading to Preprocessor 1.4 and FVM 0.11.0 in order
  to separate the preprocessing from the partioning.
  There is now a single preprocessor_output file, so that
  mesh joining has not to be done again when one asks for
  a different number of processors.
  deleted script:
    bin/lance_install
  added script:
    sbin/install
  modified scripts:
    bin/cs_profile
    bin/macros_*.mk
    bin/runcase
    bin/runcase.help
  modified routines:
    include/base/cs_ecs_messages.h
    include/base/cs_io.h
    include/base/cs_mesh.h
    include/base/parall.h
    src/base/cs_ecs_messages.c
    src/base/cs_io.c
    src/base/cs_main.c
    src/base/cs_mesh.c
    src/base/cs_opts.c
    src/base/impini.F
    src/base/iniini.F
    src/base/majgeo.F

* 06/08/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Removing heap memory instrumentation.
  modified routines:
    src/base/cs_base.c

* 05/08/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Scripts translation and improvements.
  deleted scripts:
    bin/cree_sat
    bin/info_cs
    bin/lance
    bin/lance.help
  added scripts:
    bin/cs_create
    bin/cs_info
    bin/ecs
    bin/runcase
    bin/runcase.help
    bin/runcase_mpi_env
    bin/runcase_syrthes
  modified scripts:
    bin/compiler_version
    bin/check_consistency
    bin/check_mesh
    bin/gracehst
    bin/lance_install
    bin/Makefile
    bin/macros_Blue_Gene_L.mk
    bin/macros_Blue_Gene_P.mk
    bin/macros_Darwin.mk
    bin/macros_Linux.mk
    bin/macros_Linux_CCRT.mk
    bin/macros_Linux_Ch.mk
    bin/macros_Linux_IA.mk
    bin/macros_Linux_x86_64.mk
    bin/SaturneGUI
  modified routine:
    src/base/cs_base.c

* 04/08/2008 - David Monfort <david.monfort@edf.fr>
  Merging from the 1.3 branch (-r 531:532, coherency test improvement)

* 04/08/2008 - David Monfort <david.monfort@edf.fr>
  Merging from the 1.3 branch (-r 529:530, scripts translation)

* 04/08/2008 - David Monfort <david.monfort@edf.fr>
  Merging from the 1.3 branch (-r 527:528, lagrangian bug fix)

* 25/07/2008 - David Monfort <david.monfort@edf.fr>
  Merging from the 1.3 branch (-r 523:524, Port to BlueGene/P system)

* 24/07/2008 - David Monfort <david.monfort@edf.fr>
  The reconstruction of the right-hand side has now its
  own precision parameter (EPSRSM) instead of using EPSILO.
  modified routines:
    include/base/optcal.h
    doc/USER/latex/saturne2.tex
    src/rayt/raysol.F
    src/rayt/raypun.F
    src/lagr/lageqp.F
    src/cfbl/cfener.F
    src/cfbl/cfcdts.F
    src/cfbl/cfqdmv.F
    src/cfbl/cfmsvl.F
    src/base/alelap.F
    src/base/resrij.F
    src/base/resolp.F
    src/base/resv2f.F
    src/base/turbkw.F
    src/base/distyp.F
    src/base/covofi.F
    src/base/impini.F
    src/base/reseps.F
    src/base/resssg.F
    src/base/turbke.F
    src/base/iniini.F
    src/base/preduv.F
    src/base/modini.F
    src/base/codits.F
    src/base/calhyd.F

* 24/07/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Extending support for restart files to extracted part
  of the mesh
  modfified routines:
    include/base/cs_suite.h
    src/base/cs_suite.c
    src/base/cs_tpar1d.c

* 24/07/2008 - David Monfort <david.monfort@edf.fr>
  Removing cs_perio_sync_geo by cs_perio_sync_var
  modified routines:
    include/base/cs_perio.h
    src/base/cs_mesh_quantities.c
    src/base/cs_perio.c

* 24/07/2008 - David Monfort <david.monfort@edf.fr>
  Replacing all occurences of cs_parall_sync with cs_halo_sync
  and removing this former function in cs_parall.
  modified routines:
    include/base/cs_parall.h
    src/base/cs_ext_neighborhood.c
    src/base/cs_benchmark.c
    src/base/cs_gradient.c
    src/base/cs_grid.c
    src/base/cs_matrix.c
    src/base/cs_mesh_coherency.c
    src/base/cs_mesh_quantities.c
    src/base/cs_multigrid.c
    src/base/cs_parall.c

* 23/07/2008 - David Monfort <david.monfort@edf.fr>
  Renaming cs_syr files and routines to cs_syr3 and
  cs_comm files and routines to cs_syr3_comm in order
  to prepare for SYRTHES 4 coupling.
  renamed routines:
    include/base/cs_comm.h
    include/base/cs_syr_coupling.h
    include/base/cs_syr_messages.h
    src/base/cs_comm.c
    src/base/cs_syr_coupling.c
    src/base/cs_syr_messages.c
  modified routines:
    src/base/cs_main.c
    src/base/cs_opts.c

* 08/07/2008 - David Monfort <david.monfort@edf.fr>
  Improving the gracehst wrapper to make it accept more than
  30 probes.
  modified script:
    bin/gracehst

* 30/06/2008 - Yvan Fournier <yvan.fournier@edf.fr>
               David Monfort <david.monfort@edf.fr>
 Fixing some bugs in the multigrid algorithm when periodicity
 is present.
 modified routine:
   src/base/cs_grid.c

* 30/06/2008 - David Monfort <david.monfort@edf.fr>
  Fixing a but in the call to CODITS in the non-dimensional
  distance to the wall calculation.
  modified routine:
    src/base/distyp.F

* 30/06/2008 - David Monfort <david.monfort@edf.fr>
  Adding a test on the number of domains and the lagrangian
  simulation in the launch script, and fixing a bug on the
  radiation results copy.
  modified scripts:
   bin/check_consistency
   bin/lance

* 30/06/2008 - David Monfort <david.monfort@edf.fr>
  Creating a directory structure for How-to documentation.
  added directories:
    doc/HOWTO
    doc/HOWTO/graphics
    doc/HOWTO/input
    doc/HOWTO/latex
  added scripts:
    doc/HOWTO/graphics/Makefile
    doc/HOWTO/latex/Makefile
    doc/HOWTO/Makefile

* 30/06/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Cosmethic changes in Fortran memory display.
  modified routines:
    src/base/cs_base.c
    src/base/cs_main.c

* 30/06/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Move a variable declaration to follow C89 standards.
  modified routine:
    src/base/cs_matrix.c

* 30/06/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Correction on argument types (no impact as they are enum types).
  modified routine:
    src/base/cs_pp_io.c

* 30/06/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Fixing a bug in error display in cs_gui_get_attribute_value. 
  modified routine:
    src/base/cs_gui_util.c

* 30/06/2008 - David Monfort <david.monfort@edf.fr>
  Fixing a bug with cell selection.
  modified routine:
    src/base/cs_selector.c

* 30/06/2008 - Alexandre Douce <alexandre.douce@edf.fr>
  With periodicity, particule tracking can raise an issue.
  One forces ISENSF to zero in order to avoid it temporarily.
  modified routine:
    src/lagr/ouestu.F

* 30/06/2008 - David Monfort <david.monfort@edf.fr>
               Yvan Fournier <yvan.fournier@edf.fr>
  Correction on strings comparisons in the Makefile,
  possibly source of failure on some systems (SunOS at least)
  modified script:
    bin/lance

* 30/06/2008 - David Monfort <david.monfort@edf.fr>
  Suppression of RUBENS references in the launch script
  modified script:
    bin/lance

* 25/06/2008 - David Monfort <david.monfort@edf.fr>
  Fixing a bug on coordinates synchronization when
  periodicity is present.
  modified routine:
   src/base/cs_perio.c

* 17/06/2008 - David Monfort <david.monfort@edf.fr>
  Removing LD_LIBRARY_PATH related to libxml2 library
  because all machines have it installed locally.
  Adding a comment when the user need to have it
  installed elsewhere.
  modified scripts:
    bin/cs_profile
  modified macros:
    bin/macros_Linux.mk
    bin/macros_Linux_x86_64.mk

* 17/06/2008 - David Monfort <david.monfort@edf.fr>
  Tagging of version 1.4.a

* 17/06/2008 - David Monfort <david.monfort@edf.fr>
  Updating macros on Linux systems (use of local
  libxml2 and ATLAS libraries whane available) and
  upgrading to gcc 4.3.1
  modified macros:
    bin/macros_Linux_CCRT.mk
    bin/macros_Linux_Ch.mk
    bin/macros_Linux_IA64.mk
    bin/macros_Linux.mk
    bin/macros_Linux_x86_64.mk

* 17/06/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Simplification of some scripts
  modified scripts:
    bin/cs_profile
    bin/SaturneGUI

* 17/06/2008 - David Monfort <david.monfort@edf.fr>
  Add a warning when the number of preprocessor_output files
  read by the kernel does not correspond to the number of MPI
  processes.
  modified routine:
    src/base/cs_ecs_messages.c

* 17/06/2008 - David Monfort <david.monfort@edf.fr>
  Merging the correction on wrong arguments in RAYDAK
  from Version1_3 branch.
  modified routine:
    src/rayt/raydak.F

* 10/06/2008 - David Monfort <david.monfort@edf.fr>
  Bug correction on an usued static array in FORTRAN
  modified routines:
    src/fuel/futsvi.F

* 10/06/2008 - David Monfort <david.monfort@edf.fr>
  Removing unused arrays related to multigrid algorithm:
  IFACLG, IRESPR, DAG and XAG.
  modified routines:
    src/rayt/raydom.F
    src/rayt/raysol.F
    src/rayt/raypun.F
    src/rayt/memra2.F
    src/lagr/lageqp.F
    src/lagr/lagpoi.F
    src/cfbl/cfener.F
    src/cfbl/memcfm.F
    src/cfbl/cfcdts.F
    src/cfbl/cfqdmv.F
    src/cfbl/cfmsvl.F
    src/base/memv2f.F
    src/base/alelap.F
    src/base/resrij.F
    src/base/memdis.F
    src/base/memale.F
    src/base/resolp.F
    src/base/resv2f.F
    src/base/turbkw.F
    src/base/turrij.F
    src/base/navsto.F
    src/base/distyp.F
    src/base/memkep.F
    src/base/memkom.F
    src/base/covofi.F
    src/base/memdyp.F
    src/base/reseps.F
    src/base/distpr.F
    src/base/resssg.F
    src/base/turbke.F
    src/base/scalai.F
    src/base/memsca.F
    src/base/preduv.F
    src/base/memnav.F
    src/base/memrij.F
    src/base/codits.F
    src/base/calhyd.F
    src/base/invers.F
    src/base/tridim.F

* 30/05/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Modification of Code_Saturne compilation with the
  ElectricFence library.
  modified routines:
    bin/macros_Linux_x86_64.mk
    bin/lance_install
    bin/Makefile

* 30/05/2008 - Namane Mechitoua <namane.mechitoua@edf.fr>
               Sophie Bosse <sophie.bosse@edf.fr>
               Yvan Fournier <yvan.fournier@edf.fr>
  Modification of the algebric multigrid algorithm
  adapted to the resolution of pressure equation.
  The algorithm works in serial and parallel runs.
  modified routines:
    users/base/usini1.F
    include/base/cs_prototypes.h
    include/base/optcal.h
    include/base/cs_sles.h
    doc/USER/latex/saturne2.tex
    src/cfbl/cfcdts.F
    src/base/verini.F
    src/base/resolp.F
    src/base/impini.F
    src/base/cs_main.c
    src/base/cs_sles.c
    src/base/calgeo.F
    src/base/iniini.F
    src/base/modini.F
    src/base/codits.F
    src/base/invers.F
  added routines:
    include/base/cs_grid.h
    include/base/cs_multigrid.h
    src/base/autmgr.F
    src/base/crstgr.F
    src/base/cs_grid.c
    src/base/cs_multigrid.c
    users/base/ustmgr.F
  deleted routines:
    include/base/mltgrd.h
    src/base/calgrg.F
    src/base/cgstab.F
    src/base/clmlga.F
    src/base/cycmgr.F
    src/base/gradco.F
    src/base/jacobi.F
    src/base/memgrg.F
    src/base/mempgr.F
    src/base/premgr.F
    src/base/prolon.F
    src/base/resmgr.F

* 29/05/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Translating memory checking from FORTRAN to C.
  modified routines:
    include/base/cs_base.h
    include/base/cs_parall.h
    src/base/cs_base.c
    src/base/cs_parall.c
    src/base/cs_main.c
    src/base/caltri.F
    src/base/memini.F
  deleted routines:
    include/base/memoir.h
    src/base/rasize.F
    src/base/iasize.F

* 29/05/2008 - David Monfort <david.monfort@edf.fr> 
  The size of the work arrays IA and RA is now defined
  with a FORTRAN user file and no more via the scripts,
  making them independent of the number of sub-domains
  in case of a parallel run.
  modified routines:
    users/base/usini1.F
    include/base/cs_opts.h
    include/base/dimens.h
    include/base/memoir.h
    doc/USER/latex/saturne1.tex
    src/base/initi1.F
    src/base/impini.F
    src/base/cs_main.c
    src/base/caltri.F
    src/base/iniusi.F
    src/base/cs_gui.c
    src/base/iniini.F
    src/base/cs_opts.c
    src/base/memini.F
    bin/lance
    bin/lance.help
  deleted routines:
    users/base/ustbus.F

* 29/05/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Adding communications with a proxy, in order to prepare
  the Code_Saturne/Code_Aster coupling via Salomé/YACS.
  modified routines:
    include/base/cs_opts.h
    include/base/cs_base.h
    src/base/cs_base.c
    src/base/cs_main.c
    src/base/cs_opts.c
  added routines:
    include/base/cs_calcium.h
    include/base/cs_proxy_comm.h
    src/base/cs_proxy_comm.c
    src/base/cs_calcium.c

* 29/05/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Modification of the behaviour of renumbering.
  modified routines:
    include/base/cs_post.h
    include/base/cs_mesh.h
    src/base/numvec.F
    src/base/cs_main.c
    src/base/cs_post.c
    src/base/cs_suite.c
    src/base/cs_mesh.c
    src/base/cs_mesh_warping.c
    src/base/cs_mesh_connect.c

* 28/05/2008 - David Monfort <david.monfort@edf.fr> 
  Removing the parts of the compilation scripts concerning
  the Purify and Foresys tools, as they are no more used.
  modified routines:
    bin/lance_install
    bin/lance.help
    bin/Makefile
    doc/USERS/latex/saturne1.tex

* 27/05/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Simplifying the command line option for a parallel run.
  modified routines:
    bin/lance_install
    src/base/cs_opts.c

* 27/05/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Adding support for a shared library on Linux systems.
  modified routines:
    bin/lance_install
    bin/Makefile
    bin/macros_Linux.mk
    bin/macros_Linux_x86_64.mk

* 27/05/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Adding a sub-script to check FORTRAN user files consistency.
  Adding a script to clean the directories.
  Updating the compiler for EDF Calibre 5 workstations.
  modified routines:
    bin/lance
    bin/lance_install
    bin/macros_Linux_x86_64.mk
  added routines:
    bin/check_consistency
    aux/clean

* 27/05/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Adding a warning in case of rotation periodicity
  modified routines:
    src/base/cs_matrix.c

* 27/05/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Adding two routines to save and restore the halos
  with a rotation periodicity (before doing a matrix
  vector product under certain circumstances)
  modified routines:
    include/base/cs_perio.h
    src/base/promav.F
    src/base/cs_perio.c

* 27/05/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Updating the halo structure in order to prepare
  for a parallel and periodic multigrid algorithm.
  modified routines:
    include/base/cs_matrix.h
    include/base/cs_halo.h
    include/base/cs_mesh.h
    include/base/cs_mesh_quantities.h
    include/base/cs_perio.h
    src/lagr/cs_lagr_perio.c
    src/base/cs_ext_neighborhood.c
    src/base/cs_benchmark.c
    src/base/cs_mesh_coherency.c
    src/base/cs_mesh_halo.c
    src/base/cs_parall.c
    src/base/cs_matrix.c
    src/base/cs_gradient.c
    src/base/cs_mesh_quantities.c
    src/base/cs_perio.c
    src/base/cs_sles.c
    src/base/cs_halo.c
    src/base/cs_mesh.c
    src/base/cs_mesh_warping.c

* 27/05/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Removing native matrix-vector product from C call.
  Changing CSR matrix format behaviour.
  modifified routine:
    src/base/cs_matrix.c

* 26/05/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Adding a routine to compute the minimum of an integer
  over the domains in case of parallelism
  modified routines:
    include/base/cs_parall.h
    src/base/cs_parall.c

* 26/05/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Removing unused MSR matrix format
  modified routines:
    include/base/cs_matrix.h
    src/base/cs_benchmark.c
    src/base/cs_matrix.c

* 21/05/2008 - Jerome Bonelle <jerome.bonelle@edf.fr>
  Renaming and reshaping the halos structures in order
  to prepare for multigrid integration

  modified routines:
    include/base/cs_halo.h
    include/base/cs_mesh.h
    include/base/cs_parall.h
    include/base/cs_perio.h
    src/lagr/cs_lagr_perio.c
    src/base/cs_ext_neighborhood.c
    src/base/cs_mesh_coherency.c
    src/base/cs_parall.c
    src/base/cs_matrix.c
    src/base/cs_gradient.c
    src/base/cs_mesh_quantities.c
    src/base/cs_perio.c
    src/base/cs_halo.c
    src/base/cs_mesh.c
    src/base/cs_mesh_warping.c

   added subroutines:
    include/base/cs_mesh_halo.h
    src/base/cs_mesh_halo.c

* 16/05/2008 - Alexandre Douce <alexandre.douce@edf.fr>
  Corrections on Lagrangian module (wrong definition
  of STATFB in dvvpst.F)
  modified routines:
    dvvpst.F
    uslag1.F

* 16/04/2008 - David Monfort <david.monfort@edf.fr>
  Tagging of version 1.3.2

* 10/04/2008 - Marc Sakiz <marc.sakiz@edf.fr>
  Several corrections on the user guide
  modified routine:
    saturne1.tex

* 08/04/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Port to BlueGene/P and Cray XT
  modified routines:
    cs_base.c
    cs_sles.c
    cs_suite.c
    tremai.c
   
* 08/04/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Wrong index when setting the last character of a string
  when parsing the groups name when coupling with SYRTHES
  modified routines:
    cs_mesh_select.c

* 28/03/2008 - David Monfort <david.monfort@edf.fr>
  Correction on the gradient limitation when a rotational
  periodicity is present
  modified routines:
    cs_gradient.h
    cs_gradient.c
    grdcel.F

* 28/03/2008 - David Monfort <david.monfort@edf.fr>
  Correction on the gradient computation with IMRGRA = 4
  modified routine:
    grdcel.F

* 28/03/2008 - David Monfort <david.monfort@edf.fr>
  The indirection between a scalar of the electric module and
  the whole scalars array was mis-used in the physical properties
  initialisation of this module.
  modified routines:
    elphyv.F

* 21/03/2008 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Corrected extended neighborhood reduction bug
  modified routines:
    cs_ext_neighborhood.c

* 12/03/2008 - David Monfort <david.monfort@edf.fr>
  Tagging of the Version1_3 branch
  Trunk open for new commits.

* 12/03/2008 - David Monfort <david.monfort@edf.fr>
  Add a cleaning pass when installing the documentation
  modified routines:
    lance_install
  
* 05/03/2008 - Jérôme Bonelle <jerome.bonelle@edf.fr>
               David Monfort <david.monfort@edf.fr>
  Tests on a specific array for the extended neighborhood instead of
  halo_type, to avoid failing tests in sequential compuations.
  Fix a bug in the gradient limitation when using the extended
  neighborhood.
  modified routines:
    cs_gradient.c
	cs_mesh.c
	cs_mesh_coherency.c

* 05/03/2008 - Marc Sakiz <marc.sakiz@edf.fr>
  Fixes a bug during the pressure sweeps while using the steady-state
  algorithm.
  modified routines:
    resolp.F

* 05/03/2008 - Yvan fournier <yvan.fournier@edf.fr> 
  Fixes an error when parsing arguments that arise in some
  configuration
  modified routines:
    cs_opts.c
  
* 05/03/2008 - David Monfort <david.monfort@edf.fr>
  Adds a warning when using the dynamic model in LES along with a
  least-squares method based on a reduced extended neighborhood for
  the gradient computation
  modified routine:
    saturne2.tex
	verini.F
	ussmag.F
  

* 04/03/2008 - David Monfort <david.monfort@edf.fr>
  Update FVM API to take into account some particular cases
  where two periodicities are not commutative
  modified routines:
    cs_mesh.c

* 04/03/2008 - David Monfort <david.monfort@edf.fr>
  Add a warning when changing the mesh vertices coordinates along
  with periodicity, which can break the periodicity parameters.
  modified routines:
    saturne1.tex
	usmodg.F

* 04/03/2008 - David Monfort <david.monfort@edf.fr>
  Remove no more used function _sync_var_scal_strided and update
  consequently cs_perio_sync_var_scal. Remove prototype for PERCVE
  as well.
  modified routines:
    cs_perio.h
	cs_ext_neighborhood.c
	cs_gradient.c
	cs_matrix.c
	cs_perio.c

* 04/03/2008 - David Monfort <david.monfort@edf.fr>
  Fix a rotational periodicity issue in mesh coherency checks.
  A variable was treated as a scalar instead as a vector.
  modified routines:
    cs_mesh_coherency.c

* 04/03/2008 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Fix a bug in the definition of the extended halo when one needs to
  use the extended neighborhood
  modified routines:
    cs_halo.c

* 04/03/2008 - Marc Sakiz <marc.sakiz@edf.fr>
  Correct distance use at the first time-step when using the k-w SST
  model and the old algorithm to compute the wall distance
  modified routines:
    vissst.F

* 27/02/2008 - David Monfort <david.monfort@edf.fr>
  Remove abort when checking for auxilliary sequel file and LES model

* 26/02/2008 - David Monfort <david.monfort@edf.fr>
  Change the behaviour when trying to get a list of cells or faces
  with the selector. Revert to the old behaviour when the selection
  was done through the mesh properties. A warning is issued instead
  of an error when the criteria returns an empty selection.
  modified routines:
    cs_gui.c
    cs_selector.c

* 22/02/2008 - David Monfort <david.monfort@edf.fr>
  Move unmaintained macros files to aux/macros_old
  moved files:
    macros_IRIX64.mk
    macros_sunOS.mk

* 22/02/2008 - David Monfort <david.monfort@edf.fr>
  Add macros files for MacOSX and Linux x86_64 systems
  Change wring optimisation -O6 to -O3 for GCC compilers
  added routines:
    macros_Darwin.mk
    macros_Linux_x86_64.mk
  modified routines:
    macros_Linux.mk

* 20/02/2008 - David Monfort <david.monfort@edf.fr>
  Make Code_Saturne stop when a Lagrangian calculation is run with the
  steady-state algorithm

* 20/02/2008 - David Monfort <david.monfort@edf.fr>
  Change the name Syrthes to SYRTHES following the deposit brand

* 20/02/2008 - Yvan Fournier <yvan.fournier@edf.fr>
               Alexandre Douce <alexandre.douce@edf.fr>
  Add documentation on faces/cells selection with GETxxx via fvm_selector

* 20/02/2008 - David Monfort <david.monfort@edf.fr>
  Add comments on steady-state algorithm IDTVAR=-1
  modified routines:
    saturne2.tex
    usini1.F

* 18/02/2008 - David Monfort <david.monfort@edf.fr>
  Set the version number of Code_Saturne Kernel to 1.3.2
  modified routines:
    COMPATIBILITY
    compil.exe
    Makefile
    autovalid.xml
    cs_profile
    csdoc.sty
    cs_ops.c

* 18/02/2008 - David Monfort <david.monfort@edf.fr>
  Add a temporary "tmp_Saturne/$ETUDE.$CAS.$DATE" directory when running
  a case in $TMPDIR (when defined by the system) to avoid an issue
  with the linux distribution CAELinux
  modified routines:
    lance

* 18/02/2008 - David Monfort <david.monfort@edf.fr>
  Update the macros files to new version of BFT and FVM
  modified routines:
    cs_couplage.c
    COMPATIBILITY

* 18/02/2008 - David Monfort <david.monfort@edf.fr>
  Make use of the "xspace" package in the documentation for intelligent spaces

* 18/02/2008 - David Monfort <david.monfort@edf.fr>
  Complete reorganisation of the theory documentation to follow the template
  of the user and tutorial documents

* 15/02/2008 - David Monfort <david.monfort@edf.fr>
  Centralized EDF and Code_Saturne logos in the style directory

* 12/02/2008 - David Monfort <david.monfort@edf.fr>
  Correction of unitialized values in the vortex method when ICAS=4
  modified routines:
    vorini.F

* 12/02/2008 - Alexandre Douce <alexandre.douce@edf.fr>
  Global allocation of an auxilliary array, instead of local
  modified routines:
    caltri.F
    lagcel.F
    lagopt.F
    lagune.F
    ouestu.F
    uslag1.F

* 12/02/2008 - Mehdi Ouraou <mehdi.ouraou@edf.fr>
  Bug fix in coal combustion
  modified routines:
    cpcym2.F

* 07/02/2008 - David Monfort <david.monfort@edf.fr>
  Keep the consistancy between the maximum number of phases
  in cs_perio.h and paramx.h (both being set at 1 for the moment)

* 07/02/2008 - Alexandre Douce <alexandre.douce@edf.fr>
  Bug fixes for the computation of mean values of combustion
  variables within the GUI
  modified routines:
    cs_gui.c
    usini1.F

* 07/02/2008 - David Monfort <david.monfort@edf.fr>
  Inversion of argument of the user function PHIDAT,
  according to how it called by the kernel
  modified routines:
    usvort.F

* 07/02/2008 - Alexandre Douce <alexandre.douce@edf.fr>
  Bug fixes when reading a sequel file
  modified routines:
    laglec.F
    lagout.F

* 07/02/2008 - Yvan Fournier <yvan.fournier@edf.fr>
  Variant for Intel compiler on Itanium only, optimizations by BULL
  modified routines:
    cs_matrix.c
    cs_sles.c

* 07/02/2008 - David Monfort <david.monfort@edf.fr>
  Wrong affectation for last element in an array in cs_post.c

* 14/01/2008 - David Monfort <david.monfort@edf.fr>
  Renaming the Preprocessor listing from listenv to listpre
  modified routines:
    lance
    saturne1.tex

* 14/01/2008 - David Monfort <david.monfort@edf.fr>
  Minor correction of the Makefile for the target LINK

* 14/01/2008 - David Monfort <david.monfort@edf.fr>
  Correction in the macro definition of the keyword inline
  modified routine:
    cs_base.h
    cs_lagrang.c

* 14/01/2008 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Bug fix in face renumbering and ponderation algorithm
  improvement
  modified routines:
    cs_syr_coupling.c

* 14/01/2008 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Missing argument in printf function in cs_syr_mesages.c

* 08/01/2008 - David Monfort <david.monfort@edf.fr>
  Portability improvements in scripts
  Thanks to Thierry Thomas for reporting the problems
  modified routines:
    Makefile
    compiler_version
    cree_sat
    gracehst
    grp

* 28/11/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Tagging of version 1.3.1

* 19/11/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Syntax and unused variables correction
  deleted routines:
    usrubm.F
    postlc.F
  modified routines:
    calhyd.F
    caltri.F
    cfphyv.F
    clptrg.F
    cpcym2.F
    cpflux.F
    cplph1.F
    cpphy1.F
    cpphyv.F
    cpteh1.F
    cptssc.F
    cptsvc.F
    cregeo.F
    cs_gui.c
    cs_mesh.c
    cs_mesh_warping.c
    cs_parall.c
    ebuphy.F
    ebuver.F
    enslag.F
    fucym1.F
    fuflux.F
    fuincl.h
    fuiniv.F
    fulecd.F
    fuphy1.F
    fuphy2.F
    fuphyv.F
    fuptcl.F
    futeh1.F
    futeh2.F
    futhp1.F
    futssc.F
    futsvc.F
    futsvi.F
    fuveri.F
    iniusi.F
    lagaff.F
    lagcel.F
    lagent.F
    lagesp.F
    lagfch.F
    laghis.F
    laglis.F
    lagnpr.F
    lagnwc.F
    lagout.F
    lagune.F
    lwcver.F
    optcal.h
    pdflwc.F
    pdfpp4.F
    prods2.F
    prods3.F
    prodsc.F
    resolp.F
    strhis.F
    usalcl.F
    uscfcl.F
    uscfpv.F
    uscpcl.F
    uscplc.F
    usd3pc.F
    usebuc.F
    uselcl.F
    usfucl.F
    usfuiv.F
    uslabo.F
    usladp.F
    uslafe.F
    uslag2.F
    uslwcc.F
    usnpst.F
    usray5.F

* 15/11/2007 - Alexandre Douce <alexandre.douce@edf.fr>
  Correction of inlet conditions in coal combustion
  with GUI
  modified routines:
    cs_gui.c
    cs_gui.h
    ppclim.F


* 15/11/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Passing of missing MAXELT/LSTELT arguments
  for GETCEL selection in user routines
  modified routines:
    cfiniv.F
    cfmsfl.F
    cfmsgs.F
    cfphyv.F
    cfqdmv.F
    cpiniv.F
    cplini.F
    d3pini.F
    ebuini.F
    eliniv.F
    elphyv.F
    fuiniv.F
    inivar.F
    lwcini.F
    preduv.F
    reseps.F
    resrij.F
    resssg.F
    scalai.F
    turbke.F
    turbkw.F
    uscfpv.F
    uscfxi.F
    uscpiv.F
    usd3pi.F
    usebui.F
    useliv.F
    uselph.F
    usfuiv.F
    usiniv.F
    uslwci.F
    ustske.F
    ustskw.F
    ustsns.F
    ustsri.F
    ustsv2.F


* 14/11/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Bug correction in typecl.F on the setting
  of the reference face for pressure when
  some outlet boundary conditions are changed
  from standard values (+ bug correction in 
  parallel when IPHYDR=1)

* 14/11/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Misspelling of SRROM in info message
  modified routines:
    d3pver.F
    ebuver.F
    lwcver.F
    cplver.F
    elveri.F
    fuveri.F



* 14/11/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Modification of the launch script lance for
  a correct copy of thermochemical files with
  the pulverized coal module + correction of
  error in the protecting test of uscpcl.F

* 12/11/2007 - David Monfort <david.monfort@edf.fr>
  Bug correction in an (unused!) function fo cs_blas.c

* 07/11/07 - Marc Sakiz <marc.sakiz@edf.fr>
  Tagging of intermediate version 1.3.1-rc1 before
  second phase of validation campaign

* 07/11/07 - Mehdi Ouraou <mehdi.ouraou@edf.fr>
  Minor modification in fuphy1.F

* 05/11/2007 - Alexandre Douce <alexandre.douce@edf.fr>
  Bug correction for P1 radiative transfer in usray5.F

* 31/10/2007 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Correction of an erroneous assert in cs_halo.c

* 31/10/2007 - Yvan Fournier <yvan.fournier@edf.fr>
  Storage on preprocessor files in a subdirectory of
  the temporary execution directory + change of
  BLAS libraries on Linux
  modified routines
    cs_main.c
    cs_pp_io.c
    cs_pp_io.h
  modified script:
    lance
    macros_Linux.mk


* 31/10/2007 - Nicole Picard <nicole-n.picard@edf.fr>
               Alexandre Douce <alexandre.douce@edf.fr>
  Modification and correction of GUI reader
  modified routines:
    caltri.F
    cs_gui.c
    cs_gui.h
    cs_gui_radiative_transfer.c
    cs_gui_radiative_transfer.h
    cs_gui_util.c
    cs_main.c
    iniusi.F
    ppclim.F
    tridim.F

* 31/10/2007 - Fabien Huvelin <fabien.huvelin@edf.fr>
               Marc Sakiz <marc.sakiz@edf.fr>
  Modification of strpre.F for correct handling of structure
  initial displacement

* 30/10/2007 - Alexandre Douce <alexandre.douce@edf.fr>
  Suppression of unused variables in cptssc.F

* 30/10/2007 - Mehdi Ouraou <mehdi.ouraou@edf.fr>
  Correction of automatic stop of calculation when
  P1 radiative transfer assumptions are not met
  modified routine:
    caltri.F

* 23/10/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Update of comments on GETFBR/GETFAC/GETCEL in user
  routines
  modified routines:
    usalcl.F
    usclim.F
    uskpdc.F
    usproj.F
    uspt1d.F
    usstru.F
    ustsma.F
    ustssc.F
    usvort.F
    uscfcl.F
    usd3pc.F
    usebuc.F
    uslwcc.F
    uscpcl.F
    uscplc.F
    uselcl.F
    usetcl.F
    usfucl.F
    uslag2.F
    usray2.F

* 22/10/2007 - Yvan Fournier <yvan.fournier@edf.fr>
  Update of compilation commands for BlueGene
  modified scripts:
    macros_Blue_Gene_L.mk
    Makefile

* 22/10/2007 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Bug correction in extended neighborhood (index error
  in connectivity list and shunted use of ext_neighborhood
  in gradient calculation)
  modified routines:
    cs_ext_neighborhood.c
    cs_gradient.c

* 22/10/2007 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Correction of bug in rotation periodicity with lagrangian
  module + minor comments and syntax modifications +
  compilation options for CCRT machines
  modified routines:
    cs_benchmark.c
    cs_lagr_perio.c
    cs_perio.c
    lagcel.F
  modified cripts:
    macros_Linux_CCRT.mk
    macros_Linux_IA64.mk


* 19/10/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Robustness modification in scalai.F: initialisation
  of RTPA not done if NTCABS.EQ.1 but in IPASS.EQ.1
  (in case a first iteration with NTCABS=0 is done).

* 19/10/2007 - Yvan Fournier <yvan.fournier@edf.fr>
  Bug correction in cs_suite.c : floating point
  exception on certain architectures in parallel
  when a number of entities (cells, internal faces
  or boundary faces) is zero
  (e.g. triple periodicity box)

* 16/10/2007 - Yvan Fournier <yvan.fournier@edf.fr>
  Bug correction in the CPU time calculation
  in cs_benchmark.c when compiling without
  MPI

* 16/10/2007 - Yvan Fournier <yvan.fournier@edf.fr>
  Minor indentation modifications
  modified routines:
    covofi.F
    cs_ext_neighborhood.c
    cs_mesh.h

* 16/10/2007 - Yvan Fournier <yvan.fournier@edf.fr>
  Change in the syntax of tests to avoid a warning
  on IA64 architecture with intel compilers
  modified routines:
    varpos.F
    verini.F

* 16/10/2007 - Yvan Fournier <yvan.fournier@edf.fr>
  Use of MPI_RANK variable for MPICH2 in rang_mpi.sh
  + minor change in file permissions in lance_install

* 16/10/2007 - Yvan Fournier <yvan.fournier@edf.fr>
  Bug correction in index shift in paragv routine
  in cs_parall.c

* 16/10/2007 - Yvan Fournier <yvan.fournier@edf.fr>
  Correction of pragma commands for xlc compiler in
  cs_matrix.c

* 16/10/2007 - Yvan Fournier <yvan.fournier@edf.fr>
  Move of obsolete macros_OSF1.mk and macros_HU-UX.mk
  files in new aux/macros_old archive directory

* 16/10/2007 - Yvan Fournier <yvan.fournier@edf.fr>
  Plugging of fvm-0.9.0 with extra argument in selector
  routines
  modified routines:
    cs_gui.c
    cs_mesh.c
    cs_selector.c
  modified scripts:
    macros*.mk

* 15/10/2007 - David Monfort <david.monfort@edf.fr>
  Correction of compilation warnings
  modified routines:
    cs_gui_radiative_transfer.c
    cs_halo.c

* 11/10/2007 - David Monfort <david.monfort@edf.fr>
  Correction fof IDIMTE coefficient in reseps.F for
  rotation periodicity synchronization in standard Rij-eps
  model

* 09/10/2008 - Marc Sakiz <marc.sakiz@edf.fr>
  Use of bft-1.0.5 
  modified scripts : macros*.mk

* 09/10/2008 - Marc Sakiz <marc.sakiz@edf.fr>
               Matthieu Guillaud <matthieu.guillaud@edf.fr>
  Code_Saturne tutorial

* 09/10/2007 - Mehdi Ouraou <mehdi.ouraou@edf.fr>
  Correction of error in argument passing of NDIRCP
  in covofi.F

* 09/10/2007 - Mehdi Ouraou <mehdi.ouraou@edf.fr>
               Jérôme Bonelle <jerome.bonelle@edf.fr>
               Yvan Fournier <yvan.fournier@edf.fr>
  Various modifications:
  - synchronization with Syrthes only if ITRALE>0 in caltri.F
  - change in the syntax of a test in covofi.F to avoid a warning
    on IA64 architecture with intel compilers
  - creation of erreur_n*** files only for processor 0 and the
    processors receiving a segmentation fault or floating point
    exception message
  - correction fo benchmark mode with info on elapsed time
  - correction in test on extended neighborhood detection
  - correction of a problem depending on the order of exchange
    of MPI messages for dimension calculation
  - minor corrections in cs_mesh.c and cs_mesh_coherency.c
    (unused variables, comments)
  - change of kernel options "couleur" and "groupe" to "color"
    and "group" for Syrthes options
  - assert error in debug mode due to wrong initialization
    on 64bits machine
  - modification of residue test to detect when conjugate
    gradient diverges
  - memory management error when calling usray2.F in raycli.F
  - global detection of boundary conditions errors in typecl.F
  - example character strings in usdpst.F initialized to ' ' and
    not '' (Fortran norm)
  modified routines:
    caltri.F
    covofi.F
    cs_base.c
    cs_benchmark.c
    cs_ext_neighborhood.c
    cs_halo.c
    cs_mesh.c
    cs_mesh_coherency.c
    cs_opts.c
    cs_pp_io.c
    cs_sles.c
    raycli.F
    typecl.F
    usdpst.F


* 08/10/2007 - Alexandre Douce <alexandre.douce@edf.fr>
  Missing access to STATIV array in usproj.F
  modified routines:
    caltri.F
    usproj.F

* 08/10/2007 - Alexandre Douce <alexandre.douce@edf.fr>
  Problem with pointer IIFRLA defined as real instead of
  integer in memla1.F

* 08/10/2007 - Mehdi Ouraou <mehdi.ouraou@edf.fr>
  Error in the example uselrc.F. Use of RTP(.,ISCALT(1))
  instaed of RTP(.,ISCA(ISCALT(1)))


* 08/10/2007 - Mehdi Ouraou <mehdi.ouraou@edf.fr>
  Initialization error on the incident flux QINCID for
  non-wall boundaries
  modified routines:
    raycli.F


* 08/10/2007 - Alexandre Douce <alexandre.douce@edf.fr>
  No coherency between lagout and lagent on the rubrique name
  for NBCLST + uninitialized argument in IASIZE in laglec.F
  modified routines:
    lagent.F
    laglec.F

* 21/08/2007 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Correction of character chain length in inipst.F

* 21/08/2007 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Correction in DEPALE and CSMAGO initialisation
  modified routines:
    caltri.F
    iniva0.F
    memtri.F

* 21/08/2007 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Optimised debug options for IA64 architecture
  modified script:
    macros_Linux_IA64.mk

* 21/08/2007 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Correction of index error in mobile structures initialisation
  modified routine:
    iniini.F

* 21/08/2007 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Missing update of fortran commons after cutting of warped faces.
  modified routines:
    cs_main.c
    iniini.F
    majgeo.F

* 17/08/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Tagging of intermediate version 1.3.1-dvp

* 16/08/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Modification of coherency test in REDVSE in cs_ext_neighborhood.c
  to allow the use of IMRGRA=3 when the extended neighborhood has
  been calculated but is empty (1D meshes!!!).

* 16/08/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Forgotten RELAXP argument in the CODITS call in cfmsvl.F


* 14/08/2007 - Nicole Picard <nicole-n.picard@edf.fr>
               Alexandre Douce <alexandre.douce@edf.fr>
  Correction in pulverised coal data entry through GUI
  modified routines:
    cpini1.F
    cpprop.F
    cpvarp.F
    cs_gui.c
    cs_gui.h
    cs_gui_matisse.c
    cs_gui_radiative_transfer.c
    cs_gui_util.c
    iniusi.F


* 13/08/2007 - Yvan Fournier <yvan.fournier@edf.fr>
  Erroneous dynamic allocation of work array in stdtcl.F
  modified routines:
    stdtcl.F
    tridim.F

* 08/08/2007 - Mehdi Ouraou <mehdi.ouraou@edf.fr>
  Bug correction in cptssc.F (test to avoid a 0/0 division)

* 08/08/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Adaptation of lance.help to new english syntax of preprocessor
  and kernel options

* 07/08/2007 - Yannick Lecocq <yannick.lecocq@edf.fr>
  Missing assignment of IDIMTE and ITENSO before PERCOM
  in reseps.F

* 06/08/2007 - Yvan Fournier <yvan.fournier@edf.fr>
  Correction of erroneous assert in cs_pp_io.c

* 03/08/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Correction of unwanted ALE initialisation iteration when
  IALE = 0
  modified routines:
    modini.F

* 03/08/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Missing arguments to ustbus.F
  modified routines:
    caltri.F
    ustbus.F


===========================================================================

* 26/07/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Tagging of version 1.3.0
  
* 26/07/2007 - Yvan Fournier <yvan.fournier@edf.fr>
  Minor correction of fvm_selector in cs_mesh.c
  
* 26/07/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Change in the location of the definition of
  NIDEVE, NRDEVE, NITUSE and NRTUSE
  added routine:
    ustbus.F
  modified routines:
    caltri.F
    cs_gui.c
    cs_gui.h
    dimens.h
    impini.F
    iniini.F
    iniusi.F
    usini1.F
    verini.F

* 26/07/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Modification of ALE initialisation step for
  better continuity in calculation sequels.
  modified routines:
    albase.h
    caltri.F
    ecrava.F
    iniini.F
    lecamx.F
    modini.F
    strdep.F
    strini.F
    strpre.F
    tridim.F
    usalin.F
    verini.F

* 23/07/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Minor changes around stdtcl.F
  modified routines:
    stdtcl.F
    tridim.F

* 23/07/2007 - Yvan Fournier <yvan.fournier@edf.fr>
  check_mesh routine, cleaning of lance_install script,
  correction of cs_halo.c for safer geometrical
  tests on halo creation
  added script:
    check_mesh
  modified routine:
    cs_halo.c
  modified scripts:
    info_cs
    lance_install

* 23/07/2007 - Mehdi Ouraou <mehdi.ouraou@edf.fr>
  Minor corrections in fuel module
  modified data file:
    JANAF
  modified routines:
    futsvi.F
    usfucl.F


* 23/07/2007 - Alexandre Douce <alexandre.douce@edf.fr>
  Correction of dvvpst.F for lagrangian post-processing

===========================================================================

* 23/07/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Tagging of version 1.3.n

* 23/07/2007 - Yvan Fournier <yvan.fournier@edf.fr>
  Translation of Code_Saturne arguments, renaming of Envelope into
  Preprocesseur, suppression of useless "const" + various name modifications
  and comments
  modified scripts:
    lance
    lance.help
    lance_install
    verifmail
  modified routines:
    cs_ale.c
    cs_ale.h
    cs_base.c
    cs_base.h
    cs_benchmark.c
    cs_comm.c
    cs_comm.h
    cs_couplage.c
    cs_ecs_messages.c
    cs_ecs_messages.h
    cs_halo.c
    cs_halo.h
    cs_main.c
    cs_mesh.c
    cs_mesh.h
    cs_mesh_coherency.c
    cs_mesh_coherency.h
    cs_mesh_quality.c
    cs_mesh_quality.h
    cs_mesh_quantities.c
    cs_mesh_quantities.h
    cs_mesh_select.c
    cs_mesh_select.h
    cs_mesh_solcom.c
    cs_mesh_solcom.h
    cs_mesh_warping.c
    cs_mesh_warping.h
    cs_opts.c
    cs_opts.h
    cs_parall.c
    cs_parall.h
    cs_perio.c
    cs_perio.h
    cs_post.c
    cs_pp_io.c
    cs_pp_io.h
    cs_sles.c
    cs_syr_coupling.c
    cs_syr_coupling.h
    cs_syr_messages.c
    cs_syr_messages.h
    csinit.F
    entsor.h
    iasize.F
    iniini.F
    parge1.F
    rasize.F
    rayens.F
    rayopt.F

* 23/07/2007 - Yvan Fournier <yvan.fournier@edf.fr>
  Externalisation of CGRDMC and CLMGRD in a specific routine
  added routines:
    cs_gradient.c
    cs_gradient.h
  modified routines
    calgeo.F
    cs_ext_neighborhood.c
    cs_ext_neighborhood.h


* 23/07/2007 - Alexandre Douce <alexandre.douce@edf.fr>
  GUI bug corrections:
  added routine:
    stdtcl.F
  modified routines:
    cs_gui.c
    cs_gui.h
    memtri.F
    ppclim.F
    tridim.F


* 23/07/2007 - Alexandre Douce <alexandre.douce@edf.fr>
  Corrections in lagrangian module
  modified routines:
    caltri.F
    dvvpst.F
    impini.F
    iniusi.F
    lagent.F
    lagfch.F
    laghis.F
    lagopt.F
    lagran.h
    memla1.F
    memla2.F
    uslabo.F
    uslag1.F
    uslag2.F
    usray2.F



===========================================================================

* 13/07/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Tagging of version 1.3.m


* 13/07/2007 - Carole Vit <carole.vit@edf.fr>
               Éric Quémerais <eric.quemerais@edf.fr>
               Nicole Picard <nicole-n.picard@edf.fr>
               Alexandre Douce <alexandre.douce@edf.fr>
  Adaptation to new version of GUI, implementation
  of fvm_selector potentialities
  added routines:
    cs_interpr_util.F
    cs_selector.c
    cs_selector.h
  modified data file:
    dp_FCP
  modified routines
    caltri.F
    cfener.F
    cou1do.F
    covofi.F
    cpini1.F
    cplecd.F
    cs_gui.c
    cs_gui.h
    cs_gui_util.c
    cs_gui_util.h
    cs_mesh.c
    cs_mesh.h
    cs_main.c
    iniusi.F
    inivar.F
    lagent.F
    ppclim.F
    raycli.F
    strini.F
    tridim.F
    usalcl.F
    uscfcl.F
    usclim.F
    uscpcl.F
    uscplc.F
    usd3pc.F
    usebuc.F
    uselcl.F
    usetcl.F
    uskpdc.F
    uslag2.F
    uslwcc.F
    usproj.F
    uspt1d.F
    usray2.F
    usray3.F
    usray5.F
    usstru.F
    ustsma.F
    ustssc.F
    usvort.F

===========================================================================

* 12/07/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Tagging of version 1.3.l

* 09/07/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Partial compliance of rough wall with GUI
  modified routines:
    caltri.F
    cs_gui.c
    cs_gui.h

* 09/07/2007 - Jérôme Bonelle <jerome.bonelle@edf.fr>
               Yvan Fournier <yvan.fournier@edf.fr>
  Creation of parallel and periodic halos by the kernel,
  use of fvm-0.8.0 + internationalisation of C routines
  added routines:
    cs_halo.c
    cs_halo.h
    cs_mesh_coherency.c
    cs_mesh_coherency.h
    cs_mesh_warping.c
    cs_mesh_warping.h
    cs_pp_io.c
    cs_pp_io.h
    haltyp.F
    majgeo.F
  modified scripts:
    macros*.mk
  modified routines:
    calgeo.F
    caltri.F
    cs_ale.c
    cs_ale.h
    cs_benchmark.c
    cs_comm.c
    cs_comm.h
    cs_couplage.c
    cs_couplage.h
    cs_gui.c
    cs_gui_matisse.c
    cs_gui_radiative_transfer.c
    cs_gui_util.c
    cs_lagr_perio.c
    cs_lagr_perio.h
    cs_lagrang.c
    cs_lagrang.h
    cs_main.c
    cs_matrix.c
    cs_mesh_quality.c
    cs_mesh_quality.h
    cs_opts.c
    cs_opts.h
    cs_perio.c
    cs_perio.h
    cs_post.c
    cs_post.h
    cs_renumber.c
    cs_renumber.h
    cs_sles.c
    cs_suite.c
    cs_syr_coupling.c
    cs_ventil.F
    cs_ventil.h
    grdcel.F
    impini.F
    iniini.F
    initi1.F
    lagcel.F
    lagnwc.F
  modified and renamed routines:
    cs_maillage.c  cs_mesh.c
    cs_maillage.h  cs_mesh.h
    cs_maillage_connect.c  cs_mesh_connect.c
    cs_maillage_connect.h  cs_mesh_connect.h
    cs_maillage_grd.c  cs_mesh_quantities.c
    cs_maillage_grd.h  cs_mesh_quantities.h
    cs_maillage_select.c  cs_mesh_select.c
    cs_maillage_select.h  cs_mesh_select.h
    cs_maillage_solcom.c  cs_mesh_solcom.c
    cs_maillage_solcom.h  cs_mesh_solcom.h
    cs_messages_ecs.c   cs_ecs_messages.c
    cs_messages_ecs.h  cs_ecs_messages.h
    cs_parallel.c  cs_parall.c
    cs_parallel.h  cs_parall.h
    cs_voiset.c  cs_ext_neighborhood.c
    cs_voiset.h  cs_ext_neighborhood.h
  removed routines:
    cs_msg.c
    cs_msg.h
    filtre.F
    limgrd.F

===========================================================================

* 06/07/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Tagging of version 1.3.k


* 04/07/2007 - Bertrand Carissimo <bertrand.carissimo@edf.fr>
  Implementation of rough wall boundary conditions
  added routines:
    clptrg.F
  modified routine:
    cfxtcl.F
    clptur.F
    clsyvt.F
    condli.F
    cou1di.F
    coupbi.F
    cpltcl.F
    cpptcl.F
    d3ptcl.F
    distpr.F
    distyp.F
    ebutcl.F
    fuptcl.F
    lageqp.F
    lwctcl.F
    paramx.h
    ppclim.F
    ppprcl.F
    ppray4.F
    pptycl.F
    precli.F
    raycli.F
    raypun.F
    rijech.F
    tridim.F
    typecl.F
    usalcl.F
    usclim.F
    uscpcl.F
    uscplc.F
    usd3pc.F
    usebuc.F
    uselcl.F
    usetcl.F
    usfucl.F
    uslwcc.F
    usray2.F
    usray4.F
    usray5.F
    usruet.F
    vericl.F
    vor2cl.F

===========================================================================

* 03/07/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Tagging of version 1.3.j

* 02/07/2007 - Mehdi Ouraou <mehdi.ouraou@edf.fr>
  Implementation of fuel combustion, coal humidity and
  reorganisation of pulverised coal combustion.
  added data files:
    dp_FUE
  added routines:
    cpcym2.F
    fucym1.F
    fuflux.F
    fuincl.h
    fuini1.F
    fuiniv.F
    fulecd.F
    fupdfr.F
    fuphy1.F
    fuphy2.F
    fuphyv.F
    fuprop.F
    fuptcl.F
    futeh1.F
    futeh2.F
    futhp1.F
    futhp2.F
    futssc.F
    futsvc.F
    futsvi.F
    fuvarp.F
    fuveri.F
    memfu1.F
    usfucl.F
    usfui1.F
    usfuiv.F
  modified data files:
    dp_FCP
    JAnAF
  modified routines:
    copdfr.F -> renamed pppdfr.F
    covofi.F
    cpflux.F
    cpincl.h
    cpini1.F
    cpiniv.F
    cplecd.F
    cpphy1.F
    cpphy2.F
    cpphyv.F
    cpprop.F
    cpptcl.F
    cprays.F
    cpteh2.F
    cpthp2.F
    cptssc.F
    cpvarp.F
    cpveri.F
    cs_gui.c
    cs_gui.h
    d3phst.F
    d3pint.F
    d3pphy.F
    d3pver.F
    ebuver.F
    ecrava.F
    impini.F
    iniusi.F
    lagcar.F
    lagent.F
    lages1.F
    lages2.F
    laggra.F
    lagich.F
    lagitf.F
    laglec.F
    lagopt.F
    lagout.F
    lecamx.F
    lwcver.F
    ppcabs.F
    ppclim.F
    ppcsca.F
    ppincl.h
    ppinii.F
    ppiniv.F
    pplecd.F
    ppphyv.F
    ppprcl.F
    ppprop.F
    ppray4.F
    ppthch.h
    pptssc.F
    pptycl.F
    ppvarp.F
    raydom.F
    rayopt.F
    scalai.F
    uscpi1.F
    uscpiv.F
    usppmo.F
  modified scripts:
    lance
    lance_install
    Makefile



* 02/07/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Suppression of useless vide.h files

* 02/07/2007 - Yvan Fournier <yvan.fournier@edf.fr>
  Update of macros_*.mk for Linux, Linux_IA64 and Linux_CCRT, definition of
  C-Blas as default, suppression of some unused arguments in gradient
  calculation to allow earlier call.
  modified scripts:
    macros_Linux.mk
    macros_Linux_CCRT.mk
    macros_Linux_IA64.mk
  modified routines:
    cs_blas.c
    cs_blas.h
    cs_voiset.c
    cs_voiset.h
    gradmc.F
    gradrc.F
    grdcel.F
    tremai.c

===========================================================================

* 02/07/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Tagging of version 1.3.i

* 29/06/2007 - Carole Vit <carole.vit@edf.fr>
               Sofiane Benhamadouche <sofiane.benhaamdouche@edf.fr>
               Marc Sakiz <marc.sakiz@edf.fr>
  Implementation of steady-state algorithm
  modified routines:
    alelap.F
    bilsc2.F
    codits.F
    covofi.F
    cs_opts.c
    distpr.F
    distyp.F
    dttvar.F
    impini.F
    iniini.F
    iniusi.F
    matrdt.F
    modini.F
    navsto.F
    optcal.h
    preduv.F
    reseps.F
    resolp.F
    resrij.F
    resssg.F
    resv2f.F
    tridim.F
    turbke.F
    turbkw.F
    verini.F
    cfmsvl.F
    lageqp.F
    raypun.F
    raysol.F


===========================================================================

* 25/06/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Tagging of version 1.3.h

* 25/06/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Correction of erroneous verification test on
  time averages in varpos.F

* 22/06/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Compatibility of ALE method with 2nd order time
  scheme and velocity/pressure sub-iterations (but
  it does not imply that the mesh movement and
  inner structure coupling is 2nd order ...)
  + full explicit treatment of the mass flux if
  ISTMPF.EQ.0 in case of velocity/pressure sub-iterations
  modified routines:
    schtmp.F
    strdep.F
    strpre.F
    tridim.F
    verini.F

* 11/06/2007 - Yvan Fournier <yvan.fournier@edf.fr>
  Update of macros*.mk, minor modifications to benchmarking
  mode and BLAS porting, extension solver reorganisation
  modified scripts:
    macros_*.mk
  modified routines:
    cs_benchmark.c
    cs_matrix.c
    cs_sles.c
    invers.F

* 11/06/2007 - Yvan Fournier <yvan.fournier@edf.fr>
  Merge of base_1 and base_2 directories as base in src
  and corresponding modification of Makefile

* 06/06/2007 - David Monfort <david.monfort@edf.fr>
  Correction of Makefile to avoid problems with *.F* files
  that are not *.F nor *.F95

* 27/04/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Correction of missing ITUSER/RTUSER/IDEVEL/RDEVEL arguments
  in certain routines
  modified routines:
    caltri.F
    cregeo.F
    lagcar.F
    lageli.F
    lagent.F
    lages1.F
    lages2.F
    lagesp.F
    lagfch.F
    lagipn.F
    lagnew.F
    lagnpr.F
    lagnwc.F
    lagrus.F
    lagsta.F
    lagune.F
    usdpst.F
    usladp.F
    uslafe.F
    uslain.F
    uslatc.F
    uslatp.F

* 25/04/2007 - David Monfort <david.monfort@edf.fr>
  Suppression of useless test on IISUIT before the second
  call to ECRAVA in caltri.F

* 25/04/2007 - Yvan Fournier <yvan.fournier@edf.fr>
  Correction of specific cases where "inline" commands
  are banned
  modified routines:
  cs_base.h
  cs_lagrang.c
  cs_matrix.c
  cs_sles.c

===========================================================================

* 18/04/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Tagging of version 1.3.g


* 18/04/2007 - Jérôme Bonelle <jerome.bonelle@edf.fr>
  Porting on Linux_Argent architecture (CCRT Bull Novascale
  Itanium cluster), including BLAS compatibility
  added script:
    marcos_Linux_Argent.mk
  modified scripts:
    cs_profile
    lance
    rang_mpi.sh
  modified routines:
    cs_blas.c
    cs_blas.h

	
* 10/04/2007 - Yvan Fournier <yvan.fournier@edf.fr>
  Reorganisation of the linear solvers, "matrix" structure,
  adaptation to BLAS libraires, management of memory alignment
  for BlueGene optimisation, benchmark mode for testing linear
  solvers, change in the position of the renumbering of cells
  for vector machines optimisation, adaptation to fvm-0.7.0, 
  optimisation of parallel/periodic synchronisations to avoid
  redudancies, automatic supression of X or 1 in the post-processing
  name of a vector variable with components labelled (...X,...Y,...Z)
  or (...1, ...2, ...3) 
  modified scripts:
    cs_profile
    lance_install
    macros_Blue_Gene_L.mk
    macros_HP-UX.mk
    macros_IRIX64.mk
    macros_Linux.mk
    macros_Linux_CCRT.mk
    macros_Linux_Ch.mk
    macros_OSF1.mk
    macros_SunOS.mk
    Makefile
    rang_mpi.sh
  added routines:
    cs_benchmark.c
    cs_benchmark.h
    cs_blas.c
    cs_blas.h
    cs_matrix.c
    cs_matrix.h
    cs_prototypes.h
    cs_renumber.c
    cs_renumber.h
    cs_sles.c
    cs_sles.h
  deleted routines:
    memnvc.F
  modified routines:
    cfcdts.F
    cgstab.F
    codits.F
    cregeo.F
    cycmgr.F
    cs_base.h
    cs_couplage.c
    cs_maillage_connect.c
    cs_maillage_solcom.c
    cs_main.c
    cs_opts.c
    cs_opts.h
    cs_parallel.c
    cs_perio.c
    cs_perio.h
    cs_post_util.F
    dvvpst.F
    gradco.F
    iniini.F
    invers.F
    jacobi.F
    numvec.F
    prcpol.F
    promav.F
    proxav.F

* 05/04/2007 - Fabien Huvelin <fabien.huvelin@edf.fr>
  Chronological records of structure displacement, velocity
  acceleration and forces + improved force and displacement
  prediction for explicit internal structure coupling
  modified routines:
    albase.h
    alstru.h
    caltri.F
    entsor.h
    iniini.F
    modini.F
    paramx.h
    strdep.F
    strini.F
    strpre.F
    tridim.F
    usalin.F
    usstru.F
    verini.F
  added routine:
    strhis.F

* 26/03/2007 - Fabien Huvelin <fabien.huvelin@edf.fr>
  Displacement based Newmark scheme for internal
  structure coupling instead of acceleration based scheme
  modified routines:
    alstru.h
    iniini.F
    modini.F
    newmrk.F
    strdep.F
    strini.F
    verini.F

* 26/03/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Implementation of an orthotropic mesh viscosity
  for the ALE method
  modified routines:
    albase.h
    alelap.F
    condli.F
    ecrava.F
    iniini.F
    iniva0.F
    lecamx.F
    modini.F
    numvar.h
    phyvar.F
    usalin.F
    usvima.F
    varpos.F


* 01/03/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Change in comments, initialisation and tests
  on ITRSVR
  modified routines:
    entsor.h
    iniini.F
    modini.F
    verini.F

===========================================================================

* 01/03/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Tagging of version 1.3.f

* 01/03/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Bug correction in initialisation of IPRTOT pointer
  in varpos.F
  modified routines:
    iniini.F
    varpos.F

* 14/02/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Modification of lance to limit its size (problem
  with LSF with too large scripts)
  added script:
    lance.help
  modified script:
    cree_sat
    lance

* 13/02/2007 - Yvan Fournier - <yvan.fournier@edf.fr>
  Modification of Makefile for BLAS on Blue Gene architecture

* 13/02/2007 - Jerome Bonelle <jerome.bonelle@edf.fr>
  Correction for Syrthes coupling with 2D solid meshes
  modified routines:
    cs_mesh_quality.c
    cs_post.c
    cs_syr_coupling.c

* 10/02/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Change in the architecture of the libraries
  (creation of the "arch" directory)
  modified scripts:
  lance_install
  Makefile

* 10/02/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Change of an ambiguous notation in the routines
  for the specific physics source terms.
  modified routines:
    cpltss.F
    cpltsv.F
    cptssc.F
    cptsvc.F
    cptsvi.F
    ebutss.F
    eltssc.F
    lwctss.F
    pptssc.F
	
* 09/02/2007 - Mehdi Ouraou <mehdi.ouraou@edf.fr>
             - Alexandre Douce <alexandre.douce@edf.fr>
  Modifications in the Lagrangian module: chemical forces
  (van der Waals et al.), particule slugging and advanced
  particle/wall interaction, compliance with periodic
  boundaries, advanced statistics control (averages and
  root mean squares) and post-processing.
  added routines:
    cs_lagr_perio.c
    cs_lagr_perio.h
    lagaff.F
    lagfch.F
    laghis.F
    lagnpr.F
    usladp.F
    uslafe.F
    uslapr.F
  deleted routine:
    lagraf.F
  modified routines:
    caltri.F
    cs_post.c
    cs_post.h
    dvvpst.F
    enslag.F
    entsor.h
    impini.F
    iniini.F
    lagcar.F
    lagcel.F
    lagdeb.F
    lageli.F
    lagent.F
    lages1.F
    lages2.F
    lagesp.F
    lagini.F
    laglec.F
    laglis.F
    lagnwc.F
    lagopt.F
    lagout.F
    lagpar.h
    lagran.h
    lagrus.F
    lagsta.F
    lagune.F
    memla1.F
    memla2.F
    memtri.F
    ouestu.F
    uslabo.F
    uslaen.F
    uslag1.F
    uslag2.F
    uslaru.F
    uslast.F
    verini.F

* 08/02/2007 - Mehdi Ouraou <mehdi.ouraou@edf.fr>
  Changes in boundary conditions for compressible module
  (Code_Saturne bug tracker ticket #57)
  modified routines:
    cfxtcl.F
    uscfth.F

* 31/01/2007 - Marc Sakiz <marc.sakiz@edf.fr>
  Deletion of the STUB ifdef and associated compilation
  options
  modified routines:
    cfdttv.F
    cfener.F
    cfini1.F
    cfiniv.F
    cfmsvl.F
    cfphyv.F
    cfprop.F
    cfqdmv.F
    cfvarp.F
    cfxtcl.F
    coini1.F
    colecd.F
    coprop.F
    cothht.F
    covarp.F
    cpflux.F
    cpini1.F
    cpiniv.F
    cplecd.F
    cplin1.F
    cplini.F
    cplphy.F
    cplpro.F
    cpltcl.F
    cpltss.F
    cplvar.F
    cpphyv.F
    cpprop.F
    cpptcl.F
    cprays.F
    cpthp1.F
    cpthp2.F
    cptssc.F
    cpvarp.F
    d3pini.F
    d3pphy.F
    d3ptcl.F
    ebuini.F
    ebuphy.F
    ebutcl.F
    ebutss.F
    elflux.F
    elini1.F
    eliniv.F
    ellecd.F
    elphyv.F
    elprop.F
    eltssc.F
    elvarp.F
    lagini.F
